;*********************************************************************************************
;** Original File: F:\nes_disasm\Super Dodge Ball (U).nes
;** 16K PRG-ROM pages: $08
;** 8K CHR-ROM pages: $10
;** Mirroring: horizontal
;** SRAM: not available
;** Trainer: not available
;** Mapper: $01
;*********************************************************************************************

.autoimport +

;The following labels are referenced by other banks:

	.export Lbl_8000, Lbl_8020, Lbl_8021, Lbl_803e, Lbl_805b, Lbl_8068, Lbl_80a8, Lbl_8267
	.export Lbl_835c, Lbl_8393, Lbl_8397, Lbl_839b, Lbl_83a2, Lbl_83a7, Lbl_83ac, Lbl_83b1
	.export Lbl_83b6, Lbl_83c7, Lbl_8482, Lbl_8490, Lbl_84ac, Lbl_8531, Lbl_8532, Lbl_8533
	.export Lbl_8541, Lbl_8542, Lbl_8545, Lbl_8596, Lbl_85d7, Lbl_8603, Lbl_8629, Lbl_862a
	.export Lbl_8635, Lbl_8645, Lbl_864a, Lbl_864f, Lbl_8654, Lbl_8663, Lbl_8683, Lbl_86a2
	.export Lbl_86bc, Lbl_86ce, Lbl_8704, Lbl_8710, Lbl_872f, Lbl_87d0, Lbl_87fe, Lbl_88a7
	.export Lbl_88a9, Lbl_88ec, Lbl_8955, Lbl_8961, Lbl_8989, Lbl_898b, Lbl_8996, Lbl_89e7
	.export Lbl_8a4f, Lbl_8a5e, Lbl_8a5f, Lbl_8a83, Lbl_8ab1, Lbl_8b1a, Lbl_8b1d, Lbl_8b33
	.export Lbl_8bdc, Lbl_8c12, Lbl_8c3b, Lbl_8ca0, Lbl_8cc6, Lbl_8cef, Lbl_8d4d, Lbl_8e00
	.export Lbl_8e4f, Lbl_8e5c, Lbl_8e5d, Lbl_8eb4, Lbl_8ec1, Lbl_8ec2, Lbl_8f2e, Lbl_8f56
	.export Lbl_8fc5, Lbl_9019, Lbl_9038, Lbl_908a, Lbl_9092, Lbl_90ae, Lbl_9129, Lbl_91ba
	.export Lbl_91c6, Lbl_91c7, Lbl_92e3, Lbl_92fb, Lbl_9320, Lbl_9333, Lbl_933e, Lbl_93d8
	.export Lbl_93db, Lbl_9400, Lbl_9410, Lbl_9416, Lbl_9477, Lbl_94b0, Lbl_94bd, Lbl_94e1
	.export Lbl_94f4, Lbl_9514, Lbl_951a, Lbl_962a, Lbl_962c, Lbl_9650, Lbl_9683, Lbl_9691
	.export Lbl_96c2, Lbl_9741, Lbl_9775, Lbl_9800, Lbl_9860, Lbl_9948, Lbl_99b2, Lbl_9a64
	.export Lbl_9aab, Lbl_9afa, Lbl_9afb, Lbl_9b60, Lbl_9b61, Lbl_9b62, Lbl_9b63, Lbl_9b70
	.export Lbl_9b72, Lbl_9b73, Lbl_9bb0, Lbl_9bb4, Lbl_9bbd, Lbl_9c36, Lbl_9c37, Lbl_9c3f
	.export Lbl_9c43, Lbl_9c47, Lbl_9ca4, Lbl_9cd6, Lbl_9ce9, Lbl_9d07, Lbl_9d61, Lbl_9d7c
	.export Lbl_9dbf, Lbl_9e11, Lbl_9e2e, Lbl_9e6b, Lbl_9ec0, Lbl_9ee3, Lbl_9f5a, Lbl_9f89
	.export Lbl_9fea, Lbl_a00c, Lbl_a0b3, Lbl_a0bb, Lbl_a0c3, Lbl_a0cf, Lbl_a12f, Lbl_a174
	.export Lbl_a1a7, Lbl_a200, Lbl_a266, Lbl_a2c3, Lbl_a2d2, Lbl_a2d9, Lbl_a33a, Lbl_a3bf
	.export Lbl_a434, Lbl_a447, Lbl_a459, Lbl_a474, Lbl_a47b, Lbl_a496, Lbl_a4cf, Lbl_a4f3
	.export Lbl_a541, Lbl_a546, Lbl_a557, Lbl_a60b, Lbl_a61f, Lbl_aa22, Lbl_aaa4, Lbl_ab48


.segment "PRG_6"

Lbl_8000:
	lda $1a
	bpl Lbl_8005	; branch if positive
	rts
;-- end subroutine --;

Lbl_8005:
	lda $1b
	and #$7f
	cmp #$0b
	beq Lbl_8032	; branch if equal
	lda $1a
	and #$0f
	asl a
	tax
	lda Lbl_8020,x	; use shifted value at $1a as index into Lbl_8020
	sta $4d
	lda Lbl_8021,x	; use shifted value at $1a as index into Lbl_8021
	sta $4e
	jmp ($004d)	; jump to subroutine based on the bytes

	; addresses in below table:
	; $80a8, $803e, $805b, $8068, $80a8, $80cd, $80ed, $80fa, $8171
Lbl_8020:
	.byte $a8

Lbl_8021:
	.byte $80,$3e,$80,$5b,$80,$68,$80,$a8,$80,$cd,$80,$ed,$80,$fa,$80,$71
	.byte $81

Lbl_8032:
	lda $16
	bpl Lbl_803b	; branch if positive
	ldx #$8f
	jmp Lbl_83a2

Lbl_803b:
	jmp Lbl_839b

Lbl_803e:
	jsr Lbl_8490
	lda $16
	and #$40
	beq Lbl_804a
	jsr Lbl_8545

Lbl_804a:
	jsr Lbl_83c7
	jsr Lbl_8ca0
	jsr Lbl_84ac
	jsr Lbl_83b6
	ldx #$83
	jmp Lbl_83a2

Lbl_805b:
	jsr Lbl_8490
	jsr Lbl_8545
	jsr Lbl_83c7
	jsr Lbl_8596
	rts 

Lbl_8068:
	jsr Lbl_8545
	lda $c5
	and #$7f
	cmp #$06
	beq Lbl_809f
	jsr Lbl_83a7
	bne Lbl_807e
	jsr Lbl_8bdc
	jsr Lbl_83c7

Lbl_807e:
	lda $c5
	and #$7f
	cmp #$03
	beq Lbl_8097
	cmp #$04
	beq Lbl_8097
	cmp #$00
	beq Lbl_8093
	ldx #$80
	jmp Lbl_83a2

Lbl_8093:
	jsr Lbl_85d7
	rts 

Lbl_8097:
	jsr Lbl_83a7
	bne Lbl_80a2
	jsr Lbl_8663

Lbl_809f:
	jmp Lbl_839b

Lbl_80a2:
	jsr Lbl_86bc
	jmp Lbl_839b

Lbl_80a8:
	jsr Lbl_83ac
	bne Lbl_80b0	; branch if not equal
	jsr Lbl_8545

Lbl_80b0:
	jsr Lbl_84ac
	lda $1a
	bne Lbl_80c4
	lda #$00
	sta $1c
	sta $1d
	lda #$1e
	sta $1b
	jmp Lbl_d400

Lbl_80c4:
	jsr Lbl_86ce
	jsr Lbl_87fe
	jmp Lbl_839b

Lbl_80cd:
	.byte $24,$70,$70,$0e,$20,$ca,$8c,$20,$ac,$83,$d0,$03,$20,$45,$85,$20
	.byte $ac,$84,$a5,$8a,$c9,$ff,$d0,$05,$a2,$80,$4c,$a2,$83,$4c,$9b,$83
	.byte $a9,$00,$85,$1c,$85,$1d,$a9,$1e,$85,$1b,$4c,$00,$d4,$a5,$c5,$29
	.byte $07,$aa,$bd,$13,$81,$30,$0e,$aa,$bd,$1b,$81,$85,$4d,$bd,$1c,$81
	.byte $85,$4e,$6c,$4d,$00,$60,$00,$02,$02,$04,$06,$02,$80,$80,$23,$81
	.byte $2a,$81,$3b,$81,$5e,$81,$a2,$a5,$86,$1c,$4c,$97,$83,$a2,$88,$a5
	.byte $23,$f0,$08,$a2,$ab,$c9,$01,$f0,$02,$a2,$80,$4c,$25,$81,$a2,$81
	.byte $a5,$15,$29,$10,$f0,$06,$a5,$15,$29,$08,$f0,$12,$20,$3b,$8c,$90
	.byte $0d,$20,$89,$db,$29,$1f,$a2,$81,$c9,$10,$b0,$02,$a2,$8a,$4c,$25
	.byte $81,$a5,$15,$29,$08,$f0,$0c,$20,$1c,$8d,$90,$04,$20,$73,$8b,$60
	.byte $20,$ab,$86,$60,$a5,$24,$30,$23,$20,$4f,$8a,$20,$82,$84,$90,$1b
	.byte $20,$39,$82,$a5,$90,$8d,$b4,$06,$a5,$24,$8d,$b5,$06,$20,$1d,$83
	.byte $a2,$93,$c9,$40,$90,$02,$a2,$94,$4c,$25,$81,$a9,$05,$8d,$b4,$06
	.byte $ad,$b4,$06,$c5,$90,$f0,$17,$20,$4f,$8a,$20,$82,$84,$90,$0f,$a5
	.byte $90,$0a,$0a,$aa,$bd,$91,$00,$29,$0f,$cd,$b4,$06,$d0,$07,$ce,$b4
	.byte $06,$10,$dd,$30,$14,$ad,$b4,$06,$85,$24,$20,$43,$82,$c9,$20,$b0
	.byte $ed,$20,$39,$82,$a2,$93,$4c,$25,$81,$a5,$90,$0a,$0a,$aa,$bd,$91
	.byte $00,$29,$0f,$c9,$0f,$d0,$0b,$20,$59,$8d,$20,$39,$82,$a2,$93,$4c
	.byte $25,$81,$8d,$b4,$06,$8d,$8e,$00,$20,$4f,$8a,$20,$82,$84,$90,$e7
	.byte $a6,$6f,$ca,$8e,$b6,$06,$ae,$b6,$06,$b5,$86,$8d,$b5,$06,$20,$4f
	.byte $8a,$20,$82,$84,$b0,$07,$ce,$b6,$06,$10,$eb,$30,$cd,$20,$bc,$82
	.byte $c9,$80,$b0,$f2,$a5,$90,$8d,$b4,$06,$a5,$8e,$8d,$b5,$06,$20,$1d
	.byte $83,$a2,$95,$c9,$60,$90,$02,$a2,$96,$4c,$25,$81,$a5,$24,$48,$20
	.byte $10,$87,$68,$85,$8d,$60,$20,$4f,$8a,$20,$67,$82,$ae,$b6,$06,$ad
	.byte $b8,$06,$cd,$ba,$06,$90,$10,$f0,$02,$b0,$0c,$ad,$b7,$06,$cd,$b9
	.byte $06,$b0,$03,$ad,$b9,$06,$60,$a9,$ff,$60

Lbl_8267:
	ldy #$33
	lda ($4d),y
	sec 
	sbc $48
	sta $06b7
	ldy #$34
	lda ($4d),y
	sbc $49
	sta $06b8
	bcs Lbl_8291
	lda $06b7
	eor #$ff
	clc 
	adc #$01
	sta $06b7
	lda $06b8
	eor #$ff
	adc #$00
	sta $06b8

Lbl_8291:
	ldy #$30
	lda ($4d),y
	sec 
	sbc $45
	sta $06b9
	ldy #$31
	lda ($4d),y
	sbc $46
	sta $06ba
	bcs Lbl_82bb
	lda $06b9
	eor #$ff
	clc 
	adc #$01
	sta $06b9
	lda $06ba
	eor #$ff
	adc #$00
	sta $06ba

Lbl_82bb:
	rts 

Lbl_82bc:
	.byte $ad,$b4,$06,$0a,$0a,$aa,$ad,$b5,$06,$0a,$0a,$a8,$bd,$92,$00,$38
	.byte $f9,$92,$00,$8d,$b7,$06,$bd,$93,$00,$f9,$93,$00,$8d,$b8,$06,$b0
	.byte $15,$ad,$b7,$06,$49,$ff,$18,$69,$01,$8d,$b7,$06,$ad,$b8,$06,$49
	.byte $ff,$69,$00,$8d,$b8,$06,$bd,$94,$00,$38,$f9,$94,$00,$8d,$b9,$06
	.byte $b0,$0b,$ad,$b9,$06,$49,$ff,$18,$69,$01,$8d,$b9,$06,$ad,$b8,$06
	.byte $d0,$0c,$ad,$b7,$06,$cd,$b9,$06,$b0,$03,$ad,$b9,$06,$60,$a9,$ff
	.byte $60,$ad,$b4,$06,$0a,$0a,$aa,$ad,$b5,$06,$0a,$0a,$a8,$bd,$92,$00
	.byte $38,$f9,$92,$00,$8d,$b7,$06,$bd,$93,$00,$f9,$93,$00,$8d,$b8,$06
	.byte $b0,$15,$ad,$b7,$06,$49,$ff,$18,$69,$01,$8d,$b7,$06,$ad,$b8,$06
	.byte $49,$ff,$69,$00,$8d,$b8,$06,$d0,$04,$ad,$b7,$06,$60,$a9,$ff,$60

Lbl_835c:
	stx $6a
	sty $6b
	lda $4d
	asl a 
	asl a 
	tax 
	lda $4e
	asl a 
	asl a 
	tay 
	lda a:$0092,x
	sec 
	sbc a:$0092,y
	sta $4f
	lda a:$0093,x
	sbc a:$0093,y
	sta $50
	bcs Lbl_838e
	lda $4f
	eor #$ff
	clc 
	adc #$01
	sta $4f
	lda $50
	eor #$ff
	adc #$00
	sta $50

Lbl_838e:
	ldx $6a
	ldy $6b
	rts 

Lbl_8393:
	stx $1c
	pla 
	pla 

Lbl_8397:
	lda #$00
	sta $1d

Lbl_839b:
	lda $1a
	ora #$80
	sta $1a
	rts 

Lbl_83a2:
	stx $1c
	jmp Lbl_8397

Lbl_83a7:
	lda $17
	and #$20
	rts 

Lbl_83ac:
	lda $17
	and #$40
	rts 

Lbl_83b1:
	lda $15
	and #$01
	rts 

Lbl_83b6:
	jsr Lbl_83b1
	beq Lbl_83c6
	lda $18
	and #$04
	bne Lbl_83c6
	ldx #$a4
	jmp Lbl_8393

Lbl_83c6:
	rts 

Lbl_83c7:
	lda $c5
	and #$7f
	cmp #$01
	beq Lbl_83d7
	cmp #$02
	beq Lbl_83d7
	cmp #$05
	bne Lbl_8400

Lbl_83d7:
	lda $18
	cmp #$06
	bcc Lbl_83e2
	lsr a 
	lda #$06
	adc #$00

Lbl_83e2:
	cmp $c6
	beq Lbl_83e8
	bne Lbl_8401

Lbl_83e8:
	jsr Lbl_83ac
	bne Lbl_83fb
	lda $23
	beq Lbl_83f6
	ldx #$80
	jmp Lbl_8393

Lbl_83f6:
	jsr Lbl_83a7
	bne Lbl_8400

Lbl_83fb:
	ldx #$88
	jmp Lbl_8393

Lbl_8400:
	rts 

Lbl_8401:
	jsr Lbl_83ac
	beq Lbl_8400
	lda $c5
	and #$7f
	cmp #$05
	beq Lbl_8400
	lda $c6
	cmp #$07
	beq Lbl_8418
	cmp #$06
	bne Lbl_8400

Lbl_8418:
	eor $18
	and #$01
	beq Lbl_8400
	lda $18
	and #$04
	bne Lbl_8455
	lda $18
	lsr a 
	asl a 
	tax 
	lda $e4
	sec 
	sbc Lbl_8541,x
	sta $00
	lda $e5
	sbc Lbl_8542,x
	sta $01
	bpl Lbl_844d
	lda $00
	eor #$ff
	clc 
	adc #$01
	sta $00
	lda $01
	eor #$ff
	adc #$00
	sta $01
	bne Lbl_8400

Lbl_844d:
	lda $00
	cmp #$0d
	bcs Lbl_8400
	bcc Lbl_83fb

Lbl_8455:
	lda $18
	sec 
	sbc #$03
	tax 
	lda $e4
	sta $01
	jsr Lbl_c6a1
	sta $00
	lda $e1
	sec 
	sbc $00
	bcs Lbl_846f
	eor #$ff
	adc #$01

Lbl_846f:
	cmp #$1a
	bcc Lbl_83fb
	rts 

Lbl_8474:
	.byte $00,$02,$04,$06,$08,$0a,$0c,$01,$03,$05,$07,$09,$0b,$0d

Lbl_8482:
	ldy #$00
	lda ($4d),y
	bpl Lbl_848e
	and #$02
	bne Lbl_848e
	sec 
	rts 

Lbl_848e:
	clc 
	rts 

Lbl_8490:
	lda $15
	and #$10
	beq Lbl_84ab
	lda $15
	and #$ef
	sta $15
	ldx #$81
	lda $c5
	and #$7f
	cmp #$03
	beq Lbl_84a8
	ldx #$82

Lbl_84a8:
	jmp Lbl_8393

Lbl_84ab:
	rts 

Lbl_84ac:
	jsr Lbl_83ac
	beq Lbl_852b
	lda $16
	and #$40
	bne Lbl_852b
	lda $18
	cmp #$04
	bcs Lbl_84f4
	lsr a 
	asl a 
	tax 
	lda $48
	cmp Lbl_8541,x
	bne Lbl_852c
	lda $49
	cmp Lbl_8542,x
	bne Lbl_852c
	lda $18
	asl a 
	asl a 
	tax 
	lda $46
	cmp Lbl_8532,x
	bcc Lbl_852c
	bne Lbl_84e3
	lda $45
	cmp Lbl_8531,x
	bcc Lbl_852c

Lbl_84e3:
	lda Lbl_8534,x
	cmp $46
	bcc Lbl_852c
	bne Lbl_84f3
	lda Lbl_8533,x
	cmp $45
	bcc Lbl_852c

Lbl_84f3:
	rts 

Lbl_84f4:
	lda Lbl_8542
	cmp $49
	bcc Lbl_852c
	bne Lbl_8504
	lda Lbl_8541
	cmp $48
	bcc Lbl_852c

Lbl_8504:
	lda $49
	cmp Lbl_8544
	bcc Lbl_852c
	bne Lbl_8514
	lda $48
	cmp Lbl_8543
	bcc Lbl_852c

Lbl_8514:
	lda $18
	sec 
	sbc #$03
	tax 
	jsr Lbl_c6c4
	clc 
	sbc $45
	bcs Lbl_8527
	eor #$ff
	clc 
	adc #$01

Lbl_8527:
	cmp #$04
	bcs Lbl_852c

Lbl_852b:
	rts 

Lbl_852c:
	ldx #$8c
	jmp Lbl_8393

Lbl_8531:
	.byte $58

Lbl_8532:
	.byte $00

Lbl_8533:
	.byte $00

Lbl_8534:
	.byte $01,$00,$01,$a8,$01,$40,$00,$00,$01,$00,$01,$c0,$01

Lbl_8541:
	.byte $6a

Lbl_8542:
	.byte $00

Lbl_8543:
	.byte $10

Lbl_8544:
	.byte $00

Lbl_8545:
	lda $16
	and #$01
	bne Lbl_856f	; branch if not equal
	lda $45
	sta $61
	lda $46
	sta $62
	lda $48
	sta $63
	lda $49
	sta $64
	jsr Lbl_cb89
	sta $4d
	lda $18
	cmp #$06
	bcc Lbl_856b	; branch if carry clear
	lsr a 
	lda #$06
	adc #$00

Lbl_856b:
	cmp $4d
	bne Lbl_8570	; branch if not equal

Lbl_856f:
	rts 

Lbl_8570:
	lda $1a
	bne Lbl_858b
	ldx #$00
	ldy #$00
	lda $17
	bmi Lbl_8580
	ldx #$01
	ldy #$02

Lbl_8580:
	lda #$00
	sta $016a,x
	sta $0172,y
	sta $0173,y

Lbl_858b:
	ldx #$8b
	lda $16
	bpl Lbl_8593
	ldx #$8f

Lbl_8593:
	jmp Lbl_8393

Lbl_8596:
	lda $8a
	jsr Lbl_8a4f
	ldy #$02
	lda ($4d),y
	and #$40
	bne Lbl_85d2
	ldy #$03
	lda ($4d),y
	cmp $18
	beq Lbl_85c1
	ldy #$30
	lda $17
	bpl Lbl_85c4
	ldx #$86
	lda ($4d),y
	cmp $45
	bcs Lbl_85d4
	lda ($4d),y
	cmp #$b0
	bcc Lbl_85d4
	bcs Lbl_85d2

Lbl_85c1:
	jmp Lbl_839b

Lbl_85c4:
	lda ($4d),y
	cmp $45
	bcc Lbl_85d2
	ldx #$86
	lda ($4d),y
	cmp #$50
	bcs Lbl_85d4

Lbl_85d2:
	ldx #$87

Lbl_85d4:
	jmp Lbl_83a2

Lbl_85d7:
	jsr Lbl_83a7
	bne Lbl_85fa
	lda $1b
	and #$7f
	cmp #$09
	bne Lbl_85e7
	jmp Lbl_839b

Lbl_85e7:
	jsr Lbl_8603
	bcc Lbl_85f5
	lda #$06
	jsr Lbl_fa3c
	ldx #$80
	bcc Lbl_85f7

Lbl_85f5:
	ldx #$8d

Lbl_85f7:
	jmp Lbl_8393

Lbl_85fa:
	lda #$9c
	sta $1d
	ldx #$8d
	jmp Lbl_8393

Lbl_8603:
	ldx #$00
	lda $18
	and #$01
	beq Lbl_860d
	ldx #$08

Lbl_860d:
	stx $00
	lda $c6
	and #$07
	clc 
	adc $00
	tax 
	lda Lbl_8635,x
	asl a 
	tax 
	lda Lbl_8629,x
	sta $61
	lda Lbl_862a,x
	sta $62
	jmp ($0061)

Lbl_8629:
	.byte $45

Lbl_862a:
	.byte $86,$4a,$86,$4f,$86,$54,$86,$59,$86,$5e,$86

Lbl_8635:
	.byte $00,$00,$00,$01,$00,$02,$00,$03,$00,$00,$01,$00,$04,$00,$05,$00

Lbl_8645:
	lda #$40
	cmp $48
	rts 

Lbl_864a:
	lda $48
	cmp #$40
	rts 

Lbl_864f:
	lda #$50
	cmp $45
	rts 

Lbl_8654:
	lda $45
	cmp #$50
	rts 

Lbl_8659:
	.byte $a5,$45,$c9,$b0,$60,$a9,$b0,$c5,$45,$60

Lbl_8663:
	lda $c5
	and #$7f
	cmp #$04
	bne Lbl_867b
	jsr Lbl_8c12
	jsr Lbl_8cef
	bcs Lbl_8677
	jsr Lbl_8ab1
	rts 

Lbl_8677:
	jsr Lbl_8683
	rts 

Lbl_867b:
	jsr Lbl_8a83
	ldx #$8e
	jmp Lbl_86a2

Lbl_8683:
	lda $e8
	bne Lbl_8699
	lda $e7			; Ball Height 2
	cmp #$21
	bcs Lbl_8699
	lda #$16
	jsr Lbl_fa3c
	bcc Lbl_86a0

Lbl_8694:
	ldx #$9c
	jmp Lbl_86a2

Lbl_8699:
	lda #$17
	jsr Lbl_fa3c
	bcc Lbl_8694

Lbl_86a0:
	ldx #$9d

Lbl_86a2:
	stx $1d
	lda $1a
	ora #$80
	sta $1a
	rts 

Lbl_86ab:
	.byte $20,$89,$db,$29,$01,$d0,$05,$a2,$9c,$4c,$a2,$86,$a2,$9d,$4c,$a2
	.byte $86

Lbl_86bc:
	lda $c5
	and #$7f
	cmp #$04
	bne Lbl_86c9
	ldx #$9c
	jmp Lbl_86a2

Lbl_86c9:
	ldx #$8e
	jmp Lbl_86a2

Lbl_86ce:
	lda a:$0071
	cmp #$01
	beq Lbl_8703
	ldx #$00
	lda $17
	bmi Lbl_86dd
	ldx #$01

Lbl_86dd:
	lda $8b,x
	cmp #$ff
	beq Lbl_8703
	sta $24
	pha 
	jsr Lbl_8710
	pla 
	sta $8d
	jsr Lbl_8704
	jsr Lbl_83ac
	bne Lbl_86f9
	ldx #$93
	jmp Lbl_8393

Lbl_86f9:
	jsr Lbl_8710
	lda #$ff
	sta $8d
	jmp Lbl_8955

Lbl_8703:
	rts 

Lbl_8704:
	jsr Lbl_8a4f
	ldy #$01
	lda ($4d),y
	ora #$20
	sta ($4d),y
	rts 

Lbl_8710:
	lda $8d
	bmi Lbl_872e
	jsr Lbl_8a4f
	ldy #$03
	lda ($4d),y
	cmp $18
	beq Lbl_8728
	ldy #$01
	lda ($4d),y
	and #$df
	sta ($4d),y
	rts 

Lbl_8728:
	lda $16
	and #$df
	sta $16

Lbl_872e:
	rts 

Lbl_872f:
	lda $48
	sec 
	sbc #$20
	bcs Lbl_8738
	lda #$00

Lbl_8738:
	sta $06b4
	lda $48
	clc 
	adc #$20
	bcc Lbl_8744
	lda #$ff

Lbl_8744:
	sta $06b5
	lda #$00
	sta $06b6
	ldy #$0c
	lda $17
	bmi Lbl_8754
	ldy #$24

Lbl_8754:
	lda a:$0091,y
	and #$f0
	cmp #$f0
	beq Lbl_8776
	lda a:$0094,y
	cmp $06b4
	bcc Lbl_8776
	cmp $06b5
	bcs Lbl_8776
	ldx $06b6
	tya 
	lsr a 
	lsr a 
	sta $06b7,x
	inc $06b6

Lbl_8776:
	iny 
	iny 
	iny 
	iny 
	cpy #$18
	beq Lbl_8782
	cpy #$30
	bne Lbl_8754

Lbl_8782:
	lda $06b6
	beq Lbl_87fc
	cmp #$01
	beq Lbl_87f2
	ldx #$00

Lbl_878d:
	lda $90
	sta $4d
	lda $06b7,x
	sta $4e
	jsr Lbl_835c
	txa 
	asl a 
	tay 
	lda $4f
	sta $06ba,y
	lda $50
	sta $06bb,y
	inx 
	cpx $06b6
	bcc Lbl_878d
	lda #$00
	sta $4d
	lda #$01
	sta $4e

Lbl_87b4:
	lda $4d
	asl a 
	tax 
	lda $4e
	asl a 
	tay 
	lda $06bb,x
	cmp $06bb,y
	beq Lbl_87c8
	bcc Lbl_87d0
	bcs Lbl_87db

Lbl_87c8:
	lda $06ba,x
	cmp $06ba,y
	bcs Lbl_87db

Lbl_87d0:
	inc $4e
	lda $4e
	cmp $06b6
	bcc Lbl_87b4
	bcs Lbl_87f0

Lbl_87db:
	lda $4d
	pha 
	lda $4e
	sta $4d
	pla 
	sta $4e
	lda $4d
	cmp #$02
	bcs Lbl_87f0
	inc $4e
	jmp Lbl_87d0

Lbl_87f0:
	ldx $4d

Lbl_87f2:
	lda $06b7,x
	sta $24
	jsr Lbl_88a9
	sec 
	rts 

Lbl_87fc:
	clc 
	rts 

Lbl_87fe:
	lda #$04
	jsr Lbl_fa3c
	bcc Lbl_881c
	lda #$00
	jsr Lbl_fa3c
	bcc Lbl_8814
	jsr Lbl_88ec
	bcc Lbl_881c
	jmp Lbl_8955

Lbl_8814:
	jsr Lbl_a0cf
	bcs Lbl_881c
	jmp Lbl_8955

Lbl_881c:
	jsr Lbl_83ac
	bne Lbl_885e
	lda $17
	bmi Lbl_882d
	lda $45
	cmp #$38
	bcs Lbl_8833
	bcc Lbl_885e

Lbl_882d:
	lda $45
	cmp #$c8
	bcs Lbl_885e

Lbl_8833:
	jsr Lbl_898b
	jsr Lbl_88a9
	jsr Lbl_872f
	bcs Lbl_884d
	lda #$22
	jsr Lbl_fa3c
	bcc Lbl_884a
	ldx #$aa
	jmp Lbl_8393

Lbl_884a:
	jmp Lbl_8955

Lbl_884d:
	lda #$03
	jsr Lbl_fa3c
	bcc Lbl_8859
	ldx #$94
	jmp Lbl_8393

Lbl_8859:
	ldx #$96
	jmp Lbl_8393

Lbl_885e:
	jsr Lbl_898b
	jsr Lbl_88a9
	lda #$0d
	jsr Lbl_fa3c
	bcc Lbl_8889
	lda $18
	lsr a 
	lsr a 
	and #$01
	tax 
	lda $06b7
	bne Lbl_8884
	lda $06b6
	cmp Lbl_88a7,x
	bcs Lbl_8884

Lbl_887f:
	ldx #$93
	jmp Lbl_8393

Lbl_8884:
	jsr Lbl_8961
	bcs Lbl_887f

Lbl_8889:
	lda #$0f
	jsr Lbl_fa3c
	bcs Lbl_887f
	jsr Lbl_83ac
	beq Lbl_8898
	jmp Lbl_8955

Lbl_8898:
	ldx #$a8
	lda #$0e
	jsr Lbl_fa3c
	bcs Lbl_88a4
	jmp Lbl_8955

Lbl_88a4:
	jmp Lbl_8393

Lbl_88a7:
	.byte $2d,$40

Lbl_88a9:
	lda $24
	pha 
	jsr Lbl_8710
	pla 
	pha 
	sta $8d
	lda $78
	ora #$40
	sta $78
	jsr Lbl_d024
	lda $78
	and #$bf
	sta $78
	pla 
	bmi Lbl_88eb
	jsr Lbl_8a4f
	ldy #$02
	lda ($4d),y
	and #$40
	bne Lbl_88eb
	ldy #$03
	lda ($4d),y
	cmp $18
	beq Lbl_88eb
	ldy #$08
	lda #$9c
	sta ($4d),y
	ldy #$07
	lda #$8d
	sta ($4d),y
	lda $1a
	ora #$80
	sta $1a
	rts 

Lbl_88eb:
	rts 

Lbl_88ec:
	lda $17
	and #$07
	beq Lbl_8921
	lda #$00
	sta $06b4

Lbl_88f7:
	lda $06b4
	jsr Lbl_8a4f
	jsr Lbl_8482
	bcc Lbl_8917
	ldy #$02
	lda ($4d),y
	and #$07
	bne Lbl_8917
	ldy #$00
	lda ($4d),y
	and #$06
	bne Lbl_8917
	lda $06b4
	sec 
	rts 

Lbl_8917:
	inc $06b4
	lda $06b4
	cmp #$06
	bcc Lbl_88f7

Lbl_8921:
	clc 
	rts 

Lbl_8923:
	.byte $20,$4d,$8d,$8d,$b4,$06,$a9,$00,$85,$4f,$ad,$b4,$06,$20,$4f,$8a
	.byte $20,$82,$84,$b0,$10,$ee,$b4,$06,$ad,$b4,$06,$c9,$06,$f0,$12,$c9
	.byte $0c,$f0,$0e,$d0,$e5,$a6,$4f,$ad,$b4,$06,$95,$50,$e6,$4f,$4c,$38
	.byte $89,$60

Lbl_8955:
	jsr Lbl_8710
	lda #$ff
	sta $8d
	ldx #$95
	jmp Lbl_8393

Lbl_8961:
	ldx $4f
	dex 
	stx $06b4

Lbl_8967:
	ldx $06b4
	lda $50,x
	jsr Lbl_8a4f
	ldy #$00
	lda ($4d),y
	and #$04
	bne Lbl_897e
	dec $06b4
	bpl Lbl_8967
	bmi Lbl_8987

Lbl_897e:
	ldx $06b4
	lda $50,x
	sta $24
	sec 
	rts 

Lbl_8987:
	clc 
	rts 

Lbl_8989:
	.byte $09,$03

Lbl_898b:
	jsr Lbl_8d4d
	sta $06b5
	lda #$00
	sta $06b6

Lbl_8996:
	lda $06b5
	jsr Lbl_8a4f
	jsr Lbl_8482
	bcs Lbl_89a4
	jmp Lbl_89dc

Lbl_89a4:
	jsr Lbl_8267
	ldx $06b6
	lda $06b8
	cmp $06ba
	bcc Lbl_89cd
	beq Lbl_89b6
	bcs Lbl_89be

Lbl_89b6:
	lda $06b7
	cmp $06b9
	bcc Lbl_89cd

Lbl_89be:
	lda $06b7
	sta $06bc,x
	lda $06b8
	sta $06bd,x
	jmp Lbl_89e7

Lbl_89cd:
	lda $06b9
	sta $06bc,x
	lda $06ba
	sta $06bd,x
	jmp Lbl_89e7

Lbl_89dc:
	ldx $06b6
	lda #$ff
	sta $06bc,x
	sta $06bd,x

Lbl_89e7:
	inc $06b6
	inc $06b6
	inc $06b5
	lda $06b5
	cmp #$06
	beq Lbl_89fe
	cmp #$0c
	beq Lbl_89fe
	jmp Lbl_8996

Lbl_89fe:
	ldx #$00
	stx $06b5
	ldy #$01
	sty $06b6

Lbl_8a08:
	lda $06b5
	asl a 
	tax 
	lda $06b6
	asl a 
	tay 
	lda $06bd,x
	cmp $06bd,y
	bne Lbl_8a22
	lda $06bc,x
	cmp $06bc,y
	beq Lbl_8a2a

Lbl_8a22:
	bcc Lbl_8a2a
	lda $06b6
	sta $06b5

Lbl_8a2a:
	inc $06b6
	lda $06b6
	cmp #$03
	bne Lbl_8a08
	lda $06b5
	asl a 
	tax 
	lda $06bc,x
	sta $06b6
	lda $06bd,x
	sta $06b7
	jsr Lbl_8d4d
	clc 
	adc $06b5
	sta $24
	rts 

Lbl_8a4f:
	asl a 
	tax 
	lda Lbl_8a5e,x
	sta a:$004d
	lda Lbl_8a5f,x
	sta a:$004e
	rts 

Lbl_8a5e:
	.byte $1f

Lbl_8a5f:
	.byte $03,$57,$03,$8f,$03,$c7,$03,$ff,$03,$37,$04,$6f,$04,$a7,$04,$df
	.byte $04,$17,$05,$4f,$05,$87,$05,$a2,$80,$a5,$16,$29,$20,$f0,$02,$a2
	.byte $0e,$4c,$a2,$86

Lbl_8a83:
	lda $1c
	and #$7f
	cmp #$00
	bne Lbl_8ab0
	jsr Lbl_8c3b
	bcc Lbl_8ab0
	lda #$02
	jsr Lbl_fa3c
	bcc Lbl_8ab0
	lda $8a
	jsr Lbl_8a4f
	ldy #$01
	lda ($4d),y
	and #$01
	beq Lbl_8aab
	jsr Lbl_db89
	and #$01
	beq Lbl_8ab0

Lbl_8aab:
	ldx #$8a
	jmp Lbl_8393

Lbl_8ab0:
	rts 

Lbl_8ab1:
	ldx $cd				; load shot type
	beq Lbl_8b10		; branch if equal
	bmi Lbl_8abc		; branch if minus
	lda Lbl_8b1d,x		; use shot type as index into Lbl_8d1d
	bne Lbl_8ad0

Lbl_8abc:
	lda $26
	clc 
	adc $27
	bcs Lbl_8acb
	cmp #$20
	bcs Lbl_8acb
	lda #$18
	bne Lbl_8ad3

Lbl_8acb:
	ldx $ce			; shot power
	lda Lbl_8b33,x

Lbl_8ad0:
	clc 
	adc #$18

Lbl_8ad3:
	jsr Lbl_fb97	; run bank 03:$800F

	ldy $06ea		; get difficulty level
	cpy #$01		; is it difficulty $01? (Medium)
	beq Lbl_8af3	; if so, branch to Lbl_8af3
	cpy #$00		; is it difficulty $00? (Easy)
	beq Lbl_8aeb	; if so, branch to Lbl_8aeb
	clc 
	adc Lbl_8b1a,y
	cmp #$20
	bcs Lbl_8b10	; branch if carry set
	bcc Lbl_8af3	; branch if carry clear

Lbl_8aeb:		; run on easy mode?
	sec
	sbc Lbl_8b1a,y
	beq Lbl_8b15	; branch if equal
	bmi Lbl_8b15	; branch if minus

Lbl_8af3:
	bit $76			; shadow team match
	bpl Lbl_8afe	; if positive, jump to Lbl_8afe
	; code that's only run on the shadow team match:
	clc
	adc #$04
	cmp #$20
	bcs Lbl_8b10	; branch if carry set

Lbl_8afe:
	pha 
	jsr Lbl_db89
	and #$1f
	clc 
	adc #$01
	sta $06b4
	pla 
	cmp $06b4
	bcc Lbl_8b15

Lbl_8b10:
	ldx #$a3
	jmp Lbl_86a2

Lbl_8b15:
	ldx #$9b
	jmp Lbl_86a2

Lbl_8b1a:		; something having to do with difficulty levels
	.byte $0c,$00,$10

Lbl_8b1d:		; shot type used as index
	.byte $00,$00,$00,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $00,$00,$08,$08,$08,$08

Lbl_8b33:
	.byte $00,$01,$01,$02,$02,$03,$03,$03,$04,$04,$04,$04,$05,$05,$05,$05
	.byte $05,$06,$06,$06,$06,$06,$06,$07,$07,$07,$07,$07,$07,$07,$08,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $a6,$cd,$f0,$51,$30,$05,$bd,$1d,$8b,$d0,$14,$a5,$26,$18,$65,$27
	.byte $b0,$08,$c9,$20,$b0,$04,$a9,$00,$d0,$08,$a6,$ce,$bd,$33,$8b,$18
	.byte $69,$01,$aa,$bd,$d2,$8b,$ac,$ea,$06,$c0,$01,$f0,$16,$c0,$00,$f0
	.byte $0a,$18,$79,$1a,$8b,$c9,$20,$b0,$1c,$90,$08,$38,$f9,$1a,$8b,$f0
	.byte $19,$30,$17,$48,$20,$89,$db,$29,$1f,$18,$69,$01,$8d,$b4,$06,$68
	.byte $cd,$b4,$06,$90,$05,$a2,$a3,$4c,$a2,$86,$a2,$9b,$4c,$a2,$86,$0a
	.byte $14,$12,$10,$0e,$0c,$0a,$08,$02,$03

Lbl_8bdc:
	lda $1b
	and #$7f
	cmp #$09
	bne Lbl_8c11
	lda $90
	jsr Lbl_cb65
	cmp $c6
	bne Lbl_8bf9
	lda $c5
	and #$7f
	cmp #$01
	beq Lbl_8c0b
	cmp #$02
	beq Lbl_8c0b

Lbl_8bf9:
	lda $24
	jsr Lbl_8a4f
	jsr Lbl_8482
	bcc Lbl_8c0b
	ldy #$00
	lda ($4d),y
	and #$04
	bne Lbl_8c0c

Lbl_8c0b:
	rts 

Lbl_8c0c:
	pla 
	pla 
	jmp Lbl_839b

Lbl_8c11:
	rts 

Lbl_8c12:
	lda $16
	and #$20
	bne Lbl_8c3a
	lda $15
	and #$04
	bne Lbl_8c3a
	lda $8d
	bmi Lbl_8c3a
	jsr Lbl_8a4f
	ldy #$00
	lda ($4d),y
	and #$04
	beq Lbl_8c3a
	lda $23
	bne Lbl_8c3a
	lda $8d
	sta $24
	ldx #$89
	jmp Lbl_8393

Lbl_8c3a:
	rts 

Lbl_8c3b:
	lda $c7
	sec 
	sbc $45
	sta $06b4
	lda $c8
	sbc $46
	sta $06b5
	bcs Lbl_8c61
	lda $06b4
	eor #$ff
	clc 
	adc #$01
	sta $06b4
	lda $06b5
	eor #$ff
	adc #$00
	sta $06b5

Lbl_8c61:
	lda $c9
	sec 
	sbc $48
	sta $06b6
	lda $ca
	sbc $49
	sta $06b7
	bcs Lbl_8c87
	lda $06b6
	eor #$ff
	clc 
	adc #$01
	sta $06b6
	lda $06b7
	eor #$ff
	adc #$00
	sta $06b7

Lbl_8c87:
	lda $06b5
	ora $06b7
	bne Lbl_8c9c
	lda $06b4
	clc 
	adc $06b6
	bcs Lbl_8c9c
	cmp #$40
	bcc Lbl_8c9e

Lbl_8c9c:
	clc 
	rts 

Lbl_8c9e:
	sec 
	rts 

Lbl_8ca0:
	lda $16
	and #$40
	beq Lbl_8cc0
	lda $17
	and #$80
	clc 
	rol a 
	rol a 
	rol a 
	tax 
	lda Lbl_8cc6,x
	sec 
	sbc $45
	bcs Lbl_8cbc
	eor #$ff
	clc 
	adc #$00

Lbl_8cbc:
	cmp #$04
	bcs Lbl_8cc1

Lbl_8cc0:
	rts 

Lbl_8cc1:
	ldx #$8c
	jmp Lbl_8393

Lbl_8cc6:
	.byte $10,$01,$f0,$00,$a5,$8e,$30,$0b,$20,$4f,$8a,$a0,$03,$b1,$4d,$c5
	.byte $18,$f0,$09,$a5,$15,$29,$cf,$85,$15,$4c,$e8,$8c,$a5,$15,$29,$df
	.byte $85,$15,$a5,$16,$29,$0b,$85,$16,$60

Lbl_8cef:
	lda $8a
	jsr Lbl_8a4f
	jsr Lbl_8267
	lda $06b7
	clc 
	adc $06b9
	sta $06b9
	lda $06b8
	adc $06ba
	bne Lbl_8d13
	lda $06b9
	cmp #$40
	bcs Lbl_8d13
	clc 
	bcc Lbl_8d14

Lbl_8d13:
	sec 

Lbl_8d14:
	lda #$14
	adc #$00
	jsr Lbl_fa3c
	rts 

Lbl_8d1c:
	.byte $a5,$17,$29,$07,$aa,$bd,$3c,$8d,$f0,$12,$c9,$1f,$f0,$10,$48,$20
	.byte $89,$db,$29,$1f,$8d,$b4,$06,$68,$cd,$b4,$06,$60,$38,$60,$18,$60
	.byte $07,$0c,$04,$0a,$08,$00,$00,$00,$a5,$17,$29,$80,$49,$80,$4c,$51
	.byte $8d

Lbl_8d4d:
	lda $17
	and #$80
	clc 
	rol a 
	rol a 
	tax 
	lda Lbl_8989,x
	rts 

Lbl_8d59:
	.byte $20,$89,$db,$29,$07,$aa,$bd,$95,$8d,$8d,$b4,$06,$a9,$05,$8d,$b5
	.byte $06,$ad,$b4,$06,$c5,$90,$f0,$08,$20,$4f,$8a,$20,$82,$84,$b0,$16
	.byte $ee,$b4,$06,$ad,$b4,$06,$c9,$06,$90,$05,$a9,$00,$8d,$b4,$06,$ce
	.byte $b5,$06,$10,$dd,$30,$05,$ad,$b4,$06,$85,$24,$60,$00,$01,$02,$03
	.byte $04,$05,$02,$04,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00

Lbl_8e00:
	lda $90
	cmp $06cd
	bne Lbl_8e0e
	nop 
	nop 
	sta $06cd
	nop 
	nop 

Lbl_8e0e:
	lda $15
	and #$04
	bne Lbl_8e40
	lda $1c
	bpl Lbl_8e22
	lda $1c
	and #$7f
	sta $1b
	lda #$00
	sta $1c

Lbl_8e22:
	lda $1b
	and #$7f
	asl a 
	tax 
	jsr Lbl_8e4f
	lda $1d
	bpl Lbl_8e40
	and #$7f
	asl a 
	tax 
	jsr Lbl_8eb4
	bcs Lbl_8e40
	lda $1d
	sta $1c
	lda #$00
	sta $1d

Lbl_8e40:
	lda $1c
	bpl Lbl_8e4e
	lda $1c
	and #$7f
	sta $1b
	lda #$00
	sta $1c

Lbl_8e4e:
	rts 

Lbl_8e4f:
	lda Lbl_8e5c,x
	sta $4d
	lda Lbl_8e5d,x
	sta $4e
	jmp ($004d)

Lbl_8e5c:
	.byte $b0

Lbl_8e5d:
	.byte $94,$bd,$94,$e1,$94,$f4,$94,$f4,$94,$2c,$96,$50,$96,$91,$96,$41
	.byte $97,$75,$97,$00,$98,$48,$99,$b2,$99,$64,$9a,$64,$9a,$61,$9d,$7c
	.byte $9d,$7c,$9d,$64,$9a,$11,$9e,$c0,$9e,$89,$9f,$a7,$a1,$00,$a2,$d9
	.byte $a2,$3a,$a3,$bf,$a3,$34,$a4,$47,$a4,$59,$a4,$74,$a4,$7b,$a4,$96
	.byte $a4,$cf,$a4,$57,$a5,$7c,$9d,$1f,$a6,$3f,$a6,$30,$a9,$a5,$a9,$22
	.byte $aa,$d9,$a2,$46,$aa,$41,$97

Lbl_8eb4:
	lda Lbl_8ec1,x
	sta $4d
	lda Lbl_8ec2,x
	sta $4e
	jmp ($004d)

Lbl_8ec1:
	.byte $1b

Lbl_8ec2:
	.byte $8f,$19,$8f,$19,$8f,$56,$8f,$19,$8f,$19,$90,$19,$8f,$38,$90,$19
	.byte $8f,$19,$8f,$27,$8f,$19,$8f,$38,$90,$38,$90,$2e,$8f,$19,$8f,$92
	.byte $90,$92,$90,$19,$8f,$19,$8f,$19,$8f,$19,$8f,$19,$8f,$ae,$90,$e3
	.byte $92,$19,$8f,$e3,$92,$8a,$90,$fb,$92,$20,$93,$19,$8f,$33,$93,$92
	.byte $90,$3e,$93,$db,$93,$8a,$90,$19,$8f,$91,$94,$e3,$92,$e3,$92,$19
	.byte $8f,$77,$94,$19,$8f,$19,$8f,$38,$60,$a5,$15,$29,$08,$f0,$03,$4c
	.byte $27,$8f,$4c,$2e,$8f,$24,$da,$38,$10,$01,$18,$60

Lbl_8f2e:
	ldy $8e
	jsr Lbl_c988
	lda #$01
	jsr Lbl_fae2
	sta $00
	lsr a 
	sta $01
	ldy #$30
	lda ($4d),y
	sta $02
	iny 
	lda ($4d),y
	sta $03
	iny 
	iny 
	lda ($4d),y
	sta $04
	iny 
	lda ($4d),y
	sta $05
	jmp Lbl_9410

Lbl_8f56:
	lda $18
	cmp #$04
	bcc Lbl_8f70
	lda #$6a
	cmp $48
	lda #$00
	sbc $49
	bmi Lbl_8fc3
	lda #$10
	cmp $48
	lda #$00
	sbc $49
	bpl Lbl_8fc3

Lbl_8f70:
	sec 
	lda $61
	sbc $63
	sta $65
	lda $62
	sbc $64
	sta $66
	lda $66
	bpl Lbl_8f8a
	lda $65
	eor #$ff
	clc 
	adc #$01
	sta $65

Lbl_8f8a:
	lda #$03
	cmp $65
	bcc Lbl_8fc3
	ldx $63
	ldy $64
	lda $18
	cmp #$04
	bcs Lbl_8fa5
	stx $48
	sty $49
	jsr Lbl_8fc5
	bcs Lbl_8fc3
	bcc Lbl_8fa9

Lbl_8fa5:
	stx $45
	sty $46

Lbl_8fa9:
	lda $16
	bpl Lbl_8fbd
	lda $1a
	and #$7f
	sta $1a
	lda $1b
	and #$7f
	sta $1b
	lda #$00
	sta $1d

Lbl_8fbd:
	jsr Lbl_d897
	clc 
	bcc Lbl_8fc4

Lbl_8fc3:
	sec 

Lbl_8fc4:
	rts 

Lbl_8fc5:
	bit $20
	bvs Lbl_8fd1
	lda $1b
	and #$7f
	sta $1b
	bpl Lbl_9014

Lbl_8fd1:
	lda $18
	lsr a 
	bcs Lbl_8ff4
	bit $20
	bpl Lbl_8fe0
	ldx $46
	beq Lbl_9017
	bne Lbl_9014

Lbl_8fe0:
	ldx $46
	bne Lbl_9014
	cmp #$00
	bne Lbl_8fec
	lda #$58
	bne Lbl_8fee

Lbl_8fec:
	lda #$40

Lbl_8fee:
	cmp $45
	bcc Lbl_9017
	bcs Lbl_9014

Lbl_8ff4:
	bit $20
	bmi Lbl_9000
	ldx $46
	bmi Lbl_9014
	beq Lbl_9014
	bne Lbl_9017

Lbl_9000:
	ldx $46
	cpx #$01
	bne Lbl_9014
	cmp #$00
	bne Lbl_900e
	lda #$a8
	bne Lbl_9010

Lbl_900e:
	lda #$c0

Lbl_9010:
	cmp $45
	bcs Lbl_9017

Lbl_9014:
	sec 
	bcs Lbl_9018

Lbl_9017:
	clc 

Lbl_9018:
	rts 

Lbl_9019:
	lda $90
	cmp $8a
	bne Lbl_902b
	lda $c5
	and #$7f
	cmp #$03
	beq Lbl_9036
	cmp #$04
	beq Lbl_9036

Lbl_902b:
	lda #$28
	sta $00
	lda #$18
	sta $01
	jmp Lbl_9400

Lbl_9036:
	sec 
	rts 

Lbl_9038:
	lda $49
	bne Lbl_9088
	lda $48
	cmp #$68
	bcs Lbl_9088
	cmp #$18
	bcc Lbl_9088
	bit $17
	bpl Lbl_905a
	lda $46
	bne Lbl_9088
	lda $45
	cmp #$ff
	bcs Lbl_9088
	cmp #$60
	bcc Lbl_9088
	bcs Lbl_906a

Lbl_905a:
	lda $46
	cmp #$01
	bne Lbl_9088
	lda $45
	cmp #$a0
	bcs Lbl_9088
	cmp #$01
	bcc Lbl_9088

Lbl_906a:
	bit $34
	bpl Lbl_9085
	lda $06c9
	bne Lbl_907c
	inc $06c9
	lda #$01
	sta $1f
	bne Lbl_9088

Lbl_907c:
	lda #$00
	sta $06c9
	lda #$01
	sta $1f

Lbl_9085:
	clc 
	bcc Lbl_9089

Lbl_9088:
	sec 

Lbl_9089:
	rts 

Lbl_908a:
	lda $15
	and #$08
	bne Lbl_9092
	sec 
	rts 

Lbl_9092:
	lda $e7			; Ball Height 2
	cmp #$18
	bcc Lbl_90a3
	lda #$30
	sta $00
	lda #$28
	sta $01
	jmp Lbl_9400

Lbl_90a3:
	lda #$20
	sta $00
	lda #$20
	sta $01
	jmp Lbl_9400

Lbl_90ae:
	bit $70
	bvc Lbl_90b9	; branch if overflow clear
	jsr Lbl_9226
	bcs Lbl_911a	; branch if carry set
	bcc Lbl_90be	; branch if carry clear

Lbl_90b9:
	jsr Lbl_9129
	bcs Lbl_911a

Lbl_90be:
	ldy $8d
	jsr Lbl_c988
	lda #$30
	sta $00
	sta $01
	ldy #$30
	lda ($4d),y
	sta $02
	iny 
	lda ($4d),y
	sta $03
	iny 
	iny 
	lda ($4d),y
	sta $04
	iny 
	lda ($4d),y
	sta $05
	jsr Lbl_9416
	bcc Lbl_911a
	lda $06c6
	and #$0f
	ldx $cd			; get shot type
	cpx #$01
	bne Lbl_90f5	; branch if shot type != #$01 (shot)
	cmp #$03
	bcs Lbl_9100
	bcc Lbl_90f9

Lbl_90f5:
	cmp #$0b
	bcs Lbl_9100

Lbl_90f9:
	lda $06c6
	and #$10
	beq Lbl_911a

Lbl_9100:
	lda $06c6
	and #$0f
	cpx #$01
	bne Lbl_910f
	cmp #$0e
	bcc Lbl_9127
	bcs Lbl_9113

Lbl_910f:
	cmp #$06
	bcc Lbl_9127

Lbl_9113:
	lda $06c6
	and #$10
	beq Lbl_9127

Lbl_911a:
	lda $06c6
	clc 
	adc #$10
	and #$e0
	sta $2e
	clc 
	bcc Lbl_9128

Lbl_9127:
	sec 

Lbl_9128:
	rts 

Lbl_9129:
	bit $17
	bvc Lbl_9163
	bmi Lbl_9141
	lda $18
	cmp #$04
	beq Lbl_9155
	lda $46
	bne Lbl_91b8
	lda $45
	cmp #$58
	bcc Lbl_91b8
	bcs Lbl_9163

Lbl_9141:
	lda $18
	cmp #$05
	beq Lbl_9155
	lda $46
	cmp #$01
	bne Lbl_91b8
	lda $45
	cmp #$a8
	bcs Lbl_91b8
	bcc Lbl_9163

Lbl_9155:
	lda $49
	bne Lbl_91b8
	lda $48
	cmp #$6a
	bcs Lbl_91b8
	cmp #$10
	bcc Lbl_91b8

Lbl_9163:
	lda $20
	clc 
	adc #$10
	and #$e0
	lsr a 
	lsr a 
	sta $00
	lda $31
	asl a 
	clc 
	adc $00
	tax 
	lda Lbl_91c6,x
	pha 
	clc 
	adc $45
	sta $61
	lda $46
	adc #$00
	sta $62
	pla 
	bpl Lbl_918e
	lda $62
	clc 
	adc #$ff
	sta $62

Lbl_918e:
	lda Lbl_91c7,x
	pha 
	clc 
	adc $48
	sta $63
	lda $49
	adc #$00
	sta $64
	pla 
	bpl Lbl_91a7
	lda $64
	clc 
	adc #$ff
	sta $64

Lbl_91a7:
	jsr Lbl_cb89
	sta $00
	ldx $18
	lda $00
	cmp Lbl_91ba,x
	bne Lbl_91b8
	clc 
	bcc Lbl_91b9

Lbl_91b8:
	sec 

Lbl_91b9:
	rts 

Lbl_91ba:
	.byte $00,$01,$02,$03,$04,$05,$06,$07,$06,$07,$06,$07

Lbl_91c6:
	.byte $00

Lbl_91c7:
	.byte $08,$00,$08,$00,$08,$00,$08,$08,$06,$08,$06,$08,$06,$08,$06,$08
	.byte $00,$08,$00,$08,$00,$08,$00,$08,$fa,$08,$fa,$08,$fa,$08,$fa,$00
	.byte $f8,$00,$f8,$00,$f8,$00,$f8,$fa,$fa,$fa,$fa,$fa,$fa,$fa,$fa,$f8
	.byte $00,$f8,$00,$f8,$00,$f8,$00,$f8,$06,$f8,$06,$f8,$06,$f8,$06,$45
	.byte $92,$3f,$92,$4f,$92,$49,$92,$59,$92,$53,$92,$63,$92,$5d,$92

Lbl_9216:
	.byte $3c

Lbl_9217:
	.byte $00

Lbl_9218:
	.byte $c4

Lbl_9219:
	.byte $01,$3c,$00,$c4,$01

Lbl_921e:
	.byte $57

Lbl_921f:
	.byte $00

Lbl_9220:
	.byte $0c

Lbl_9221:
	.byte $00,$57,$00,$0c,$00

Lbl_9226:
	lda $20
	beq Lbl_9245
	cmp #$40
	bcc Lbl_923f
	beq Lbl_924f
	cmp #$80
	bcc Lbl_9249
	beq Lbl_9259
	cmp #$c0
	bcc Lbl_9253
	beq Lbl_9263
	jmp Lbl_925d

Lbl_923f:
	jsr Lbl_928a
	bcc Lbl_9245
	rts 

Lbl_9245:
	jsr Lbl_92ab
	rts 

Lbl_9249:
	jsr Lbl_92c7
	bcc Lbl_924f
	rts 

Lbl_924f:
	jsr Lbl_928a
	rts 

Lbl_9253:
	jsr Lbl_9267
	bcc Lbl_9259
	rts 

Lbl_9259:
	jsr Lbl_92c7
	rts 

Lbl_925d:
	jsr Lbl_92ab
	bcc Lbl_9263
	rts 

Lbl_9263:
	jsr Lbl_9267
	rts 

Lbl_9267:
	ldx #$00
	sec 
	lda $46
	bmi Lbl_927b
	lda Lbl_9216,x
	sec 
	sbc a:$0045
	lda Lbl_9217,x
	sbc a:$0046

Lbl_927b:
	bcc Lbl_9289
	php 
	lda Lbl_9216,x
	sta $45
	lda Lbl_9217,x
	sta $46
	plp 

Lbl_9289:
	rts 

Lbl_928a:
	ldx #$00
	clc 
	lda $46
	bmi Lbl_929c
	lda $45
	sec 
	sbc Lbl_9218,x
	lda $46
	sbc Lbl_9219,x

Lbl_929c:
	bcc Lbl_92aa
	php 
	lda Lbl_9218,x
	sta $45
	lda Lbl_9219,x
	sta $46
	plp 

Lbl_92aa:
	rts 

Lbl_92ab:
	ldx #$00
	clc 
	lda $49
	bmi Lbl_92b8
	lda $48
	sec 
	sbc Lbl_921e,x

Lbl_92b8:
	bcc Lbl_92c6
	php 
	lda Lbl_921e,x
	sta $48
	lda Lbl_921f,x
	sta $49
	plp 

Lbl_92c6:
	rts 

Lbl_92c7:
	ldx #$00
	sec 
	lda $49
	bmi Lbl_92d4
	lda Lbl_9220,x
	sec 
	sbc $48

Lbl_92d4:
	bcc Lbl_92e2
	php 
	lda Lbl_9220,x
	sta $48
	lda Lbl_9221,x
	sta $49
	plp 

Lbl_92e2:
	rts 

Lbl_92e3:
	jsr Lbl_9129
	bcc Lbl_92eb
	clc 
	bcc Lbl_92fa

Lbl_92eb:
	lda $06c6
	sec 
	sbc $48
	bpl Lbl_92f8
	eor #$ff
	clc 
	adc #$01

Lbl_92f8:
	cmp #$08

Lbl_92fa:
	rts 

Lbl_92fb:
	lda $15
	and #$08
	beq Lbl_931e
	lda $90
	cmp $8a
	bne Lbl_9313
	lda $c5
	and #$7f
	cmp #$03
	beq Lbl_931e
	cmp #$04
	beq Lbl_931e

Lbl_9313:
	lda #$20
	sta $00
	lda #$20
	sta $01
	jmp Lbl_9400

Lbl_931e:
	sec 
	rts 

Lbl_9320:
	lda $15
	and #$08
	bne Lbl_9328
	sec 
	rts 

Lbl_9328:
	lda #$40
	sta $00
	lda #$40
	sta $01
	jmp Lbl_9400

Lbl_9333:
	lda #$08
	sta $00
	lda #$07
	sta $01
	jmp Lbl_9400

Lbl_933e:
	lda $18
	lsr a 
	php 
	bne Lbl_9355
	lda $e5
	bmi Lbl_9352
	bne Lbl_9365
	lda $e4
	cmp #$68
	bcc Lbl_9352
	bcs Lbl_9365

Lbl_9352:
	jmp Lbl_93d8

Lbl_9355:
	cmp #$01
	bne Lbl_9378
	lda $e5
	bmi Lbl_93d4
	bne Lbl_93d8
	lda $e4
	cmp #$48
	bcs Lbl_93d8

Lbl_9365:
	plp 
	bcs Lbl_9370
	lda $e2
	beq Lbl_93d5
	bmi Lbl_93d5
	bpl Lbl_93d9

Lbl_9370:
	lda $e2
	beq Lbl_93d9
	bmi Lbl_93d9
	bpl Lbl_93d5

Lbl_9378:
	cmp #$02
	bne Lbl_939f
	plp 
	bcs Lbl_938d
	lda $e2
	bmi Lbl_93d5
	bne Lbl_93d9
	lda $e1
	cmp #$88
	bcs Lbl_93d9
	bcc Lbl_93d5

Lbl_938d:
	lda $e2
	beq Lbl_93d9
	bmi Lbl_93d9
	cmp #$01
	bne Lbl_93d5
	lda $e1
	cmp #$78
	bcc Lbl_93d9
	bcs Lbl_93d5

Lbl_939f:
	plp 
	bcs Lbl_93bb
	sec 
	lda $45
	sbc #$50
	sta $00
	lda $46
	sbc #$00
	sta $01
	lda $00
	cmp $e1
	lda $01
	sbc $e2
	bpl Lbl_93d9
	bmi Lbl_93d5

Lbl_93bb:
	clc 
	lda $45
	adc #$50
	sta $00
	lda $46
	adc #$00
	sta $01
	lda $00
	cmp $e1
	lda $01
	sbc $e2
	bmi Lbl_93d9
	bpl Lbl_93d5

Lbl_93d4:
	plp 

Lbl_93d5:
	clc 
	bcc Lbl_93da

Lbl_93d8:
	plp 

Lbl_93d9:
	sec 

Lbl_93da:
	rts 

Lbl_93db:
	lda $c5
	and #$7f
	cmp #$04
	bne Lbl_93fe
	lda $e7			; Ball Height 2
	cmp #$20
	bcc Lbl_93f3
	lda #$38
	sta $00
	lda #$38
	sta $01
	bne Lbl_93fb

Lbl_93f3:
	lda #$0f
	sta $00
	lda #$0f
	sta $01

Lbl_93fb:
	jmp Lbl_9400

Lbl_93fe:
	sec 
	rts 

Lbl_9400:
	lda $45
	sta $02
	lda $46
	sta $03
	lda $48
	sta $04
	lda $49
	sta $05

Lbl_9410:
	lda $c5
	and #$7f
	beq Lbl_9475

Lbl_9416:
	lda $02
	clc 
	adc $00
	sta $06
	lda #$00
	adc $03
	sta $07
	lda $06
	cmp $e1
	lda $07
	sbc $e2
	bmi Lbl_9475
	lda $02
	sec 
	sbc $00
	sta $02
	lda $03
	sbc #$00
	sta $03
	lda $e1
	cmp $02
	lda $e2
	sbc $03
	bmi Lbl_9475
	lda $04
	clc 
	adc $01
	sta $08
	lda #$00
	adc $05
	sta $09
	lda $08
	cmp $e4
	lda $09
	sbc $e5
	bmi Lbl_9475
	lda $04
	sec 
	sbc $01
	sta $04
	lda $05
	sbc #$00
	sta $05
	lda $e4
	cmp $04
	lda $e5
	sbc $05
	bmi Lbl_9475
	clc 
	bcc Lbl_9476

Lbl_9475:
	sec 

Lbl_9476:
	rts 

Lbl_9477:
	bit $17
	bpl Lbl_9485
	sec 
	lda $46
	bne Lbl_9490
	lda $45
	cmp #$80
	rts 

Lbl_9485:
	lda $46
	cmp #$01
	sec 
	bne Lbl_9490
	lda #$80
	cmp $45

Lbl_9490:
	rts 

Lbl_9491:
	.byte $a5,$17,$29,$07,$0a,$aa,$bd,$a4,$94,$85,$00,$bd,$a5,$94,$85,$01
	.byte $4c,$00,$94,$34,$1a,$28,$14,$4c,$26,$64,$32,$3c,$16,$20,$10

Lbl_94b0:
	lda $1b
	bmi Lbl_94bc
	ora #$80
	sta $1b
	lda #$00
	sta $1f

Lbl_94bc:
	rts 

Lbl_94bd:
	lda $1b
	bmi Lbl_94db
	ora #$80
	sta $1b
	lda #$10
	ora #$80
	sta $1d
	lda $c7
	sta $29
	lda $c8
	sta $2a
	lda $c9
	sta $2b
	lda $ca
	sta $2c

Lbl_94db:
	jsr Lbl_9bb0
	sta $1f
	rts 

Lbl_94e1:
	lda $1b
	bmi Lbl_94f3
	ora #$80
	sta $1b
	lda #$21
	ora #$80
	sta $1d
	lda #$00
	sta $1f

Lbl_94f3:
	rts 

Lbl_94f4:
	lda $1b
	bmi Lbl_9508
	ora #$80
	sta $1b
	lda #$05
	ora #$80
	sta $1d
	jsr Lbl_951a
	jmp Lbl_9514

Lbl_9508:
	lda $069e
	and #$0f
	cmp $18
	bne Lbl_9514
	jsr Lbl_951a

Lbl_9514:
	jsr Lbl_9bb4
	sta $1f
	rts 

Lbl_951a:
	bit $17
	bmi Lbl_9524
	ldx #$24
	lda #$09
	bne Lbl_9528

Lbl_9524:
	ldx #$0c
	lda #$03

Lbl_9528:
	ldy #$03
	cpy $18
	bpl Lbl_9532
	ldy #$03
	bne Lbl_9534

Lbl_9532:
	ldy #$01

Lbl_9534:
	sta $06
	lda #$03
	sta $02
	lda #$04
	sta $03
	lda #$00
	sta $04
	sta $05

Lbl_9544:
	lda $91,x
	and #$f0
	cmp #$f0
	beq Lbl_9588
	txa 
	pha 
	tya 
	pha 
	lda $06
	jsr Lbl_cb65
	bit $17
	bpl Lbl_9564
	cmp #$06
	beq Lbl_9573
	dey 
	bne Lbl_956f
	lda #$50
	bne Lbl_957a

Lbl_9564:
	cmp #$07
	beq Lbl_9573
	dey 
	bne Lbl_956f
	lda #$b0
	bne Lbl_957a

Lbl_956f:
	lda #$40
	bne Lbl_957a

Lbl_9573:
	inx 
	dey 
	bne Lbl_9573
	lda $91,x
	clc 

Lbl_957a:
	adc $04
	sta $04
	lda #$00
	adc $05
	sta $05
	pla 
	tay 
	pla 
	tax 

Lbl_9588:
	txa 
	clc 
	adc $03
	tax 
	inc $06
	dec $02
	bne Lbl_9544
	lda $80			; players alive on P2 team
	bit $17
	bmi Lbl_959b
	lda $81			; players alive on P1 team

Lbl_959b:
	cmp #$00
	beq Lbl_95a4
	lsr a 
	beq Lbl_95d2
	bcc Lbl_95c4

Lbl_95a4:
	pha 
	lda #$b0
	bit $17
	bmi Lbl_95ad
	lda #$50

Lbl_95ad:
	dey 
	beq Lbl_95b2
	lda #$40

Lbl_95b2:
	iny 
	clc 
	adc $04
	sta $04
	lda #$00
	adc $05
	sta $05
	pla 
	cmp #$00
	beq Lbl_95d2
	asl a 

Lbl_95c4:
	tax 

Lbl_95c5:
	lda $05
	lsr a 
	sta $05
	lda $04
	ror a 
	sta $04
	dex 
	bne Lbl_95c5

Lbl_95d2:
	bit $17
	bpl Lbl_95de
	dey 
	bne Lbl_95dd
	lda #$01
	sta $05

Lbl_95dd:
	iny 

Lbl_95de:
	lda $04
	ldx $05
	dey 
	beq Lbl_9626
	sta $2b
	stx $2c
	lda $c5
	and #$7f
	beq Lbl_962a
	cmp #$03
	bcs Lbl_962a
	lda $e5
	bne Lbl_962a
	lda $2b
	sec 
	sbc $e4
	bmi Lbl_960d
	cmp #$10
	bcs Lbl_962a

Lbl_9602:
	lda $e4
	clc 
	adc #$10
	cmp #$68
	bcc Lbl_9621
	bcs Lbl_9616

Lbl_960d:
	eor #$ff
	clc 
	adc #$01
	cmp #$20
	bcs Lbl_9621

Lbl_9616:
	lda $e4
	sec 
	sbc #$20
	bmi Lbl_9602
	cmp #$18
	bcc Lbl_9602

Lbl_9621:
	sta $2b
	jmp Lbl_962a

Lbl_9626:
	sta $29
	stx $2a

Lbl_962a:
	rts 

Lbl_962b:
	.byte $60

Lbl_962c:
	lda $1b
	bmi Lbl_963a
	ora #$80
	sta $1b
	lda #$11
	ora #$80
	sta $1d

Lbl_963a:
	lda $e1
	sta $29
	lda $e2
	sta $2a
	lda $e4
	sta $2b
	lda $e5
	sta $2c
	jsr Lbl_9ca4
	sta $1f
	rts 

Lbl_9650:
	lda $1b
	bmi Lbl_968d
	jsr Lbl_db89
	and #$1f
	sta $00
	ldy $8a
	jsr Lbl_c988
	ldy #$31
	lda ($4d),y
	tax 
	dey 
	lda ($4d),y
	bit $17
	bmi Lbl_9679
	clc 
	adc $00
	sta $29
	txa 
	adc #$00
	sta $2a
	jmp Lbl_9683

Lbl_9679:
	sec 
	sbc $00
	sta $29
	txa 
	sbc #$00
	sta $2a

Lbl_9683:
	jsr Lbl_96c2
	lda $1b
	ora #$80
	sta $1b
	rts 

Lbl_968d:
	jsr Lbl_96c2
	rts 

Lbl_9691:
	lda $1b
	bmi Lbl_96be
	jsr Lbl_db89
	and #$1f
	sta $00
	bit $17
	bmi Lbl_96a9
	lda #$50
	clc 
	adc $00
	ldx #$01
	bpl Lbl_96b0

Lbl_96a9:
	lda #$b0
	sec 
	sbc $00
	ldx #$00

Lbl_96b0:
	sta $29
	stx $2a
	jsr Lbl_96c2
	lda $1b
	ora #$80
	sta $1b
	rts 

Lbl_96be:
	jsr Lbl_96c2
	rts 

Lbl_96c2:
	lda $29
	cmp $45
	lda $2a
	sbc $46
	bit $17
	bmi Lbl_96d8
	bcc Lbl_96e0
	lda #$68
	cmp $45
	bcc Lbl_96e0
	bcs Lbl_96e9

Lbl_96d8:
	bcs Lbl_96e0
	lda #$98
	cmp $45
	bcc Lbl_96e9

Lbl_96e0:
	lda #$00
	sta $1f
	lda #$00
	sta $1b
	rts 

Lbl_96e9:
	lda $1b
	bpl Lbl_96f5
	lda $069e
	and #$0f
	beq Lbl_96f5
	rts 

Lbl_96f5:
	lda $48
	pha 
	clc 
	adc #$08
	sta $00
	pla 
	sec 
	sbc #$08
	sta $01
	ldy $8a
	jsr Lbl_c988
	ldy #$33
	lda ($4d),y
	cmp $01
	bcc Lbl_9714
	cmp $00
	bcc Lbl_9720

Lbl_9714:
	ldx #$04
	lda #$40
	bit $17
	bpl Lbl_973c
	lda #$c0
	bne Lbl_973c

Lbl_9720:
	bit $17
	bmi Lbl_9730
	cmp #$40
	bcs Lbl_972c
	lda #$20
	bne Lbl_973a

Lbl_972c:
	lda #$60
	bne Lbl_973a

Lbl_9730:
	cmp #$40
	bcc Lbl_9738
	lda #$a0
	bne Lbl_973a

Lbl_9738:
	lda #$e0

Lbl_973a:
	ldx #$03

Lbl_973c:
	sta $20
	stx $1f
	rts 

Lbl_9741:
	lda $1b
	bmi Lbl_9759
	ora #$80
	sta $1b
	and #$7f
	cmp #$2b
	bne Lbl_9753
	lda #$25
	bne Lbl_9755

Lbl_9753:
	lda #$1f

Lbl_9755:
	ora #$80
	sta $1d

Lbl_9759:
	lda $e1
	sta $29
	lda $e2
	sta $2a
	lda $e4
	sta $2b
	lda $e5
	sta $2c
	jsr Lbl_9bbd
	cmp #$02
	bne Lbl_9772
	lda #$03

Lbl_9772:
	sta $1f
	rts 

Lbl_9775:
	lda $1b
	bmi Lbl_97d4
	ora #$80
	sta $1b
	lda #$11
	ora #$80
	sta $1d
	ldy $8d
	jsr Lbl_c988
	ldy #$30
	lda ($4d),y
	sta $29
	sta $65
	iny 
	lda ($4d),y
	sta $2a
	sta $66
	iny 
	iny 
	lda ($4d),y
	sta $2b
	sta $67
	iny 
	lda ($4d),y
	sta $2c
	sta $68
	ldy $8a
	jsr Lbl_c988
	ldy #$30
	lda ($4d),y
	sta $61
	iny 
	lda ($4d),y
	sta $62
	iny 
	iny 
	lda ($4d),y
	sta $63
	iny 
	lda ($4d),y
	sta $64
	jsr Lbl_ca2b
	clc 
	adc #$10
	and #$e0
	ldx #$e0
	stx $61
	ldx #$97
	stx $62
	jsr Lbl_9860

Lbl_97d4:
	jsr Lbl_9bbd
	cmp #$02
	bne Lbl_97dd
	lda #$01

Lbl_97dd:
	sta $1f
	rts 

Lbl_97e0:
	.byte $00,$00,$20,$00,$16,$00,$16,$00,$20,$00,$00,$00,$16,$00,$ea,$ff
	.byte $00,$00,$e0,$ff,$ea,$ff,$ea,$ff,$e0,$ff,$00,$00,$ea,$ff,$16,$00

Lbl_9800:
	bit $70
	bvs Lbl_9808	; branch on overflow set
	lda $1b
	bmi Lbl_9834	; branch on minus

Lbl_9808:
	ora #$80
	sta $1b
	lda #$20
	ora #$80
	sta $1d
	lda $c7
	sta $29
	lda $c8
	sta $2a
	lda $c9
	sta $2b
	lda $ca
	sta $2c
	lda #$40
	sta $61
	lda #$98
	sta $62
	lda $d3
	clc 
	adc #$10
	and #$e0
	jsr Lbl_9860

Lbl_9834:
	jsr Lbl_9bbd
	cmp #$02
	bne Lbl_983d
	lda #$01

Lbl_983d:
	sta $1f
	rts 

Lbl_9840:
	.byte $00,$00,$e8,$ff,$e8,$ff,$e8,$ff,$e8,$ff,$00,$00,$e8,$ff,$18,$00
	.byte $00,$00,$18,$00,$18,$00,$18,$00,$18,$00,$00,$00,$18,$00,$e8,$ff

Lbl_9860:
	clc 
	adc #$10
	and #$e0
	lsr a 
	lsr a 
	lsr a 
	tay 
	lda ($61),y
	clc 
	adc $29
	sta $29
	iny 
	lda ($61),y
	adc $2a
	sta $2a
	iny 
	lda ($61),y
	clc 
	adc $2b
	sta $2b
	iny 
	lda ($61),y
	adc $2c
	sta $2c
	bit $70
	bvc Lbl_988d	; branch on overflow clear
	jmp Lbl_9907

Lbl_988d:
	lda $2c
	bmi Lbl_989f
	bne Lbl_98a9
	lda $2b
	cmp #$68
	bcs Lbl_98ad
	cmp #$18
	bcc Lbl_98a3
	bcs Lbl_98b1

Lbl_989f:
	lda #$00
	sta $2c

Lbl_98a3:
	lda #$18
	sta $2b
	bne Lbl_98b1

Lbl_98a9:
	lda #$00
	sta $2c

Lbl_98ad:
	lda #$68
	sta $2b

Lbl_98b1:
	sta $63
	bit $17
	bpl Lbl_98dd
	ldx #$01
	jsr Lbl_cbe7
	ldx $2a
	bmi Lbl_98cd
	bne Lbl_98d4
	ldx $29
	cpx #$f0
	bcs Lbl_98d8
	cmp $29
	bcs Lbl_98d1
	rts 

Lbl_98cd:
	ldx #$00
	stx $2a

Lbl_98d1:
	sta $29
	rts 

Lbl_98d4:
	ldx #$00
	stx $2a

Lbl_98d8:
	lda #$f0
	sta $29
	rts 

Lbl_98dd:
	ldx #$02
	jsr Lbl_cbe7
	ldx $2a
	beq Lbl_98fe
	bmi Lbl_98fe
	cpx #$01
	bne Lbl_98f7
	ldx $29
	cpx #$10
	bcc Lbl_9902
	cmp $29
	bcc Lbl_98fb
	rts 

Lbl_98f7:
	ldx #$01
	stx $2a

Lbl_98fb:
	sta $29
	rts 

Lbl_98fe:
	ldx #$01
	stx $2a

Lbl_9902:
	lda #$10
	sta $29
	rts 

Lbl_9907:
	lda $2c
	bmi Lbl_9917
	bne Lbl_9917
	lda #$60
	cmp $2b
	bcs Lbl_991d
	sta $2b
	bcc Lbl_991d

Lbl_9917:
	lda #$00
	sta $2c
	sta $2b

Lbl_991d:
	lda $2a
	bmi Lbl_992f
	beq Lbl_9937
	cmp #$01
	beq Lbl_993f
	lda #$01
	sta $2a
	lda #$d8
	bne Lbl_9945

Lbl_992f:
	lda #$00
	sta $2a
	lda #$28
	bne Lbl_9945

Lbl_9937:
	lda #$28
	cmp $29
	bcc Lbl_9947
	bcs Lbl_9945

Lbl_993f:
	lda #$d8
	cmp $29
	bcs Lbl_9947

Lbl_9945:
	sta $29

Lbl_9947:
	rts 

Lbl_9948:
	lda $1b
	bmi Lbl_9967
	ora #$80
	sta $1b
	lda $15
	lsr a 
	bcc Lbl_9959
	lda #$8d
	bcs Lbl_9963

Lbl_9959:
	lda $16
	bvs Lbl_9961
	lda #$87
	bmi Lbl_9963

Lbl_9961:
	lda #$8c

Lbl_9963:
	ora #$80
	sta $1d

Lbl_9967:
	bit $17
	bpl Lbl_997d
	lda $46
	bmi Lbl_99a1
	bne Lbl_99a9
	lda $45
	cmp #$60
	bcc Lbl_99a1
	cmp #$f0
	bcs Lbl_99a9
	bcc Lbl_9991

Lbl_997d:
	lda $46
	bmi Lbl_99a1
	beq Lbl_99a1
	cmp #$01
	bne Lbl_99a9
	lda $45
	cmp #$10
	bcc Lbl_99a1
	cmp #$a0
	bcs Lbl_99a9

Lbl_9991:
	lda $49
	bmi Lbl_999d
	bne Lbl_99a5
	lda $48
	cmp #$68
	bcs Lbl_99a5

Lbl_999d:
	ldx #$00
	beq Lbl_99ab

Lbl_99a1:
	ldx #$40
	bne Lbl_99ab

Lbl_99a5:
	ldx #$80
	bne Lbl_99ab

Lbl_99a9:
	ldx #$c0

Lbl_99ab:
	stx $20
	lda #$04
	sta $1f
	rts 

Lbl_99b2:
	lda $1b
	bmi Lbl_99c0
	ora #$80
	sta $1b
	lda #$03
	ora #$80
	sta $1d

Lbl_99c0:
	lda #$80
	sta $20
	ldx #$03
	cpx $18
	bmi Lbl_99e4
	lda $48
	sta $61
	lda $49
	sta $62
	lda #$01
	cmp $18
	bmi Lbl_99de
	lda #$6a
	ldx #$00
	bpl Lbl_9a2d

Lbl_99de:
	lda #$10
	ldx #$00
	bpl Lbl_9a2d

Lbl_99e4:
	lda #$6a
	cmp $48
	lda #$00
	sbc $49
	bmi Lbl_9a5f
	lda #$10
	cmp $48
	lda #$00
	sbc $49
	bmi Lbl_99fe
	lda #$00
	sta $20
	bpl Lbl_9a5f

Lbl_99fe:
	lda #$c0
	sta $20
	lda $45
	sta $61
	lda $46
	sta $62
	inx 
	cpx $18
	beq Lbl_9a24
	inx 
	cpx $18
	beq Lbl_9a28
	bit $17
	bpl Lbl_9a1e
	lda #$f0
	ldx #$00
	bpl Lbl_9a2d

Lbl_9a1e:
	lda #$10
	ldx #$01
	bpl Lbl_9a2d

Lbl_9a24:
	ldx #$01
	bne Lbl_9a2a

Lbl_9a28:
	ldx #$02

Lbl_9a2a:
	jsr Lbl_c6c4

Lbl_9a2d:
	sta $63
	stx $64
	sec 
	lda $61
	sbc $63
	sta $00
	lda $62
	sbc $64
	sta $01
	bpl Lbl_9a47
	lda #$80
	clc 
	adc $20
	sta $20

Lbl_9a47:
	lda $00
	ora $01
	bne Lbl_9a5f
	lda $18
	cmp #$04
	bcs Lbl_9a5f
	lda #$40
	ldx $46
	bmi Lbl_9a5d
	beq Lbl_9a5d
	lda #$c0

Lbl_9a5d:
	sta $20

Lbl_9a5f:
	lda #$03
	sta $1f
	rts 

Lbl_9a64:
	lda $1b
	bmi Lbl_9a93
	ora #$80
	sta $1b
	jsr Lbl_9aab
	pha 
	jsr Lbl_db89
	and #$1f
	lsr a 
	lsr a 
	lsr a 
	asl a 
	tay 
	pla 
	cmp #$02
	bpl Lbl_9a8a
	lda ($63),y
	sta $29
	iny 
	lda ($63),y
	sta $2a
	bpl Lbl_9a93

Lbl_9a8a:
	lda ($63),y
	sta $2b
	iny 
	lda ($63),y
	sta $2c

Lbl_9a93:
	jsr Lbl_9bbd
	cmp #$00
	bne Lbl_9aa2
	pha 
	lda #$00
	sta $1b
	pla 
	bpl Lbl_9aa8

Lbl_9aa2:
	cmp #$02
	bne Lbl_9aa8
	lda #$03

Lbl_9aa8:
	sta $1f
	rts 

Lbl_9aab:
	jsr Lbl_9afb
	pha 
	lda $70
	and #$60		; mask with #$60
	cmp #$20		; check against #$20 (versus mode in-game?)
	beq Lbl_9ac1	; branch if equal
	lda $17
	ldx #$04
	ldy #$00
	and #$20
	bne Lbl_9ad0

Lbl_9ac1:
	lda #$05
	jsr Lbl_fae2
	jsr Lbl_c9b5
	ldx #$03
	ldy #$00
	bcs Lbl_9ad0
	inx 

Lbl_9ad0:
	dex 
	beq Lbl_9ad7
	iny 
	iny 
	bpl Lbl_9ad0

Lbl_9ad7:
	pla 
	pha 
	cmp #$02
	bpl Lbl_9aea
	lda ($61),y
	sta $2b
	iny 
	lda ($61),y
	sta $2c
	pla 
	jmp Lbl_9afa

Lbl_9aea:
	lda ($61),y
	sta $29
	iny 
	lda ($61),y
	sta $2a
	pla 
	bit $17
	bpl Lbl_9afa
	eor #$01

Lbl_9afa:
	rts 

Lbl_9afb:
	lda $c5
	and #$7f
	bne Lbl_9b05
	lda $c6
	bpl Lbl_9b0f

Lbl_9b05:
	cmp #$03
	bpl Lbl_9b0d
	lda $e9
	bpl Lbl_9b0f

Lbl_9b0d:
	lda $cb

Lbl_9b0f:
	pha 
	lsr a 
	bit $17
	bmi Lbl_9b1c
	bcs Lbl_9b22
	pla 
	lda #$07
	bne Lbl_9b21

Lbl_9b1c:
	bcc Lbl_9b22
	pla 
	lda #$06

Lbl_9b21:
	pha 

Lbl_9b22:
	pla 
	pha 
	lsr a 
	tay 
	php 
	lda #$00
	plp 
	beq Lbl_9b32

Lbl_9b2c:
	clc 
	adc #$04
	dey 
	bne Lbl_9b2c

Lbl_9b32:
	tax 
	pla 
	lsr a 
	pha 
	bcs Lbl_9b4a
	lda Lbl_9b60,x
	sta $61
	lda Lbl_9b61,x
	sta $62
	lda Lbl_9b62,x
	ldy Lbl_9b63,x
	bcc Lbl_9b5a

Lbl_9b4a:
	lda Lbl_9b70,x
	sta $61
	lda Lbl_9b71,x
	sta $62
	lda Lbl_9b72,x
	ldy Lbl_9b73,x

Lbl_9b5a:
	sta $63
	sty $64
	pla 
	rts 

Lbl_9b60:
	.byte $80

Lbl_9b61:
	.byte $9b

Lbl_9b62:
	.byte $90

Lbl_9b63:
	.byte $9b,$88,$9b,$a0,$9b,$90,$9b,$88,$9b,$a0,$9b,$80,$9b

Lbl_9b70:
	.byte $80

Lbl_9b71:
	.byte $9b

Lbl_9b72:
	.byte $98

Lbl_9b73:
	.byte $9b,$88,$9b,$a8,$9b,$a8,$9b,$80,$9b,$98,$9b,$88,$9b,$58,$00,$48
	.byte $00,$38,$00,$28,$00,$28,$00,$38,$00,$48,$00,$58,$00,$70,$00,$98
	.byte $00,$c0,$00,$e8,$00,$18,$01,$40,$01,$68,$01,$90,$01,$e8,$00,$c0
	.byte $00,$98,$00,$70,$00,$90,$01,$68,$01,$40,$01,$18,$01

Lbl_9bb0:
	bit $17
	bvc Lbl_9bbd

Lbl_9bb4:
	jsr Lbl_9ca4
	cmp #$00
	beq Lbl_9c36
	bne Lbl_9c0c

Lbl_9bbd:
	jsr Lbl_9c47
	bcc Lbl_9c36
	lda $29
	sta $61
	lda $2a
	sta $62
	lda $2b
	sta $63
	lda $2c
	sta $64
	jsr Lbl_ca0c
	sta $20
	bit $17
	bvs Lbl_9c0c	; branch if overflow set
	bit $70
	bvs Lbl_9c0c	; branch if overflow set
	jsr Lbl_9129
	bcc Lbl_9c0c	; branch if carry clear
	lda $20
	rol a 
	rol a 
	rol a 
	and #$03
	bcs Lbl_9bf9	; branch if carry set
	bit $17
	bpl Lbl_9bf3
	ora #$04

Lbl_9bf3:
	tax 
	lda Lbl_9c37,x
	bcc Lbl_9c0a

Lbl_9bf9:
	pha 
	tax 
	lda Lbl_9c3f,x
	sta $20
	jsr Lbl_9129
	pla 
	bcc Lbl_9c0c
	tax 
	lda Lbl_9c43,x

Lbl_9c0a:
	sta $20

Lbl_9c0c:
	jsr Lbl_9d07
	lda $1e
	and #$7f
	cmp #$04
	bne Lbl_9c24
	sec 
	lda #$28
	sbc $61
	lda #$00
	sbc $62
	bcc Lbl_9c34
	bcs Lbl_9c2f

Lbl_9c24:
	sec 
	lda $61
	sbc #$50
	lda $62
	sbc #$00
	bcs Lbl_9c34

Lbl_9c2f:
	lda #$02
	jmp Lbl_9c36

Lbl_9c34:
	lda #$04

Lbl_9c36:
	rts 

Lbl_9c37:
	.byte $e0,$60,$00,$20,$20,$c0,$00,$a0

Lbl_9c3f:
	.byte $00,$80,$80,$00

Lbl_9c43:
	.byte $40,$40,$c0,$c0

Lbl_9c47:
	sec 
	lda $29
	sbc $45
	sta $61
	lda $2a
	sbc $46
	sta $62
	bpl Lbl_9c59
	jsr Lbl_dc04

Lbl_9c59:
	lda $62
	bne Lbl_9ca2
	ldx #$05
	cpx $61
	bcc Lbl_9ca2
	sec 
	lda $2b
	sbc $48
	sta $63
	lda $2c
	sbc $49
	sta $64
	bpl Lbl_9c85
	eor #$ff
	sta $64
	lda $63
	eor #$ff
	clc 
	adc #$01
	sta $63
	lda $64
	adc #$00
	sta $64

Lbl_9c85:
	lda $64
	bne Lbl_9ca2
	cpx $63
	bcc Lbl_9ca2
	lda $29
	sta $45
	lda $2a
	sta $46
	lda $2b
	sta $48
	lda $2c
	sta $49
	lda #$00
	clc 
	bcc Lbl_9ca3

Lbl_9ca2:
	sec 

Lbl_9ca3:
	rts 

Lbl_9ca4:
	lda #$03
	cmp $18
	bmi Lbl_9cbf
	lda #$40
	sta $20
	lda $46
	cmp $2a
	bcc Lbl_9d04
	bne Lbl_9cfd
	lda $29
	sta $00
	lda $45
	jmp Lbl_9ce9

Lbl_9cbf:
	lda #$00
	sta $20
	lda #$04
	cmp $18
	beq Lbl_9cd4
	lda #$05
	cmp $18
	bne Lbl_9cdb
	lda #$f6
	jmp Lbl_9cd6

Lbl_9cd4:
	lda #$0a

Lbl_9cd6:
	clc 
	adc $20
	sta $20

Lbl_9cdb:
	lda $49
	cmp $2c
	bcc Lbl_9d04
	bne Lbl_9cfd
	lda $2b
	sta $00
	lda $48

Lbl_9ce9:
	and #$f8
	pha 
	lda $00
	and #$f8
	sta $00
	pla 
	cmp $00
	bcc Lbl_9d04
	bne Lbl_9cfd
	lda #$00
	beq Lbl_9d06

Lbl_9cfd:
	lda #$80
	clc 
	adc $20
	sta $20

Lbl_9d04:
	lda #$02

Lbl_9d06:
	rts 

Lbl_9d07:
	lda #$1f
	cmp $20
	bcc Lbl_9d19

Lbl_9d0d:
	lda $2b
	sta $61
	lda $2c
	ldx $48
	ldy $49
	bpl Lbl_9d4d

Lbl_9d19:
	lda #$60
	cmp $20
	bcc Lbl_9d2b
	lda $29
	sta $61
	lda $2a
	ldx $45
	ldy $46
	bpl Lbl_9d4d

Lbl_9d2b:
	lda #$9f
	cmp $20
	bcc Lbl_9d3d
	lda $48
	sta $61
	lda $49
	ldx $2b
	ldy $2c
	bpl Lbl_9d4d

Lbl_9d3d:
	lda #$e0
	cmp $20
	bcc Lbl_9d0d
	lda $45
	sta $61
	lda $46
	ldx $29
	ldy $2a

Lbl_9d4d:
	sta $62
	stx $63
	sty $64
	sec 
	lda $61
	sbc $63
	sta $61
	lda $62
	sbc $64
	sta $62
	rts 

Lbl_9d61:
	lda $1b
	bmi Lbl_9d6b
	ora #$80
	sta $1b
	bmi Lbl_9d77

Lbl_9d6b:
	lda $1e
	and #$7f
	cmp #$14
	bne Lbl_9d77
	lda #$00
	sta $1b

Lbl_9d77:
	lda #$14
	sta $1f
	rts 

Lbl_9d7c:
	lda $1b
	bmi Lbl_9d86
	ora #$80
	sta $1b
	bmi Lbl_9d8e

Lbl_9d86:
	lda $1e
	and #$7f
	cmp #$09
	beq Lbl_9dd5

Lbl_9d8e:
	lda $cd			; load shot type
	bne Lbl_9daa	; branch if not equal
	ldy $8a
	cpy #$ff
	beq Lbl_9dc5
	jsr Lbl_c988
	ldy #$1f
	lda ($4d),y
	and #$01
	beq Lbl_9dc5
	and #$fe
	sta ($4d),y
	jmp Lbl_9dbf

Lbl_9daa:
	sec 
	lda $e7			; Ball Height 2
	sbc $4b
	sta $00
	lda $e8
	sbc $4c
	sta $01
	bmi Lbl_9dc5
	lda $00
	cmp #$50
	bcc Lbl_9dc5

Lbl_9dbf:
	lda #$05
	sta $1f
	bne Lbl_9de6

Lbl_9dc5:
	lda #$09
	sta $1f
	lda $16
	and #$ef
	sta $16
	rts 

Lbl_9dd0:
	.byte $09,$10,$85,$16,$60

Lbl_9dd5:
	lda $c5
	and #$7f
	beq Lbl_9de6
	jsr Lbl_9333
	bcc Lbl_9de6
	lda #$00
	ora #$80
	sta $1c

Lbl_9de6:
	rts 

Lbl_9de7:
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$60

Lbl_9e11:
	lda $1b
	bmi Lbl_9e26
	ora #$80
	sta $1b
	lda $8d
	sta $24
	lda #$17
	ora #$80
	sta $1d
	jsr Lbl_9ee3

Lbl_9e26:
	jsr Lbl_9e2e
	lda #$02
	sta $1f
	rts 

Lbl_9e2e:
	ldy $24
	jsr Lbl_c988
	bit $70
	bvs Lbl_9e64	; branch if overflow set
	lda $18
	cmp #$04
	bmi Lbl_9e5a
	cmp #$06
	bmi Lbl_9e64
	lsr a 
	ldy #$03
	lda ($4d),y
	bcs Lbl_9e52
	cmp #$01
	beq Lbl_9e5a
	cmp #$03
	beq Lbl_9e5a
	bne Lbl_9e64

Lbl_9e52:
	cmp #$00
	beq Lbl_9e5a
	cmp #$02
	bne Lbl_9e64

Lbl_9e5a:
	ldy Lbl_9e94
	lda #$95
	ldx #$9e
	jmp Lbl_9e6b

Lbl_9e64:
	ldy Lbl_9ea9
	lda #$aa
	ldx #$9e

Lbl_9e6b:
	pha 
	txa 
	pha 
	tya 
	pha 
	lda $24
	jsr Lbl_c9cf
	sta $06c6
	pla 
	tax 
	pla 
	sta $4e
	pla 
	sta $4d
	ldy #$00
	lda $06c6

Lbl_9e85:
	cmp ($4d),y
	bcc Lbl_9e8e
	iny 
	iny 
	dex 
	bne Lbl_9e85

Lbl_9e8e:
	iny 
	lda ($4d),y
	sta $20
	rts 

Lbl_9e94:
	.byte $0a,$10,$40,$20,$c0,$60,$40,$70,$c0,$80,$40,$90,$c0,$a0,$40,$e0
	.byte $c0,$f0,$40,$00,$c0

Lbl_9ea9:
	.byte $0b,$20,$00,$30,$80,$40,$00,$50,$80,$60,$00,$a0,$80,$b0,$00,$c0
	.byte $80,$d0,$00,$e0,$80,$00,$00

Lbl_9ec0:
	lda $1b
	bmi Lbl_9edb
	ora #$80
	sta $1b
	lda $8d
	sta $24
	lda #$18
	bit $70
	bvc Lbl_9ed4	; branch if overflow clear
	lda #$26

Lbl_9ed4:
	ora #$80
	sta $1d
	jsr Lbl_9ee3

Lbl_9edb:
	jsr Lbl_9f5a
	lda #$02
	sta $1f
	rts 

Lbl_9ee3:
	lda $41
	pha 
	bit $70
	bvc Lbl_9ef2	; branch if overflow clear
	lda $41
	and #$f8
	ora #$05
	sta $41

Lbl_9ef2:
	ldy $24
	jsr Lbl_c988
	ldy #$00
	lda ($4d),y
	and #$04
	bne Lbl_9f34
	jsr Lbl_db89
	sta $00
	lda #$10
	ldx #$01
	bit $76			; shadow team match
	bpl Lbl_9f19	; branch if positive
	lda #$29
	ldy $06ea		; difficulty level
	cpy #$02
	bne Lbl_9f22	; branch if difficulty level != #$02 (hard)
	lda #$2d
	bne Lbl_9f22

Lbl_9f19:
	ldy $06ea		; difficulty level
	cpy #$02
	bne Lbl_9f22
	lda #$25

Lbl_9f22:
	pha 
	jsr Lbl_fae2
	jsr Lbl_c9b0
	pla 
	bcc Lbl_9f38
	inx 
	clc 
	adc #$01
	cpx #$05
	bne Lbl_9f22

Lbl_9f34:
	ldx #$01
	bne Lbl_9f54

Lbl_9f38:
	cpx #$03
	bcc Lbl_9f54
	lda #$23
	cpx #$03
	beq Lbl_9f46
	ldx #$10
	bne Lbl_9f54

Lbl_9f46:
	bit $70
	bvs Lbl_9f4e	; branch if overflow set
	bit $76			; shadow team match
	bpl Lbl_9f50	; branch if plus

Lbl_9f4e:
	lda #$31

Lbl_9f50:
	jsr Lbl_fae2
	tax 

Lbl_9f54:
	stx $cd			; set shot type
	pla
	sta $41
	rts

Lbl_9f5a:
	ldy $24
	jsr Lbl_c988
	ldy #$33
	lda ($4d),y
	sta $06c6
	ldx #$20
	cmp $48
	bcs Lbl_9f6e
	ldx #$60

Lbl_9f6e:
	bit $70
	bvc Lbl_9f7f	; branch if overflow clear
	ldy #$10
	lda ($4d),y
	bpl Lbl_9f7c
	txa 
	eor #$c0
	tax 

Lbl_9f7c:
	txa 
	bne Lbl_9f86

Lbl_9f7f:
	txa 
	bit $17
	bmi Lbl_9f86
	eor #$c0

Lbl_9f86:
	sta $20
	rts 

Lbl_9f89:
	lda $1b
	bpl Lbl_9fa7
	bit $70
	bvc Lbl_a00b	; branch if overflow clear
	lda $069e
	and #$07
	bne Lbl_a00b
	lda $2b
	beq Lbl_a007
	lda $2e
	eor #$80
	sta $2e
	dec $2b
	jmp Lbl_a00b

Lbl_9fa7:
	ora #$80
	sta $1b
	bit $70
	bvc Lbl_9fdb	; branch if overflow clear
	lda $8e
	sta $24
	tay 
	jsr Lbl_c988
	ldy #$10
	ldx #$40
	lda ($4d),y
	bpl Lbl_9fc1
	ldx #$c0

Lbl_9fc1:
	stx $2e
	jsr Lbl_db89
	and #$02
	sta $2b
	and #$01
	beq Lbl_9fd4
	lda $2e
	eor #$80
	sta $2e

Lbl_9fd4:
	lda #$00
	sta $1f
	jmp Lbl_a00b

Lbl_9fdb:
	ldy #$00
	bit $17
	bpl Lbl_9fe3
	ldy #$06

Lbl_9fe3:
	jsr Lbl_c988
	ldx #$06
	ldy #$0e

Lbl_9fea:
	lda #$ff
	sta ($4d),y
	dex 
	beq Lbl_a001
	clc 
	lda $4d
	adc #$38
	sta $4d
	lda $4e
	adc #$00
	sta $4e
	jmp Lbl_9fea

Lbl_a001:
	jsr Lbl_c3e8
	jsr Lbl_a00c

Lbl_a007:
	lda #$19
	sta $1b

Lbl_a00b:
	rts 

Lbl_a00c:
	lda $15
	and #$20
	beq Lbl_a01b
	lda $15
	and #$df
	sta $15
	jmp Lbl_a0b2

Lbl_a01b:
	jsr Lbl_db89
	sta $00
	lda $41
	and #$07
	tax 
	lda Lbl_a0b3,x
	jsr Lbl_c9b0
	bcs Lbl_a038
	lda $17
	and #$07
	beq Lbl_a05b
	jsr Lbl_a0cf
	bcc Lbl_a0a8

Lbl_a038:
	jsr Lbl_db89
	sta $00
	lda $41
	and #$07
	tax 
	lda Lbl_a0bb,x
	jsr Lbl_c9b0
	bcs Lbl_a05b
	ldx $18
	lda Lbl_a0c3,x
	sta $02
	cmp #$ff
	bne Lbl_a0a8
	lda $8f
	sta $02
	bne Lbl_a0a8

Lbl_a05b:
	bit $17
	bvs Lbl_a08c
	jsr Lbl_db89
	sta $00
	lda #$09
	jsr Lbl_fae2
	jsr Lbl_c9b0
	bcs Lbl_a08c
	lda $17
	and #$07
	beq Lbl_a07d
	lda #$00
	jsr Lbl_a135
	bcs Lbl_a0a4
	bcc Lbl_a08c

Lbl_a07d:
	lda #$05
	sta $03

Lbl_a081:
	lda $03
	jsr Lbl_a135
	bcs Lbl_a0a4
	dec $03
	bne Lbl_a081

Lbl_a08c:
	ldy #$02
	tya 
	eor #$03
	sec 
	sbc #$01

Lbl_a094:
	jsr Lbl_a174
	bcs Lbl_a0a8
	lda $00
	cmp #$00
	beq Lbl_a0a8
	sec 
	sbc #$01
	bpl Lbl_a094

Lbl_a0a4:
	lda #$03
	bpl Lbl_a0aa

Lbl_a0a8:
	lda #$02

Lbl_a0aa:
	sta $1f
	lda $02
	sta $24
	sta $8e

Lbl_a0b2:
	rts 

Lbl_a0b3:
	.byte $20,$00,$10,$20,$00,$20,$00,$00

Lbl_a0bb:
	.byte $00,$00,$00,$00,$1c,$00,$00,$04

Lbl_a0c3:
	.byte $02,$ff,$ff,$08,$01,$06,$00,$07,$00,$07,$00,$07

Lbl_a0cf:
	lda #$00
	sta $00
	lda #$05
	sta $01

Lbl_a0d7:
	ldx $00
	lda Lbl_a12f,x
	sta $02
	lda $17
	and #$07
	cmp $02
	beq Lbl_a12b
	ldy #$06
	ldx #$00
	bit $17
	bpl Lbl_a0f0
	ldx #$18

Lbl_a0f0:
	lda $91,x
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	cmp $02
	beq Lbl_a103
	inx 
	inx 
	inx 
	inx 
	dey 
	bne Lbl_a0f0
	beq Lbl_a125

Lbl_a103:
	tya 
	sta $02
	lda #$06
	sec 
	sbc $02
	sta $02
	bit $17
	bpl Lbl_a118
	lda #$06
	clc 
	adc $02
	sta $02

Lbl_a118:
	ldy $02
	jsr Lbl_c988
	ldy #$00
	lda ($4d),y
	and #$06
	beq Lbl_a12d

Lbl_a125:
	inc $00
	dec $01
	bne Lbl_a0d7

Lbl_a12b:
	sec 
	rts 

Lbl_a12d:
	clc 
	rts 

Lbl_a12f:
	.byte $00,$04,$05,$01,$02,$03

Lbl_a135:
	sta $00
	lda #$02
	sta $01
	lda $90
	sta $02

Lbl_a13f:
	lda $02
	cmp #$05
	beq Lbl_a14e
	cmp #$0b
	beq Lbl_a14e
	clc 
	adc #$01
	bpl Lbl_a151

Lbl_a14e:
	sec 
	sbc #$02

Lbl_a151:
	tay 
	sta $02
	jsr Lbl_c988
	ldy #$02
	lda ($4d),y
	and #$07
	cmp $00
	beq Lbl_a168

Lbl_a161:
	dec $01
	bne Lbl_a13f
	clc 
	bcc Lbl_a173

Lbl_a168:
	ldy #$00
	lda ($4d),y
	bpl Lbl_a161
	and #$04
	bne Lbl_a161
	sec 

Lbl_a173:
	rts 

Lbl_a174:
	sta $00
	lda #$05
	sta $01
	lda $90
	sta $02

Lbl_a17e:
	lda $02
	cmp #$05
	beq Lbl_a18d
	cmp #$0b
	beq Lbl_a18d
	clc 
	adc #$01
	bpl Lbl_a190

Lbl_a18d:
	sec 
	sbc #$05

Lbl_a190:
	tay 
	sta $02
	jsr Lbl_c988
	ldy #$0e
	lda ($4d),y
	cmp $00
	beq Lbl_a1a5
	dec $01
	bne Lbl_a17e
	clc 
	bcc Lbl_a1a6

Lbl_a1a5:
	sec 

Lbl_a1a6:
	rts 

Lbl_a1a7:
	lda $1b
	bmi Lbl_a1cd
	ora #$80
	sta $1b
	lda #$1a
	bit $70
	bvc Lbl_a1b7	; branch if overflow clear
	lda #$27

Lbl_a1b7:
	ora #$80
	sta $1d
	lda $8d
	sta $24
	bit $70
	bvs Lbl_a1cd	; branch if overflow set
	ldx #$02
	lda $17
	bpl Lbl_a1cb
	ldx #$09

Lbl_a1cb:
	stx $8e

Lbl_a1cd:
	jsr Lbl_9f5a
	lda #$02
	sta $1f
	rts 

Lbl_a1d5:
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

Lbl_a200:
	lda $1b
	bmi Lbl_a217
	ora #$80
	sta $1b
	jsr Lbl_a266
	bcs Lbl_a234
	lda #$05
	sta $1f
	lda $16
	and #$01
	beq Lbl_a265

Lbl_a217:
	lda $1e
	and #$7f
	cmp #$0b
	beq Lbl_a259
	cmp #$09
	beq Lbl_a234
	bit $70
	bvc Lbl_a22b	; branch if overflow clear
	cmp #$00
	beq Lbl_a240

Lbl_a22b:
	lda $4b
	cmp $06c7
	bcc Lbl_a265
	bcs Lbl_a253

Lbl_a234:
	lda $3e
	bpl Lbl_a24d
	cmp #$fd
	bcs Lbl_a24d
	bit $70
	bvc Lbl_a253	; branch if overflow clear

Lbl_a240:
	lda $069e
	and #$0f
	beq Lbl_a253
	lda #$00
	sta $1f
	beq Lbl_a265

Lbl_a24d:
	lda $16
	and #$f7
	sta $16

Lbl_a253:
	lda #$0b
	sta $1f
	bne Lbl_a265

Lbl_a259:
	lda #$00
	sta $1b
	bit $70
	bvc Lbl_a265	; branch if overflow clear
	lda #$ff
	sta $24

Lbl_a265:
	rts 

Lbl_a266:
	ldy $24
	jsr Lbl_c988
	ldy #$00
	lda ($4d),y
	and #$04
	sec 
	bne Lbl_a2a6
	bit $70
	bvc Lbl_a28c	; branch if overflow clear
	jsr Lbl_db89
	and #$1f
	pha 
	lda $17
	and #$07
	tax 
	pla 
	cmp Lbl_a2d3,x
	bcc Lbl_a2a9
	jmp Lbl_a2d2

Lbl_a28c:
	lda $1b
	and #$7f
	cmp #$2a
	beq Lbl_a2a9
	cmp #$29
	bne Lbl_a29c
	lda #$21
	bne Lbl_a29e

Lbl_a29c:
	lda #$0a

Lbl_a29e:
	jsr Lbl_fae2
	jsr Lbl_c9b5
	bcc Lbl_a2a9

Lbl_a2a6:
	jmp Lbl_a2d2

Lbl_a2a9:
	lda $24
	jsr Lbl_c9cc
	sta $06c6
	pha 
	ldy $24
	jsr Lbl_c988
	pla 
	and #$70
	beq Lbl_a2c1
	ldy #$11
	jmp Lbl_a2c3

Lbl_a2c1:
	ldy #$12

Lbl_a2c3:
	lda #$20
	sta $06c7
	lda ($4d),y
	cmp #$40
	bcs Lbl_a2d1
	sec 
	bcs Lbl_a2d2

Lbl_a2d1:
	clc 

Lbl_a2d2:
	rts 

Lbl_a2d3:
	.byte $18,$06,$0e,$0c,$14,$12

Lbl_a2d9:
	lda $1b
	bmi Lbl_a2f1
	ora #$80
	sta $1b
	lda #$40
	bit $17
	bmi Lbl_a2e9
	lda #$c0

Lbl_a2e9:
	sta $20
	lda #$04
	sta $1f
	bpl Lbl_a339

Lbl_a2f1:
	lda $1e
	and #$7f
	cmp #$0b
	beq Lbl_a335
	cmp #$04
	bne Lbl_a322
	bit $17
	bmi Lbl_a30d
	lda #$30
	cmp $45
	lda #$01
	sbc $46
	bmi Lbl_a339
	bpl Lbl_a317

Lbl_a30d:
	lda $45
	cmp #$d0
	lda $46
	sbc #$00
	bmi Lbl_a339

Lbl_a317:
	jsr Lbl_a266
	bcs Lbl_a32f
	lda #$08
	sta $1f
	bpl Lbl_a339

Lbl_a322:
	lda $16
	and #$01
	beq Lbl_a339
	lda $4b
	cmp $06c7
	bmi Lbl_a339

Lbl_a32f:
	lda #$0b
	sta $1f
	bne Lbl_a339

Lbl_a335:
	lda #$00
	sta $1b

Lbl_a339:
	rts 

Lbl_a33a:
	lda $1b
	bmi Lbl_a37b
	ora #$80
	sta $1b
	bit $70
	bvc Lbl_a359	; branch if overflow clear
	jsr Lbl_db89
	and #$1f
	pha 
	lda $17
	and #$07
	tax 
	pla 
	cmp Lbl_a3b9,x
	bcc Lbl_a371
	bcs Lbl_a38f

Lbl_a359:
	lda $24
	cmp #$03
	bcc Lbl_a367
	cmp #$06
	bcc Lbl_a38f
	cmp #$09
	bcs Lbl_a38f

Lbl_a367:
	lda #$0b
	jsr Lbl_fae2
	jsr Lbl_c9b5
	bcs Lbl_a38f

Lbl_a371:
	lda #$05
	sta $1f
	lda $16
	and #$01
	beq Lbl_a3b8

Lbl_a37b:
	lda $1e
	and #$7f
	cmp #$0a
	beq Lbl_a3b4
	cmp #$09
	beq Lbl_a38f
	lda $4b
	cmp #$20
	bcc Lbl_a3b8
	bcs Lbl_a39d

Lbl_a38f:
	lda $3e
	bpl Lbl_a397
	cmp #$fd
	bcc Lbl_a39d

Lbl_a397:
	lda $16
	and #$f7
	sta $16

Lbl_a39d:
	ldy $24
	jsr Lbl_c988
	ldy #$00
	lda ($4d),y
	ora #$10
	sta ($4d),y
	lda #$0a
	sta $1f
	lda #$00
	sta $cd			; set shot type #$00 (pass)
	beq Lbl_a3b8

Lbl_a3b4:
	lda #$00
	sta $1b

Lbl_a3b8:
	rts 

Lbl_a3b9:
	.byte $0c,$14,$18,$06,$12,$0e

Lbl_a3bf:
	lda $1b
	bmi Lbl_a3db
	ora #$80
	sta $1b
	lda $8e
	sta $24
	lda #$40
	bit $17
	bmi Lbl_a3d3
	lda #$c0

Lbl_a3d3:
	sta $20
	lda #$04
	sta $1f
	bne Lbl_a433

Lbl_a3db:
	lda $1e
	and #$7f
	cmp #$0a
	beq Lbl_a42f
	cmp #$04
	bne Lbl_a411
	bit $17
	bmi Lbl_a3f7
	lda #$20
	cmp $45
	lda #$01
	sbc $46
	bmi Lbl_a433
	bpl Lbl_a401

Lbl_a3f7:
	lda $45
	cmp #$e0
	lda $46
	sbc #$00
	bmi Lbl_a433

Lbl_a401:
	lda #$0b
	jsr Lbl_fae2
	jsr Lbl_c9b5
	bcs Lbl_a418
	lda #$08
	sta $1f
	bpl Lbl_a433

Lbl_a411:
	lda $4b
	cmp a:$0020
	bmi Lbl_a433

Lbl_a418:
	ldy $24
	jsr Lbl_c988
	ldy #$00
	lda ($4d),y
	ora #$10
	sta ($4d),y
	lda #$0a
	sta $1f
	lda #$00
	sta $cd			; set shot type #$00 (pass)
	beq Lbl_a433

Lbl_a42f:
	lda #$00
	sta $1b

Lbl_a433:
	rts 

Lbl_a434:
	lda $1b
	bmi Lbl_a446
	ora #$80
	sta $1b
	lda #$09
	sta $1f
	lda $16
	ora #$10
	sta $16

Lbl_a446:
	rts 

Lbl_a447:
	lda $1b
	bmi Lbl_a454
	ora #$80
	sta $1b
	lda #$0c
	sta $1f
	rts 

Lbl_a454:
	lda #$00
	sta $1b
	rts 

Lbl_a459:
	lda $1b
	bmi Lbl_a461
	ora #$80
	sta $1b

Lbl_a461:
	lda $1e
	and #$7f
	cmp #$05
	bne Lbl_a46f
	stx $1f
	lda #$00
	sta $1b

Lbl_a46f:
	lda #$05
	sta $1f
	rts 

Lbl_a474:
	lda #$80
	ora $1b
	sta $1b
	rts 

Lbl_a47b:
	lda $1b
	bmi Lbl_a483
	ora #$80
	sta $1b

Lbl_a483:
	lda $1e
	and #$7f
	cmp #$09
	beq Lbl_a495
	lda #$09
	sta $1f
	lda $16
	and #$ef
	sta $16

Lbl_a495:
	rts 

Lbl_a496:
	lda $1b
	bmi Lbl_a4a0
	ora #$80
	sta $1b
	bmi Lbl_a4a8

Lbl_a4a0:
	lda $1e
	and #$7f
	cmp #$09
	beq Lbl_a4ce

Lbl_a4a8:
	sec 
	lda $e7			; Ball Height 2
	sbc $4b
	sta $00
	lda $e8
	sbc $4c
	sta $01
	bmi Lbl_a4c3
	lda $00
	cmp #$30
	bcc Lbl_a4c3
	lda #$05
	sta $1f
	bne Lbl_a4ce

Lbl_a4c3:
	lda #$09
	sta $1f
	lda $16
	and #$ef
	sta $16
	rts 

Lbl_a4ce:
	rts 

Lbl_a4cf:
	lda $1b
	bmi Lbl_a4dd
	ora #$80
	sta $1b
	lda #$22
	ora #$80
	sta $1d

Lbl_a4dd:
	lda $e1
	sta $29
	lda $e2
	sta $2a
	lda $e4
	sta $2b
	lda $e5
	sta $2c
	jsr Lbl_a4f3
	sta $1f
	rts 

Lbl_a4f3:
	lda #$03
	cmp $18
	bmi Lbl_a516
	lda #$40
	sta $20
	sec 
	lda $29
	sbc $45
	sta $00
	lda $2a
	sbc $46
	sta $01
	bpl Lbl_a546
	ldx #$c0
	stx $20
	jsr Lbl_a60b
	jmp Lbl_a546

Lbl_a516:
	lda #$00
	sta $20
	sec 
	lda $2b
	sbc $48
	sta $00
	lda $2c
	sbc $49
	sta $01
	bpl Lbl_a530
	ldx #$80
	stx $20
	jsr Lbl_a60b

Lbl_a530:
	lda $18
	cmp #$04
	beq Lbl_a53f
	cmp #$05
	bne Lbl_a546
	lda #$fc
	jmp Lbl_a541

Lbl_a53f:
	lda #$04

Lbl_a541:
	clc 
	adc $20
	sta $20

Lbl_a546:
	lda $01
	bne Lbl_a554
	lda $00
	cmp #$03
	bcs Lbl_a554
	lda #$00
	beq Lbl_a556

Lbl_a554:
	lda #$04

Lbl_a556:
	rts 

Lbl_a557:
	lda $1b
	bmi Lbl_a561
	ora #$80
	sta $1b
	bmi Lbl_a56a

Lbl_a561:
	lda $1e
	and #$7f
	cmp #$09
	bne Lbl_a56a
	rts 

Lbl_a56a:
	sec 
	lda $e7			; Ball Height 2
	sbc $4b
	sta $00
	lda $e8
	sbc $4c
	sta $01
	bmi Lbl_a586
	lda $00
	cmp #$30
	bcc Lbl_a586
	lda #$05
	sta $1f
	jmp Lbl_a60a

Lbl_a586:
	sec 
	lda $45
	sbc $e1
	sta $00
	lda $46
	sbc $e2
	sta $01
	bpl Lbl_a598
	jsr Lbl_a60b

Lbl_a598:
	bne Lbl_a600
	lda $00
	cmp #$10
	bcs Lbl_a600
	sec 
	lda $48
	sbc $e4
	sta $00
	lda $49
	sbc $e5
	sta $01
	bpl Lbl_a5b2
	jsr Lbl_a60b

Lbl_a5b2:
	bne Lbl_a600
	lda $00
	cmp #$10
	bcs Lbl_a600
	clc 
	lda $4b
	adc #$14
	sta $03
	lda $4c
	adc #$00
	sta $04
	sec 
	lda $03
	sbc $e7			; Ball Height 2
	sta $00
	lda $04
	sbc $e8
	sta $01
	bpl Lbl_a5d9
	jsr Lbl_a60b

Lbl_a5d9:
	bne Lbl_a600
	lda $00
	cmp #$10
	bcs Lbl_a600
	lda $45
	sta $e1
	lda $46
	sta $e2
	lda $48
	sta $e4
	lda $49
	sta $e5
	lda $03
	sta $e7			; Ball Height 2
	lda $04
	sta $e8
	lda $2e
	clc 
	adc #$80
	sta $d3

Lbl_a600:
	lda #$09
	sta $1f
	lda $16
	and #$ef
	sta $16

Lbl_a60a:
	rts 

Lbl_a60b:
	eor #$ff
	sta $01
	lda $00
	eor #$ff
	clc 
	adc #$01
	sta $00
	lda $01
	adc #$00
	sta $01
	rts 

Lbl_a61f:
	lda $1b
	bmi Lbl_a639
	ora #$80
	sta $1b
	bit $17
	bmi Lbl_a631
	lda #$70
	ldx #$00
	beq Lbl_a635

Lbl_a631:
	lda #$90
	ldx #$01

Lbl_a635:
	sta $29
	stx $2a

Lbl_a639:
	jsr Lbl_9bb4
	sta $1f
	rts 

Lbl_a63f:
	.byte $a5,$1b,$30,$06,$09,$80,$85,$1b,$30,$2c,$a5,$29,$85,$00,$20,$c2
	.byte $a6,$b0,$23,$20,$f5,$a6,$b0,$1e,$a5,$00,$c5,$29,$d0,$18,$a5,$17
	.byte $29,$07,$aa,$bd,$bc,$a6,$2d,$9e,$06,$d0,$27,$a9,$00,$85,$00,$20
	.byte $c2,$a6,$b0,$1a,$90,$1c,$a9,$00,$85,$00,$20,$c2,$a6,$b0,$0f,$20
	.byte $f5,$a6,$90,$0e,$a5,$00,$c9,$13,$b0,$04,$e6,$00,$d0,$ec,$a9,$00
	.byte $85,$00,$a5,$00,$85,$29,$a5,$2a,$29,$7f,$c9,$07,$90,$02,$a9,$06
	.byte $0a,$aa,$bd,$ae,$a6,$85,$4d,$bd,$af,$a6,$85,$4e,$6c,$4d,$00,$2c
	.byte $a7,$36,$a7,$69,$a7,$99,$a7,$12,$a9,$24,$a9,$24,$a9,$7f,$2f,$3f
	.byte $4f,$6f,$5f,$a4,$00,$b9,$d9,$a6,$aa,$bd,$ed,$a6,$25,$18,$d0,$06
	.byte $c8,$c0,$14,$90,$f0,$60,$84,$00,$18,$60,$05,$04,$05,$04,$03,$02
	.byte $03,$02,$07,$07,$07,$06,$06,$06,$01,$01,$01,$00,$00,$00,$01,$02
	.byte $04,$08,$10,$20,$40,$80,$a9,$00,$85,$02,$a9,$06,$85,$03,$a4,$02
	.byte $c4,$90,$f0,$1f,$20,$88,$c9,$a0,$00,$b1,$4d,$10,$16,$29,$02,$d0
	.byte $12,$a0,$06,$b1,$4d,$29,$7f,$c9,$25,$d0,$08,$a0,$14,$b1,$4d,$c5
	.byte $00,$f0,$08,$e6,$02,$c6,$03,$d0,$d5,$18,$60,$38,$60,$20,$48,$a7
	.byte $a2,$04,$85,$20,$86,$1f,$60,$20,$48,$a7,$85,$20,$a5,$1e,$29,$7f
	.byte $c9,$04,$f0,$04,$a2,$1a,$86,$1f,$60,$a5,$48,$c9,$10,$90,$04,$c9
	.byte $50,$90,$04,$20,$7f,$a7,$60,$a9,$00,$a6,$29,$e0,$04,$90,$0a,$e0
	.byte $08,$90,$04,$e0,$0e,$90,$02,$a9,$80,$60,$20,$7f,$a7,$85,$20,$a5
	.byte $1e,$29,$7f,$c9,$04,$f0,$08,$c9,$1a,$f0,$04,$a2,$01,$86,$1f,$60
	.byte $a2,$c0,$a5,$29,$c9,$08,$b0,$08,$29,$01,$f0,$0c,$a2,$40,$d0,$08
	.byte $a2,$00,$c9,$0e,$90,$02,$a2,$80,$8a,$60,$20,$4b,$a8,$c5,$29,$d0
	.byte $05,$a2,$00,$4c,$34,$a8,$85,$00,$a8,$be,$37,$a8,$86,$01,$a4,$29
	.byte $be,$37,$a8,$86,$02,$e4,$01,$d0,$13,$a9,$00,$e0,$02,$90,$02,$a9
	.byte $c0,$a6,$29,$e4,$00,$90,$02,$49,$80,$4c,$30,$a8,$a6,$01,$e0,$02
	.byte $90,$43,$a6,$02,$e0,$02,$b0,$31,$a6,$02,$d0,$16,$a9,$00,$a0,$0e
	.byte $a6,$01,$e0,$03,$f0,$04,$a9,$80,$a0,$08,$c4,$00,$f0,$18,$a9,$c0
	.byte $d0,$14,$a9,$00,$a0,$13,$a6,$01,$e0,$03,$f0,$04,$a9,$80,$a0,$0d
	.byte $c4,$00,$f0,$02,$a9,$40,$4c,$30,$a8,$a9,$00,$a6,$01,$e0,$03,$f0
	.byte $12,$a9,$80,$d0,$0e,$a6,$02,$e0,$02,$b0,$0c,$a9,$40,$e0,$01,$f0
	.byte $02,$a9,$c0,$a2,$04,$d0,$0c,$a9,$00,$a6,$02,$e0,$03,$d0,$02,$a9
	.byte $80,$a2,$01,$85,$20,$86,$1f,$60,$00,$01,$00,$01,$00,$01,$00,$01
	.byte $02,$02,$02,$02,$02,$02,$03,$03,$03,$03,$03,$03,$ac,$fd,$06,$20
	.byte $88,$c9,$a0,$30,$a5,$45,$38,$f1,$4d,$85,$61,$c8,$a5,$46,$f1,$4d
	.byte $10,$11,$49,$7f,$85,$62,$a5,$61,$49,$ff,$18,$69,$01,$85,$61,$a5
	.byte $62,$69,$00,$85,$62,$a0,$33,$a5,$48,$38,$f1,$4d,$85,$63,$c8,$a5
	.byte $49,$f1,$4d,$10,$11,$49,$7f,$85,$64,$a5,$63,$49,$ff,$18,$69,$01
	.byte $85,$63,$a5,$64,$69,$00,$85,$64,$a0,$00,$a5,$17,$29,$07,$aa,$24
	.byte $2a,$10,$04,$18,$69,$06,$aa,$bd,$f2,$a8,$c5,$63,$b0,$36,$c8,$c8
	.byte $c8,$c8,$0a,$c5,$63,$b0,$2d,$c8,$c8,$c8,$c8,$85,$00,$a5,$61,$38
	.byte $e5,$00,$a5,$62,$29,$7f,$e9,$00,$90,$1a,$c8,$c8,$c8,$c8,$a5,$00
	.byte $0a,$85,$00,$a5,$61,$38,$e5,$00,$a5,$62,$29,$7f,$e9,$00,$90,$04
	.byte $c8,$c8,$c8,$c8,$a5,$64,$10,$02,$c8,$c8,$a5,$62,$30,$01,$c8,$b9
	.byte $fe,$a8,$60,$12,$10,$1a,$1c,$13,$18,$0d,$0a,$13,$19,$0f,$08,$02
	.byte $03,$04,$05,$00,$01,$06,$07,$0a,$0b,$10,$11,$09,$0c,$0f,$12,$08
	.byte $0d,$0e,$13,$a5,$8a,$20,$cc,$c9,$85,$20,$a5,$1e,$c9,$04,$f0,$04
	.byte $a2,$01,$86,$1f,$60,$a5,$8a,$20,$cc,$c9,$85,$20,$a2,$04,$86,$1f
	.byte $60,$a5,$1b,$30,$21,$09,$80,$85,$1b,$a9,$18,$85,$2c,$a4,$24,$20
	.byte $88,$c9,$a0,$10,$b1,$4d,$30,$04,$a9,$40,$d0,$02,$a9,$c0,$85,$20
	.byte $a9,$04,$85,$1f,$10,$4f,$a5,$1e,$29,$7f,$c9,$0b,$f0,$3f,$c9,$04
	.byte $d0,$2e,$c6,$2c,$a4,$24,$20,$88,$c9,$a0,$11,$b1,$4d,$c9,$60,$90
	.byte $08,$a5,$2c,$f0,$04,$30,$02,$10,$2c,$20,$66,$a2,$b0,$19,$a9,$06
	.byte $20,$e2,$fa,$20,$b5,$c9,$a9,$07,$90,$02,$a9,$08,$85,$1f,$10,$15
	.byte $a5,$4b,$cd,$c7,$06,$90,$0e,$a9,$0b,$85,$1f,$d0,$08,$a9,$ff,$85
	.byte $24,$a9,$00,$85,$1b,$60,$a5,$1b,$30,$21,$09,$80,$85,$1b,$a5,$8e
	.byte $85,$24,$a4,$8d,$20,$88,$c9,$a0,$10,$b1,$4d,$30,$04,$a9,$40,$d0
	.byte $02,$a9,$c0,$85,$20,$a9,$04,$85,$1f,$d0,$57,$a5,$1e,$29,$7f,$c9
	.byte $0a,$f0,$4b,$c9,$04,$d0,$29,$a4,$8d,$20,$88,$c9,$a0,$11,$b1,$4d
	.byte $c9,$60,$b0,$3e,$a9,$0b,$20,$e2,$fa,$20,$b5,$c9,$b0,$19,$a9,$2d
	.byte $20,$e2,$fa,$20,$b5,$c9,$a9,$07,$90,$02,$a9,$08,$85,$1f,$10,$22
	.byte $a5,$4b,$cd,$20,$00,$30,$1b,$a4,$24,$20,$88,$c9,$a0,$00,$b1,$4d
	.byte $09,$10,$91,$4d,$a9,$0a,$85,$1f,$a9,$00,$85,$cd,$f0,$04,$a9,$00
	.byte $85,$1b,$60

Lbl_aa22:
	lda $1b
	bmi Lbl_aa37
	ora #$80
	sta $1b
	lda $8d
	sta $24
	lda #$29
	ora #$80
	sta $1d
	jsr Lbl_9ee3

Lbl_aa37:
	lda #$40
	bit $17
	bpl Lbl_aa3f
	lda #$c0

Lbl_aa3f:
	sta $20
	lda #$02
	sta $1f
	rts 

Lbl_aa46:
	.byte $a5,$1b,$30,$17,$09,$80,$85,$1b,$a9,$40,$24,$17,$30,$02,$a9,$c0
	.byte $85,$20,$a9,$04,$85,$1f,$20,$e3,$9e,$10,$41,$a5,$1e,$29,$7f,$c9
	.byte $0b,$f0,$35,$c9,$04,$d0,$25,$24,$17,$30,$0c,$a9,$30,$c5,$45,$a9
	.byte $01,$e5,$46,$30,$27,$10,$0a,$a5,$45,$c9,$d0,$a5,$46,$e9,$00,$30
	.byte $1b,$20,$66,$a2,$b0,$0c,$a9,$08,$85,$1f,$10,$10,$a5,$4b,$c9,$18
	.byte $90,$0a,$a9,$0b,$85,$1f,$d0,$04,$a9,$00,$85,$1b,$60,$60

Lbl_aaa4:
	lda a:$00e1
	sec 
	sbc #$20
	lda a:$00e2
	sbc #$00
	bcc Lbl_aaea
	lda #$e0
	sec 
	sbc a:$00e1
	lda #$01
	sbc a:$00e2
	bcc Lbl_aaea
	lda #$78
	sec 
	sbc a:$00e4
	lda #$00
	sbc a:$00e5
	bcc Lbl_aaea
	lda a:$00e4
	sec 
	sbc #$04
	lda a:$00e5
	sbc #$00
	bcc Lbl_aaea
	lda a:$00e7
	clc 
	adc a:$00e4
	lda a:$00e8
	adc a:$00e5
	bne Lbl_aaea
	jmp Lbl_ab48

Lbl_aaea:
	inc $07f7
	lda $07f7
	cmp #$0f
	bcc Lbl_ab50
	lda #$00
	sta $07f7
	inc $07f8
	lda $07f8
	cmp #$20
	bcc Lbl_ab50
	lda a:$00c5
	and #$7f
	bne Lbl_ab18
	lda a:$008a
	jsr Lbl_8a4f
	ldy #$01
	lda ($4d),y
	and #$7f
	sta ($4d),y

Lbl_ab18:
	lda #$01
	sta $c5
	lda #$00
	sta a:$00cd
	sta a:$00d9
	sta a:$00da
	sta a:$00d5
	sta a:$00d6
	sta a:$00d7
	sta a:$00d8
	sta a:$00db
	sta a:$00dc
	sta a:$00e6
	sta a:$00e7
	sta a:$00e8
	lda $78
	ora #$40
	sta $78

Lbl_ab48:
	lda #$00
	sta $07f7
	sta $07f8

Lbl_ab50:
	rts 

Lbl_ab51:		; oh hey look, mostly free space
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$ee,$eb,$ff,$ea,$ea,$ea,$ea,$ea,$ea
	.byte $ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$06,$e8,$bf,$e8,$bf,$e8,$bf
