;*********************************************************************************************
;** Original File: F:\nes_disasm\Super Dodge Ball (U).nes
;** 16K PRG-ROM pages: $08
;** 8K CHR-ROM pages: $10
;** Mirroring: horizontal
;** SRAM: not available
;** Trainer: not available
;** Mapper: $01
;*********************************************************************************************

; Bank 1
; super shot array? at Lbl_9406

.autoimport +

;The following labels are referenced by other banks:

	.export Lbl_8000, Lbl_800f, Lbl_8030, Lbl_80f1, Lbl_8160, Lbl_8161, Lbl_8162, Lbl_8197
	.export Lbl_840b, Lbl_840c, Lbl_84f7, Lbl_8539, Lbl_855b, Lbl_857d, Lbl_8599, Lbl_85b2
	.export Lbl_85b9, Lbl_85ba, Lbl_85f1, Lbl_8700, Lbl_87bc, Lbl_87e7, Lbl_87f6, Lbl_87f7
	.export Lbl_8809, Lbl_8886, Lbl_88f2, Lbl_88f3, Lbl_88f4, Lbl_893b, Lbl_893c, Lbl_8977
	.export Lbl_897d, Lbl_89a6, Lbl_89a9, Lbl_89c0, Lbl_8aeb, Lbl_8b6b, Lbl_8bb3, Lbl_8bb4
	.export Lbl_8bc4, Lbl_8bc5, Lbl_8c00, Lbl_8c01, Lbl_8c08, Lbl_8ca3, Lbl_8d09, Lbl_8d0a
	.export Lbl_8d91, Lbl_8d97, Lbl_8da7, Lbl_8e19, Lbl_8e1a, Lbl_8e21, Lbl_8e61, Lbl_8ee5
	.export Lbl_8f20, Lbl_8fd4, Lbl_8ff0, Lbl_9003, Lbl_9004, Lbl_9030, Lbl_9033, Lbl_903c
	.export Lbl_907d, Lbl_9093, Lbl_9094, Lbl_90bd, Lbl_9138, Lbl_9155, Lbl_9161, Lbl_9167
	.export Lbl_9193, Lbl_9194, Lbl_9199, Lbl_91fa, Lbl_925d, Lbl_92e8, Lbl_92f5, Lbl_92f6
	.export Lbl_9400, Lbl_9401, Lbl_9406, Lbl_9416, Lbl_9432, Lbl_944e, Lbl_945e, Lbl_945f
	.export Lbl_9464, Lbl_9486, Lbl_94b8, Lbl_94b9, Lbl_9507, Lbl_9523, Lbl_95c7, Lbl_95cc
	.export Lbl_95e8, Lbl_9609, Lbl_9640, Lbl_9715, Lbl_9717, Lbl_971a, Lbl_9755, Lbl_9756
	.export Lbl_9781, Lbl_9829, Lbl_982a, Lbl_98d1, Lbl_98e4, Lbl_9900, Lbl_99d0, Lbl_9a4b
	.export Lbl_9a8e, Lbl_9a8f, Lbl_9aa6, Lbl_9bc0, Lbl_9bd1, Lbl_9bd2, Lbl_9e69, Lbl_9ed7
	.export Lbl_9f2e, Lbl_9f6f, Lbl_9ffd, Lbl_9ffe, Lbl_a064, Lbl_a122, Lbl_a16f, Lbl_a188
	.export Lbl_a1bb, Lbl_a1e5, Lbl_a204, Lbl_a254, Lbl_a2c6, Lbl_a2c8, Lbl_a2d6, Lbl_a31b
	.export Lbl_a332, Lbl_a339, Lbl_a34f, Lbl_a36a, Lbl_a3e2, Lbl_a4a6, Lbl_a4f6, Lbl_a508
	.export Lbl_a524, Lbl_a544, Lbl_a57c, Lbl_a588, Lbl_a589, Lbl_a800, Lbl_a801, Lbl_a8fc
	.export Lbl_aa52, Lbl_aa9a, Lbl_aa9b, Lbl_b86a, Lbl_b86b, Lbl_b8aa, Lbl_ba14, Lbl_ba27
	.export Lbl_ba80, Lbl_babc, Lbl_babd, Lbl_bacc, Lbl_bafc, Lbl_bafd, Lbl_bb2c, Lbl_bb2d
	.export Lbl_bb56, Lbl_bb8c, Lbl_bb8d, Lbl_bca0, Lbl_bcdf, Lbl_bce0, Lbl_bd2b, Lbl_bd6a
	.export MMC1_SetCHRBank1_b1, MMC1_SetCHRBank0_b1, Lbl_bdaf, Lbl_be6c, Lbl_be9a, Lbl_be9b, Lbl_be9e, Lbl_beb2
	.export Lbl_beff, Lbl_bf01, Lbl_bf03, Lbl_bf1d, Lbl_bf2f, Lbl_bf30

.segment "PRG_1"

Lbl_8000:
	jmp Lbl_8030

Lbl_8003:		; unused? (banks 0,3,4,5 have a Lbl_8003)
	.byte $4c,$00,$00,$4c,$00,$00,$4c,$00,$00,$4c,$00,$00

Lbl_800f:
	jmp Lbl_bdaf

Lbl_8012:		; unused? (banks 3 and 4 also have a Lbl_8012)
	.byte $4c,$00,$00,$4c,$00,$00,$4c,$00,$00,$4c,$00,$00,$4c,$00,$00,$4c
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

Lbl_8030:
	lda $78
	and #$10
	bne Lbl_8078
	lda $1e
	and #$7f
	tay 
	lda Lbl_85f1,y
	bmi Lbl_8078
	eor a:$0070
	beq Lbl_8045

Lbl_8045:
	lda $1e
	bpl Lbl_8078
	jsr Lbl_84f7
	bcc Lbl_8078
	lda #$10
	sta $1e
	lda #$00
	sta $22
	lda $15
	ora #$04
	sta $15
	lda $16
	bpl Lbl_8078
	and #$7f
	sta $16
	lda #$05
	sta $da
	lda #$00
	sta $d9
	sta $ce			; shot power
	lda #$05
	sta $c5
	lda $1a
	and #$7f
	sta $1a

Lbl_8078:
	lda $15
	and #$04
	bne Lbl_80d5
	lda $78
	and #$05
	bne Lbl_808e
	lda $1b
	bmi Lbl_808e
	and #$7f
	cmp #$1e
	bne Lbl_80f0

Lbl_808e:
	jsr Lbl_80f1
	lda $16
	and #$0a
	bne Lbl_80d5
	lda $15
	and #$06
	bne Lbl_80d5
	lda $1f
	bmi Lbl_80d5
	sta $00
	lda $1e
	and #$7f
	sta $01
	lda $16
	and #$01
	beq Lbl_80bd
	lda $00
	cmp #$0a
	beq Lbl_80bd
	cmp #$0b
	beq Lbl_80bd
	cmp #$09
	bne Lbl_80d5

Lbl_80bd:
	lda $00
	cmp $01
	beq Lbl_80d5
	lda $1f
	ora #$80
	sta $1f
	lda $1e
	and #$7f
	sta $21
	lda $1f
	and #$7f
	sta $1e

Lbl_80d5:
	lda $1e
	and #$7f
	asl a 
	tax 
	lda Lbl_8161,x
	sta $61
	lda Lbl_8162,x
	sta $62
	lda #$00
	cmp $33
	beq Lbl_80ed
	inc $33

Lbl_80ed:
	jmp ($0061)

Lbl_80f0:
	rts 

Lbl_80f1:
	lda $15
	and #$44
	bne Lbl_8134
	lda $78
	and #$04
	bne Lbl_8134
	lda $16
	and #$04
	beq Lbl_8134
	lda $c5
	and #$7f
	bne Lbl_8134
	lda $1e
	and #$7f
	cmp #$04
	bcs Lbl_8160
	cmp #$16
	beq Lbl_8160
	lda $15
	and #$08
	beq Lbl_8160
	lda $16
	and #$03
	bne Lbl_8160
	lda $1e
	and #$7f
	sta $21
	lda #$16
	sta $1e
	lda $16
	ora #$08
	sta $16
	jmp Lbl_8160

Lbl_8134:
	lda $16
	and #$fb
	sta $16
	lda $1e
	and #$7f
	cmp #$16
	bne Lbl_8160
	pha 
	lda $21
	and #$7f
	sta $1e
	pla 
	sta $21
	lda $16
	and #$f7
	sta $16
	lda $1b
	and #$7f
	cmp #$10
	bne Lbl_8160
	lda #$00
	sta $1e
	sta $21

Lbl_8160:
	rts 

Lbl_8161:
	.byte $00

Lbl_8162:
	.byte $87,$09,$88,$09,$88,$09,$88,$c0,$89,$08,$8c,$08,$8c,$08,$8c,$08
	.byte $8c,$a7,$8d,$67,$91,$32,$94,$81,$97,$2a,$98,$00,$99,$68,$99,$d0
	.byte $99,$69,$9e,$d7,$9e,$6f,$9f,$07,$a0,$64,$a0,$22,$a1,$89,$a1,$bb
	.byte $a1,$fe,$87,$b5,$89

Lbl_8197:
	.byte $fb

Lbl_8198:
	.byte $81,$fb,$81,$0b,$82,$2b,$82,$0b,$82,$2b,$82,$0b,$82,$2b,$82,$4b
	.byte $82,$6b,$82,$8b,$82,$8b,$82,$8b,$82,$8b,$82,$8b,$82,$8b,$82,$8b
	.byte $82,$8b,$82,$9b,$82,$ab,$82,$bb,$82,$d3,$82,$f3,$82,$0b,$83,$2b
	.byte $83,$2b,$83,$33,$83,$33,$83,$3b,$83,$3b,$83,$43,$83,$43,$83,$4b
	.byte $83,$5b,$83,$6b,$83,$83,$83,$9b,$83,$9b,$83,$ab,$83,$b3,$83,$bb
	.byte $83,$bb,$83,$cb,$83,$cb,$83,$db,$83,$db,$83,$eb,$83,$eb,$83,$fb
	.byte $83,$fb,$83,$33,$34,$33,$34,$00,$2f,$31,$32,$31,$32,$b1,$b2,$80
	.byte $af,$b3,$b4,$00,$01,$02,$03,$00,$01,$02,$03,$00,$01,$02,$03,$00
	.byte $01,$02,$03,$00,$01,$02,$03,$80,$81,$82,$83,$80,$81,$82,$83,$80
	.byte $81,$82,$83,$83,$82,$81,$80,$83,$82,$81,$80,$83,$82,$81,$80,$83
	.byte $82,$81,$80,$83,$82,$81,$80,$03,$02,$01,$00,$03,$02,$01,$00,$03
	.byte $02,$01,$00,$00,$01,$02,$03,$00,$01,$02,$03,$04,$05,$06,$07,$00
	.byte $01,$02,$03,$00,$01,$02,$03,$80,$81,$82,$83,$84,$85,$86,$87,$80
	.byte $81,$82,$83,$83,$82,$81,$80,$83,$82,$81,$80,$83,$82,$81,$80,$83
	.byte $82,$81,$80,$83,$82,$81,$80,$03,$02,$01,$00,$03,$02,$01,$00,$03
	.byte $02,$01,$00,$08,$36,$08,$36,$08,$09,$08,$35,$08,$35,$88,$b5,$88
	.byte $89,$88,$b6,$1b,$00,$1b,$00,$1b,$00,$1b,$00,$1b,$00,$9b,$80,$9b
	.byte $80,$9b,$80,$24,$36,$24,$36,$24,$09,$24,$35,$24,$35,$a4,$b5,$a4
	.byte $89,$a4,$b6,$33,$33,$26,$33,$33,$26,$0a,$0a,$0b,$31,$31,$1d,$31
	.byte $31,$1d,$b1,$b1,$9d,$8a,$8a,$8b,$b3,$b3,$a6,$2a,$2a,$2b,$36,$2a
	.byte $2a,$2b,$36,$0e,$0e,$0f,$09,$20,$20,$21,$35,$20,$20,$21,$35,$a0
	.byte $a0,$a1,$b5,$8e,$8e,$8f,$89,$aa,$aa,$ab,$b6,$33,$33,$29,$33,$33
	.byte $29,$0a,$0a,$0d,$31,$31,$1f,$31,$31,$1f,$b1,$b1,$9f,$8a,$8a,$8d
	.byte $b3,$b3,$a9,$2c,$2d,$2e,$36,$2c,$2d,$2e,$36,$10,$10,$11,$09,$22
	.byte $22,$23,$35,$22,$22,$23,$35,$a2,$a2,$a3,$b5,$90,$90,$91,$89,$ac
	.byte $ad,$ae,$b6,$30,$30,$30,$30,$30,$b0,$b0,$b0,$14,$14,$14,$14,$14
	.byte $94,$94,$94,$16,$16,$16,$16,$16,$96,$96,$96,$15,$15,$15,$15,$15
	.byte $95,$95,$95,$95,$95,$15,$15,$15,$15,$15,$15,$15,$15,$95,$95,$95
	.byte $95,$95,$95,$16,$16,$96,$96,$96,$96,$96,$96,$96,$96,$16,$16,$16
	.byte $16,$16,$16,$17,$18,$19,$17,$18,$19,$17,$18,$19,$17,$18,$19,$17
	.byte $18,$19,$97,$98,$99,$97,$98,$99,$97,$98,$99,$19,$18,$17,$19,$18
	.byte $17,$19,$18,$17,$19,$18,$17,$19,$18,$17,$99,$98,$97,$99,$98,$97
	.byte $99,$98,$97,$12,$13,$12,$13,$12,$13,$12,$13,$12,$13,$92,$93,$92
	.byte $93,$92,$93,$1a,$1a,$1a,$1a,$1a,$9a,$9a,$9a,$9a,$9a,$9a,$9a,$9a
	.byte $1a,$1a,$1a,$33,$1b,$33,$1b,$00,$1b,$31,$1b,$31,$1b,$b1,$9b,$80
	.byte $9b,$b3,$9b,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01,$00
	.byte $01,$00,$01,$1b,$00,$1b,$00,$1b,$00,$1b,$00,$1b,$00,$9b,$80,$9b
	.byte $80,$9b,$80,$37,$38,$37,$38,$37,$38,$37,$38,$37,$38,$37,$38,$37
	.byte $38,$37,$38,$39,$3a,$39,$3a,$39,$3a,$39,$3a,$39,$3a,$59,$3a,$39
	.byte $3a,$39,$3a

Lbl_840b:
	.byte $6f

Lbl_840c:
	.byte $84,$6f,$84,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$6f
	.byte $84,$6f,$84,$6f,$84,$6f,$84,$6f,$84,$6f,$84,$6f,$84,$6f,$84,$6f
	.byte $84,$6f,$84,$6f,$84,$6f,$84,$6f,$84,$87,$84,$6f,$84,$87,$84,$a7
	.byte $84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7
	.byte $84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7,$84,$a7
	.byte $84,$a7,$84,$b7,$84,$b7,$84,$c7,$84,$c7,$84,$d7,$84,$d7,$84,$e7
	.byte $84,$e7,$84,$01,$01,$02,$01,$01,$02,$01,$01,$02,$01,$01,$02,$01
	.byte $01,$02,$01,$01,$02,$01,$01,$02,$01,$01,$02,$01,$01,$01,$02,$01
	.byte $01,$01,$02,$01,$01,$01,$02,$01,$01,$01,$02,$01,$01,$01,$02,$01
	.byte $01,$01,$02,$01,$01,$01,$02,$01,$01,$01,$02,$04,$04,$04,$04,$04
	.byte $04,$04,$04,$04,$04,$04,$04,$04,$04,$04,$04,$08,$08,$08,$08,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$02,$02,$02,$02,$02
	.byte $02,$02,$02,$02,$02,$02,$02,$02,$02,$02,$02,$08,$0c,$08,$0c,$08
	.byte $0c,$08,$0c,$08,$0c,$08,$0c,$08,$0c,$08,$0c,$05,$05,$05,$05,$05
	.byte $05,$05,$05,$05,$05,$05,$05,$05,$05,$05,$05

Lbl_84f7:
	lda $71			; current stage
	asl a
	tay
	lda Lbl_85b9,y	; use shifted cur stage as index into Lbl_85b9
	sta $61
	lda Lbl_85ba,y	; use shifted cur stage as index into Lbl_85ba
	sta $62
	bit $17
	bvs Lbl_8518
	jsr Lbl_8539
	bcs Lbl_852f
	jsr Lbl_855b
	bcs Lbl_852f
	jsr Lbl_857d
	bcs Lbl_851e

Lbl_8518:
	jsr Lbl_8599
	bcs Lbl_851e
	rts 

Lbl_851e:
	php 
	lda $37
	clc
	adc #$80
	sta $37
	lda #$00
	sec 
	sbc $37
	sta $37
	plp 
	rts 

Lbl_852f:
	php 
	lda #$00
	sec 
	sbc $37
	sta $37
	plp 
	rts 

Lbl_8539:
	ldy #$00
	clc
	lda $46
	bmi Lbl_854a
	lda $45
	sec 
	sbc ($61),y
	iny 
	lda $46
	sbc ($61),y

Lbl_854a:
	bcs Lbl_8558
	php 
	dey 
	lda ($61),y
	sta $45
	iny 
	lda ($61),y
	sta $46
	plp 

Lbl_8558:
	jmp Lbl_85b2

Lbl_855b:
	ldy #$02
	sec 
	lda $46
	bmi Lbl_856c
	lda ($61),y
	sec 
	sbc $45
	iny 
	lda ($61),y
	sbc $46

Lbl_856c:
	bcs Lbl_857a
	php 
	dey 
	lda ($61),y
	sta $45
	iny 
	lda ($61),y
	sta $46
	plp 

Lbl_857a:
	jmp Lbl_85b2

Lbl_857d:
	ldy #$08
	clc
	lda $49
	bmi Lbl_8589
	lda $48
	sec 
	sbc ($61),y

Lbl_8589:
	bcs Lbl_8596
	php 
	lda ($61),y
	sta $48
	iny 
	lda ($61),y
	sta $49
	plp 

Lbl_8596:
	jmp Lbl_85b2

Lbl_8599:
	ldy #$0a
	sec 
	lda $49
	bmi Lbl_85a5
	lda ($61),y
	sec 
	sbc $48

Lbl_85a5:
	bcs Lbl_85b2
	php 
	lda ($61),y
	sta $48
	iny 
	lda ($61),y
	sta $49
	plp 

Lbl_85b2:
	php 
	pla 
	eor #$01
	pha 
	plp 
	rts 

Lbl_85b9:		; based on current stage?
	.byte $d1

Lbl_85ba:		; based on current stage?
	.byte $85,$d1,$85,$d1,$85,$d1,$85,$d1,$85,$d1,$85,$d1,$85,$d1,$85,$d1
	.byte $85,$e1,$85,$e1,$85,$e1,$85,$28,$00,$d8,$01,$28,$00,$d8,$01,$08
	.byte $00,$70,$00,$08,$00,$70,$00,$38,$00,$c8,$01,$38,$00,$c8,$01,$08
	.byte $00,$5b,$00,$08,$00,$5b,$00

Lbl_85f1:
	.byte $40,$80,$80,$80,$40,$40,$40,$40,$40,$40,$40,$40,$40,$80,$80,$80
	.byte $40,$40,$80,$00,$80,$80,$80,$80,$80,$40,$40,$80,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

Lbl_8700:
	lda $1e
	bmi Lbl_875e
	jsr Lbl_87f7
	bit $17
	bvs Lbl_872f
	lda $45
	sta $61
	lda $46
	sta $62
	lda $48
	sta $63
	lda $49
	sta $64
	jsr Lbl_cb89
	sta $00
	ldx $18
	lda $00
	cmp Lbl_a57c,x
	beq Lbl_872f
	lda $1a
	and #$7f
	sta $1a

Lbl_872f:
	jsr Lbl_a1e5
	lda #$00
	sta $2f
	bit $17
	bvs Lbl_8744
	bit $16
	bvs Lbl_8744
	lda $21
	cmp #$04
	beq Lbl_8748

Lbl_8744:
	lda #$00
	sta $38

Lbl_8748:
	lda #$02
	sta $32
	bit $15
	bvs Lbl_875e
	lda $16
	bmi Lbl_875e
	jsr Lbl_db89
	and #$1f
	clc
	adc #$20
	sta $30

Lbl_875e:
	lda $38
	beq Lbl_8765
	jmp Lbl_87e7

Lbl_8765:
	lda $16
	and #$02
	beq Lbl_877d
	lda #$02
	sta $32
	lda #$00
	sta $31
	lda #$ff
	sta $2f
	lda $16
	and #$fd
	sta $16

Lbl_877d:
	bit $15
	bvs Lbl_8785
	lda $16
	bpl Lbl_878d

Lbl_8785:
	lda #$00
	sta $31
	lda #$ff
	sta $2f

Lbl_878d:
	lda $30
	beq Lbl_879a
	dec $30
	lda #$00
	sta $2f
	jmp Lbl_87bc

Lbl_879a:
	inc $2f
	lda $2f
	cmp #$08
	bcc Lbl_87a8		; branch if carry clear
	lda #$00
	sta $2f
	inc $31

Lbl_87a8:
	lda $31
	cmp $32
	bne Lbl_87bc
	lda #$00
	sta $31
	jsr Lbl_db89
	and #$1f
	clc
	adc #$10
	sta $30

Lbl_87bc:
	bit $15
	bvs Lbl_87df
	lda $16
	bmi Lbl_87df
	lda $16
	and #$02
	bne Lbl_87f6
	lda $e1
	sta $61
	lda $e2
	sta $62
	lda $e4
	sta $63
	lda $e5
	sta $64
	jsr Lbl_ca0c
	sta $2e

Lbl_87df:
	lda #$00
	jsr Lbl_a254
	jmp Lbl_87f6

Lbl_87e7:
	lda $16
	ora #$02
	sta $16
	jsr Lbl_cc5c
	jsr Lbl_a544
	jsr Lbl_a508

Lbl_87f6:
	rts 

Lbl_87f7:
	lda $16
	and #$fe
	sta $16
	rts 

Lbl_87fe:		; xxx: this is actually code
	;.byte $a5,$1e,$30,$35,$a9,$40,$85,$2d,$4c,$11,$88

	lda $1e
	bmi Lbl_8837
	lda #$40
	sta $2D
	; hacky edition
	jmp $8811
	; what it should be:
	;jmp Lbl_8811 ; doesn't know where this is yet

Lbl_8809:
	lda $1e
	bmi Lbl_8837		; branch if minus
	lda #$00
	sta $2d
	jsr Lbl_87f7
	lda #$04
	sta $32
	bit $17
	bvs Lbl_882e		; branch if overflow set
	bit $16
	bvs Lbl_882e		; branch if overflow set
	lda $21
	and #$7f
	cmp #$04
	bne Lbl_882e
	lda $16
	ora #$02
	sta $16

Lbl_882e:
	lda $2d
	pha 
	jsr Lbl_a1e5
	pla 
	sta $2d

Lbl_8837:
	lda $16
	and #$02
	beq Lbl_8854
	jsr Lbl_cc5c
	jsr Lbl_a544
	bne Lbl_884e
	lda $16
	and #$fd
	sta $16
	jmp Lbl_88f2

Lbl_884e:
	jsr Lbl_a508
	jmp Lbl_88f2

Lbl_8854:
	lda $20
	cmp $37
	beq Lbl_885e
	ldy #$ff
	sty $2f

Lbl_885e:
	sta $37
	lda $1e
	and #$7f
	sec 
	sbc #$01
	asl a 
	tax 
	lda Lbl_8977,x
	sta $61
	lda Lbl_8978,x
	sta $62
	bit $17
	bvc Lbl_8883
	lda $1b
	and #$7f
	cmp #$1e
	bne Lbl_8883
	bit $15
	bvs Lbl_8886

Lbl_8883:
	jmp ($0061)

Lbl_8886:
	ldx a:$007a		; P2 Team
	bit $17
	bpl Lbl_8890	; branch if positive
	ldx a:$007b		; P1 Team

Lbl_8890:
	txa 
	and #$0f
	asl a 
	tax 
	lda Lbl_88f3,x
	sta $4d
	lda Lbl_88f4,x
	sta $4e
	lda $17
	and #$07
	tax 
	lda Lbl_8e21,x
	tay 
	lda ($4d),y
	asl a 
	tax 
	lda Lbl_893b,x
	sta $4f
	lda Lbl_893c,x
	sta $50
	lda $37
	clc
	adc #$10
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	tay 
	lda ($4f),y
	sta $38
	jsr Lbl_a3e2
	bcs Lbl_88d5
	jsr Lbl_cc5c
	bit a:$0070
	bvc Lbl_88d5
	jsr Lbl_a3e2

Lbl_88d5:
	inc $2f
	lda $2f
	cmp #$03
	bcc Lbl_88e3
	lda #$00
	sta $2f
	inc $31

Lbl_88e3:
	lda $31
	cmp $32
	bne Lbl_88ed
	lda #$00
	sta $31

Lbl_88ed:
	lda #$01
	jsr Lbl_a254

Lbl_88f2:
	rts 

Lbl_88f3:
	.byte $05

Lbl_88f4:
	.byte $89,$0b,$89,$11,$89,$17,$89,$1d,$89,$23,$89,$29,$89,$2f,$89,$35
	.byte $89,$02,$04,$02,$02,$02,$02,$01,$04,$02,$02,$01,$02,$00,$02,$01
	.byte $01,$00,$01,$03,$04,$03,$03,$03,$03,$00,$03,$01,$01,$00,$01,$03
	.byte $04,$03,$03,$03,$03,$00,$03,$02,$01,$00,$01,$03,$05,$04,$04,$03
	.byte $04,$02,$03,$02,$02,$02,$02

Lbl_893b:
	.byte $47

Lbl_893c:		; a few nametable addresses (including flags on position menu)
	.byte $89,$4f,$89,$57,$89,$5f,$89,$67,$89,$6f,$89,$1a,$18,$1c,$18,$1a
	.byte $18,$1c,$18,$1f,$1d,$21,$1d,$1f,$1d,$21,$1d,$24,$22,$26,$22,$24
	.byte $22,$26,$22,$29,$27,$2b,$27,$29,$27,$2b,$27,$2e,$2c,$30,$2c,$2e
	.byte $2d,$30,$2c,$33,$32,$35,$31,$33,$31,$35,$31

Lbl_8977:
	.byte $7d

Lbl_8978:
	.byte $89,$7d,$89,$a9,$89

Lbl_897d:
	bit $15
	bvs Lbl_89a9
	bit $16
	bmi Lbl_89a9
	bit $25
	bvs Lbl_899c
	lda $27
	cmp #$10
	bcc Lbl_899c
	ldy #$20
	lda $25
	bmi Lbl_8997
	ldy #$e0

Lbl_8997:
	sty $2e
	jmp Lbl_89a6

Lbl_899c:
	ldy #$60
	lda $25
	bmi Lbl_89a4
	ldy #$a0

Lbl_89a4:
	sty $2e

Lbl_89a6:
	jmp Lbl_8886

Lbl_89a9:
	lda $37
	clc
	adc #$10
	and #$e0
	sta $2e
	jmp Lbl_8886

Lbl_89b5:		; xxx: actually code
	;.byte $a5,$1e,$30,$3f,$a9,$40,$85,$2d,$4c,$ce,$89
	lda $1e
	bmi Lbl_89f8
	lda #$40
	sta $2d
	jmp $89ce

Lbl_89c0:
	lda $2d
	and #$bf
	sta $2d
	lda $1e
	bmi Lbl_89f8
	lda #$00
	sta $2d
	jsr Lbl_87f7
	lda #$01
	sta $33
	lda #$04
	sta $32
	lda $20
	sta $37
	clc
	adc #$10
	and #$e0
	sta $2e
	lda $2d
	pha 
	jsr Lbl_a1e5
	pla 
	sta $2d
	lda $78
	and #$10
	beq Lbl_89f8
	lda $069e
	sta $31

Lbl_89f8:
	lda $16
	and #$02
	bne Lbl_8a21
	lda $37
	cmp $20
	beq Lbl_8a21
	lda #$ff
	sta $2f
	lda $37
	eor #$ff
	clc
	adc #$01
	cmp $20
	bne Lbl_8a2f
	bit $17
	bvs Lbl_8a2f
	bit $16
	bvs Lbl_8a2f
	lda $16
	ora #$02
	sta $16

Lbl_8a21:
	lda $16
	and #$02
	beq Lbl_8a46
	jsr Lbl_cc5c
	jsr Lbl_a544
	bne Lbl_8a40

Lbl_8a2f:
	lda $16
	and #$fd
	sta $16
	lda $20
	sta $37
	clc
	adc #$10
	and #$e0
	sta $2e

Lbl_8a40:
	jsr Lbl_a508
	jmp Lbl_8bb3

Lbl_8a46:
	ldx a:$007a		; P2 Team
	bit $17
	bpl Lbl_8a50	; branch if positive
	ldx a:$007b		; P1 Team

Lbl_8a50:
	txa 
	and #$0f
	asl a 
	tax 
	lda Lbl_88f3,x
	sta $4d
	lda Lbl_88f4,x
	sta $4e
	lda $17
	and #$07
	tax 
	lda Lbl_8e21,x
	tay 
	lda ($4d),y
	asl a 
	tax 
	lda Lbl_8bc4,x
	sta $4f
	lda Lbl_8bc5,x
	sta $50
	lda $37
	clc
	adc #$10
	and #$e0
	sta $2e
	lda $37
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	tay 
	lda ($4f),y
	sta $38
	bit $17
	bvc Lbl_8a98	; branch if overflow clear
	lda $38
	clc
	adc #$18
	sta $38
	bne Lbl_8a98	; branch if not equal (??)

Lbl_8a98:		; the "Kenya check"? (or is there a better name)
	lda $38
	pha 
	lda $71			; current stage
	cmp #$05		; $05 = Kenya
	bne Lbl_8ab4	; branch if cur stage != $05; otherwise, apply rough floor
	ldx $33
	cpx #$0f
	bcc Lbl_8aa9	; if 0x0F < $33, branch.
	ldx #$0f

Lbl_8aa9:
	lda Lbl_8bb4,x
	tay 
	beq Lbl_8ab4

Lbl_8aaf:
	lsr $38
	dey 
	bne Lbl_8aaf

Lbl_8ab4:
	jsr Lbl_cc5c
	pla 
	sta $38
	bit $15
	bvs Lbl_8af9
	lda $16
	bpl Lbl_8af6
	lda $37
	and #$e0
	cmp #$40
	beq Lbl_8ace
	cmp #$c0
	bne Lbl_8af9

Lbl_8ace:
	lda $8d
	jsr Lbl_92e8
	ldy #$33
	sec 
	lda $48
	sbc ($00),y
	beq Lbl_8af9
	bcs Lbl_8ae7
	lda #$00
	sta $01
	lda #$01
	jmp Lbl_8aeb

Lbl_8ae7:
	lda #$ff
	sta $01

Lbl_8aeb:
	clc
	adc $48
	sta $48
	lda $49
	adc $01
	sta $49

Lbl_8af6:
	jmp Lbl_8b6b

Lbl_8af9:
	bit a:$0070
	bvc Lbl_8b15
	ldx #$00
	lda $90

Lbl_8b02:
	cmp a:$0086,x
	beq Lbl_8b0f
	inx 
	cpx #$04
	bne Lbl_8b02
	jmp Lbl_8b6b

Lbl_8b0f:
	lda $f1,x
	tay 
	jmp Lbl_8b24

Lbl_8b15:
	ldy $f7			; P1 input
	ldx $7b			; P1 Team
	lda $17
	bmi Lbl_8b21	; branch on minus
	ldy $f8			; P2 input
	ldx $7a			; P2 Team

Lbl_8b21:
	txa 
	bpl Lbl_8b6b

Lbl_8b24:
	tya
	and #$0c
	lsr a 
	tax 
	lda Lbl_8c00,x
	clc
	adc $48
	sta $4d
	lda $49
	adc Lbl_8c01,x
	sta $4e
	lda #$66
	sta $4f
	lda #$18
	sta $50
	bit a:$0070
	bvc Lbl_8b4d
	lda #$5b
	sta $4f
	lda #$08
	sta $50

Lbl_8b4d:
	lda $4f
	sec 
	sbc $4d
	bcs Lbl_8b58
	lda $4f
	sta $4d

Lbl_8b58:
	lda $50
	sec 
	sbc $4d
	bcc Lbl_8b63
	lda $50
	sta $4d

Lbl_8b63:
	lda $4d
	sta $48
	lda $4e
	sta $49

Lbl_8b6b:
	inc $2f
	lda $2f
	cmp #$01
	bcc Lbl_8b90
	lda $31
	and #$01
	bne Lbl_8b7e
	lda #$0b
	jsr sub_PlaySound	; play sound #$0b (??)

Lbl_8b7e:
	lda #$00
	sta $2f
	inc $31
	lda $78
	and #$10
	bne Lbl_8b8e
	bit $15
	bvc Lbl_8b90

Lbl_8b8e:
	lda #$8b

Lbl_8b90:
	lda $31
	cmp $32
	bne Lbl_8b9a
	lda #$00
	sta $31

Lbl_8b9a:
	lda #$04
	jsr Lbl_a254
	bit $2d
	bvc Lbl_8bb3
	lda $42
	and #$7f
	sta $42
	lda $25
	and #$80
	eor #$80
	ora $42
	sta $42

Lbl_8bb3:
	rts 

Lbl_8bb4:
	.byte $04,$03,$02,$02,$01,$01,$01,$01,$01,$01,$00,$00,$00,$00,$00,$00

Lbl_8bc4:
	.byte $d0

Lbl_8bc5:
	.byte $8b,$d8,$8b,$e0,$8b,$e8,$8b,$f0,$8b,$f8,$8b,$33,$2f,$3b,$2f,$33
	.byte $2f,$3b,$2f,$36,$32,$3e,$32,$36,$32,$3e,$32,$39,$35,$41,$35,$39
	.byte $35,$41,$35,$39,$38,$44,$38,$3c,$38,$44,$38,$3f,$3b,$47,$3b,$3f
	.byte $3b,$47,$3b,$42,$3e,$4a,$3e,$42,$3e,$4a,$3e

Lbl_8c00:
	.byte $00

Lbl_8c01:
	.byte $00,$fe,$ff,$02,$00,$00,$00

Lbl_8c08:
	lda $1e
	bpl Lbl_8c0f
	jmp Lbl_8ca3

Lbl_8c0f:
	lda $1e
	and #$7f
	sec 
	sbc #$05
	asl a 
	tax 
	lda Lbl_8d09,x
	sta $00
	lda Lbl_8d0a,x
	sta $01
	lda $1e
	and #$7f
	cmp #$05
	bne Lbl_8c30
	lda #$00
	sta $37
	beq Lbl_8c3b

Lbl_8c30:
	lda $20
	sta $37
	clc
	adc #$10
	and #$e0
	sta $2e

Lbl_8c3b:
	lda $37
	and #$f0
	lsr a 
	lsr a 
	lsr a 
	clc
	adc $00
	sta $00
	lda $01
	adc #$00
	sta $01
	ldy #$03

Lbl_8c4f:
	lda ($00),y
	sta a:$0039,y
	dey 
	bpl Lbl_8c4f
	lda $1e
	and #$7f
	sec 
	sbc #$05
	asl a 
	asl a 
	tax 
	ldy #$00

Lbl_8c63:
	lda Lbl_8d97,x
	sta a:$003d,y
	inx 
	iny 
	cpy #$04
	bcc Lbl_8c63
	lda $17
	and #$07
	tax 
	lda $3d
	clc
	adc Lbl_8d91,x
	sta $3d
	lda $3e
	clc
	adc #$00
	sta $3e
	lda #$02
	sta $32
	lda $16
	ora #$08
	sta $16
	ldy #$00
	lda $1e
	and #$7f
	cmp #$05
	beq Lbl_8c99
	ldy #$00

Lbl_8c99:
	sty $38
	jsr Lbl_a1e5
	lda #$04
	jsr sub_PlaySound	; play sound #$04 (jump)

Lbl_8ca3:
	lda $31
	beq Lbl_8cb0
	lda $16
	ora #$01
	sta $16
	jsr Lbl_cca4

Lbl_8cb0:
	lda $31
	bne Lbl_8cd1
	inc $2f
	lda $2f
	cmp #$02
	bcc Lbl_8cd1
	lda $16
	and #$f7
	sta $16
	inc $31
	lda #$00
	sta $2f
	lda $16
	ora #$01
	sta $16
	jsr Lbl_cca4

Lbl_8cd1:
	lda $1e
	and #$7f
	sec 
	sbc #$05
	clc
	adc #$05
	jsr Lbl_a254
	lda $4c
	bpl Lbl_8d08
	lda #$00
	sta $4a
	sta $4b
	sta $4c
	lda $1e
	and #$7f
	sta $21
	ldy #$00
	lda $1e
	and #$7f
	cmp #$07
	bcc Lbl_8cfc
	ldy #$0d

Lbl_8cfc:
	sty $1e
	cpy #$0d
	bne Lbl_8d08
	lda $16
	ora #$08
	sta $16

Lbl_8d08:
	rts 

Lbl_8d09:
	.byte $11

Lbl_8d0a:
	.byte $8d,$31,$8d,$51,$8d,$71,$8d,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$80,$00,$00,$01,$80,$00,$80
	.byte $01,$00,$00,$00,$01,$80,$ff,$00,$00,$80,$ff,$00,$ff,$80,$ff,$80
	.byte $fe,$00,$00,$00,$ff,$80,$00,$00,$00,$c0,$00,$00,$02,$c0,$00,$80
	.byte $02,$00,$00,$00,$02,$40,$ff,$00,$00,$40,$ff,$00,$fe,$40,$ff,$80
	.byte $fd,$00,$00,$00,$fe,$c0,$00,$00,$00,$00,$01,$80,$03,$00,$01,$00
	.byte $04,$00,$00,$80,$03,$00,$ff,$00,$00,$00,$ff,$80,$fd,$00,$ff,$00
	.byte $fc,$00,$00,$80,$fd,$00,$01

Lbl_8d91:
	.byte $c0,$80,$80,$80,$80,$80

Lbl_8d97:
	.byte $00,$0e,$00,$02,$00,$0e,$00,$02,$00,$0f,$10,$02,$00,$10,$20,$02

Lbl_8da7:
	lda $1e
	bmi Lbl_8df4
	lda $17
	and #$07
	tay 
	lda Lbl_a332,y
	jsr sub_PlaySound	; play a song/sound effect
	lda $16
	ora #$08
	sta $16
	jsr Lbl_a1e5
	lda #$02
	sta $32
	ldy #$00
	lda $21
	and #$7f
	cmp #$04
	beq Lbl_8de4
	lda $16
	and #$01
	beq Lbl_8dd6
	iny 
	bne Lbl_8de4

Lbl_8dd6:
	lda $c5
	and #$7f
	cmp #$01
	beq Lbl_8de2
	ldy #$02
	bne Lbl_8de4

Lbl_8de2:
	ldy #$03

Lbl_8de4:
	cpy #$00
	bne Lbl_8df2
	bit $17
	bvs Lbl_8df0
	bit $16
	bvc Lbl_8df2

Lbl_8df0:
	ldy #$02

Lbl_8df2:
	sty $2d

Lbl_8df4:
	bit $15
	bvs Lbl_8e06
	cpy #$03
	bne Lbl_8e06
	ldy #$40
	lda $25
	bmi Lbl_8e04
	ldy #$c0

Lbl_8e04:
	sty $2e

Lbl_8e06:
	lda $2d
	and #$0f
	asl a 
	tax 
	lda Lbl_8e19,x
	sta $61
	lda Lbl_8e1a,x
	sta $62
	jmp ($0061)

Lbl_8e19:
	.byte $28

Lbl_8e1a:
	.byte $8e,$61,$8e,$20,$8f,$38,$91

Lbl_8e21:
	.byte $00,$01,$02,$03,$04,$05,$06,$a9,$00,$85,$2f,$a5,$16,$09,$02,$85
	.byte $16,$a5,$16,$10,$04,$a9,$01,$85,$31,$20,$5c,$cc,$a9,$09,$20,$54
	.byte $a2,$20,$24,$a5,$d0,$19,$a5,$16,$29,$fd,$85,$16,$a5,$1e,$29,$7f
	.byte $85,$21,$a9,$00,$85,$1e,$a5,$16,$29,$f7,$85,$16,$20,$55,$91,$60

Lbl_8e61:
	ldy #$00
	lda $21
	and #$7f
	cmp #$05
	beq Lbl_8e6d
	ldy #$00

Lbl_8e6d:
	sty $38
	lda $2d
	ora #$40
	sta $2d
	lda $16
	bpl Lbl_8e8b
	lda #$00
	sta $2f
	lda #$01
	sta $31
	bit $15
	bvc Lbl_8e8b
	lda $16
	and #$f7
	sta $16

Lbl_8e8b:
	jsr Lbl_cca4
	lda $31
	bne Lbl_8ef1
	inc $2f
	bit $15
	bvs Lbl_8e9d
	lda #$08
	jmp Lbl_8ee5

Lbl_8e9d:
	ldx a:$007a		; P2 Team
	bit $17
	bpl Lbl_8ea7	; branch if positive
	ldx a:$007b		; P1 Team

Lbl_8ea7:
	txa 
	and #$0f
	asl a 
	asl a 
	asl a 
	sta $4d
	lda $17
	and #$07
	tay 
	lda Lbl_8e21,y
	clc
	adc $4d
	tay 
	lda Lbl_aa52,y
	asl a 
	tay 
	lda Lbl_aa9a,y
	sta $4d
	lda Lbl_aa9b,y
	sta $4e
	ldy $06ea		; difficulty level
	lda $4d
	clc
	adc Lbl_9030,y	; add using difficulty level as index into Lbl_9030
	sta $4d
	lda $4e
	adc #$00
	sta $4e
	ldy $ce			; shot power
	lda Lbl_903c,y
	tay 
	lda ($4d),y
	asl a 
	tay 

Lbl_8ee5:
	cmp $2f
	bne Lbl_8ef1
	lda #$01
	sta $31
	lda #$00
	sta $2f

Lbl_8ef1:
	lda #$09
	jsr Lbl_a254
	lda $4c
	bpl Lbl_8f1f
	lda #$00
	sta $4a
	sta $4b
	sta $4c
	ldy #$00
	lda $21
	and #$7f
	cmp #$07
	bcc Lbl_8f0e
	ldy #$00

Lbl_8f0e:
	sty $1e
	lda $1e
	and #$7f
	sta $21
	lda $16
	and #$f6
	sta $16
	jsr Lbl_9155

Lbl_8f1f:
	rts 

Lbl_8f20:
	lda $16
	bpl Lbl_8f76
	lda $16
	and #$02
	beq Lbl_8f2d
	jmp Lbl_9004

Lbl_8f2d:
	lda #$01
	sta $31
	lda #$00
	sta $2f
	lda $16
	ora #$02
	sta $16
	lda $71			; current stage
	and #$0f
	asl a 
	tay 
	lda Lbl_9093,y
	sta $4d
	lda Lbl_9094,y
	sta $4e
	ldx $cd			; load shot type
	lda Lbl_907d,x	; use shot type as index into Lbl_907d
	tay
	bne Lbl_8f60	; branch if not equal
	ldy $0181
	cpy #$40
	bcc Lbl_8f5c
	ldy #$3f

Lbl_8f5c:
	lda Lbl_903c,y
	tay 

Lbl_8f60:
	lda ($4d),y
	sta $38
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	tay 
	lda Lbl_9033,y
	jsr sub_PlaySound	; play a song/sound effect
	lda $d3
	sta $37
	jmp Lbl_9004

Lbl_8f76:
	lda #$00
	sta $38
	inc $2f
	ldy #$08
	bit $15
	bvc Lbl_8fc9
	ldx a:$007a		; P2 Team
	bit $17
	bpl Lbl_8f8c	; branch if positive
	ldx a:$007b		; P1 Team

Lbl_8f8c:
	txa 
	and #$0f
	asl a 
	asl a 
	asl a 
	sta $4d
	lda $17
	and #$07
	tay 
	lda Lbl_8e21,y
	clc
	adc $4d
	tay 
	lda Lbl_aa52,y
	asl a 
	tay 
	lda Lbl_aa9a,y
	sta $4d
	lda Lbl_aa9b,y
	sta $4e
	ldy $06ea			; difficulty level
	lda $4d
	clc
	adc Lbl_9030,y		; use difficulty level as index into Lbl_9030
	sta $4d
	lda $4e
	adc #$00
	sta $4e
	ldy $ce				; shot power
	lda Lbl_903c,y		; shot attack power?
	tay 
	lda ($4d),y
	tay 

Lbl_8fc9:
	iny 
	tya
	cmp $2f
	bcc Lbl_8fd4
	beq Lbl_8fd4
	jmp Lbl_8ff0

Lbl_8fd4:
	lda $1e
	and #$7f
	sta $21
	lda #$00
	sta $1e
	lda $16
	and #$f5
	sta $16
	jsr Lbl_9155
	lda $42
	and #$80
	sta $42
	jmp Lbl_9003

Lbl_8ff0:
	lda #$09
	and #$7f
	jsr Lbl_a254
	lda $31
	beq Lbl_9003
	inc $2f
	lda $2f
	cmp #$08
	bcs Lbl_8fd4

Lbl_9003:
	rts 

Lbl_9004:
	lda #$09
	and #$7f
	jsr Lbl_a254
	lda $ce			; shot power
	bne Lbl_9019
	inc $2f
	lda $2f
	cmp #$02
	bcs Lbl_9021
	bcc Lbl_902f

Lbl_9019:
	jsr Lbl_cc5c
	jsr Lbl_90bd
	bne Lbl_902f

Lbl_9021:
	jsr Lbl_a3e2
	bcc Lbl_8fd4
	lda $1a
	and #$7f
	sta $1a
	jmp Lbl_8fd4

Lbl_902f:
	rts 

Lbl_9030:		; something based on difficulty levels
	.byte $08,$00,$00

Lbl_9033:
	.byte $07,$07,$07,$12,$12,$12,$13,$13,$13

Lbl_903c:		; shot attack power?
	.byte $00,$01,$01,$02,$02,$03,$03,$03,$04,$04,$04,$04,$05,$05,$05,$05
	.byte $05,$06,$06,$06,$06,$06,$06,$07,$07,$07,$07,$07,$07,$07,$08,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $08

Lbl_907d:		; indexed based on shot type (see also: bank 6 Lbl_8b1d)
	.byte $00,$00,$00,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $00,$00,$08,$08,$08,$08
	; based on the pattern, $08 means super shot?

Lbl_9093:
	.byte $ab

Lbl_9094:
	.byte $90,$ab,$90,$ab,$90,$b4,$90,$ab,$90,$ab,$90,$ab,$90,$ab,$90,$ab
	.byte $90,$ab,$90,$ab,$90,$ab,$90,$00,$08,$08,$10,$18,$20,$20,$28,$30
	.byte $00,$10,$18,$20,$30,$38,$40,$50,$60

Lbl_90bd:
	bit $17
	bvc Lbl_90c6
	lda #$00
	sta $38
	rts 

Lbl_90c6:
	lda $46
	bne Lbl_90dd
	bmi Lbl_90d2
	lda $45
	cmp #$30
	bcs Lbl_912a

Lbl_90d2:
	lda #$00
	sta $46
	lda #$38
	sta $45
	jmp Lbl_90eb

Lbl_90dd:
	cmp #$01
	bne Lbl_912a
	lda $45
	cmp #$d0
	bcc Lbl_912a
	lda #$c8
	sta $45

Lbl_90eb:
	lda $1e
	cmp #$13
	bne Lbl_90f7
	lda $2d
	eor #$40
	sta $2d

Lbl_90f7:
	lda $37
	clc
	adc #$80
	sta $37
	lda $16
	bpl Lbl_911a
	and #$7f
	sta $16
	lda #$05
	sta $c5
	lda #$05
	sta $da
	lda #$00
	sta $d9
	sta $ce			; shot power
	lda $1a
	and #$7f
	sta $1a

Lbl_911a:
	lda $1e
	and #$7f
	cmp #$13
	beq Lbl_912a
	lda #$10
	sta $1e
	lda #$00
	sta $22

Lbl_912a:
	lda $38
	sec 
	sbc #$08
	sta $38
	bcs Lbl_9137
	lda #$00
	sta $38

Lbl_9137:
	rts 

Lbl_9138:
	lda #$00
	sta $38
	lda $16
	bpl Lbl_9140

Lbl_9140:
	lda #$01
	sta $32
	lda #$0d
	jsr Lbl_a254
	inc $2f
	lda $2f
	cmp #$04
	bcs Lbl_9152
	rts 

Lbl_9152:
	jmp Lbl_8fd4

Lbl_9155:
	bit $17
	bvc Lbl_9160
	ldx $18
	lda Lbl_9161,x
	sta $2e

Lbl_9160:
	rts 

Lbl_9161:
	.byte $80,$80,$00,$00,$40,$c0

Lbl_9167:
	lda $16
	ora #$08
	sta $16
	ldy #$00
	lda $21
	and #$7f
	cmp #$04
	bne Lbl_917b
	iny 
	jmp Lbl_9183

Lbl_917b:
	lda $16
	and #$01
	beq Lbl_9183
	ldy #$02

Lbl_9183:
	tya
	asl a 
	tax 
	lda Lbl_9193,x
	sta $61
	lda Lbl_9194,x
	sta $62
	jmp ($0061)

Lbl_9193:
	.byte $99

Lbl_9194:
	.byte $91,$fb,$91,$5d,$92

Lbl_9199:
	lda $1e
	bmi Lbl_91c5
	lda #$00
	sta $38
	lda #$03
	sta $32
	jsr Lbl_a1e5
	jsr Lbl_94b9
	lda $17
	and #$20
	bne Lbl_91c5
	jsr Lbl_db89
	and #$0f
	sta $30
	inc $2f
	dec $32
	lda #$00
	jsr Lbl_a254
	dec $2f
	inc $32

Lbl_91c5:
	lda $30
	beq Lbl_91ce
	dec $30
	jmp Lbl_91fa

Lbl_91ce:
	lda #$0a
	jsr Lbl_a204
	lda $31
	cmp #$02
	bne Lbl_91dc
	jsr Lbl_a2d6

Lbl_91dc:
	lda $31
	cmp $32
	beq Lbl_91ea
	lda #$0a
	jsr Lbl_a254
	jmp Lbl_91fa

Lbl_91ea:
	lda $1e
	and #$7f
	sta $21
	lda #$00
	sta $1e
	lda $16
	and #$f7
	sta $16

Lbl_91fa:
	rts 

Lbl_91fb:
	.byte $a5,$1e,$30,$0a,$a9,$03,$85,$32,$20,$e5,$a1,$20,$b9,$94,$20,$5c
	.byte $cc,$a5,$16,$29,$02,$d0,$2a,$a9,$0a,$20,$04,$a2,$a5,$31,$c9,$02
	.byte $d0,$03,$20,$d6,$a2,$a5,$31,$c5,$32,$d0,$11,$a9,$00,$85,$2f,$a9
	.byte $02,$85,$31,$a5,$16,$09,$02,$85,$16,$4c,$3c,$92,$a9,$0a,$20,$54
	.byte $a2,$a5,$16,$29,$02,$f0,$1a,$20,$24,$a5,$20,$08,$a5,$a5,$38,$d0
	.byte $10,$a5,$1e,$29,$7f,$85,$21,$a9,$00,$85,$1e,$a5,$16,$29,$f7,$85
	.byte $16,$60

Lbl_925d:
	lda $1e
	bmi Lbl_9295
	lda $3e
	bpl Lbl_927d
	jsr Lbl_e46f
	lda $0f
	cmp #$06
	bcc Lbl_927d
	lda $21
	ora #$80
	sta $1e
	lda $16
	and #$f7
	sta $16
	jmp Lbl_92e7

Lbl_927d:
	lda #$04
	sta $32
	jsr Lbl_a1e5
	ldy #$00
	lda $21
	and #$7f
	cmp #$05
	beq Lbl_9290
	ldy #$00

Lbl_9290:
	sty $38
	jsr Lbl_94b9

Lbl_9295:
	lda $2d
	ora #$40
	sta $2d
	jsr Lbl_cca4
	lda #$0a
	jsr Lbl_a204
	lda $31
	cmp #$02
	bne Lbl_92ac
	jsr Lbl_a2d6

Lbl_92ac:
	lda $31
	cmp $32
	bne Lbl_92ba
	lda #$00
	sta $2f
	lda #$03
	sta $31

Lbl_92ba:
	lda #$0a
	jsr Lbl_a254
	lda $4c
	bpl Lbl_92e7
	lda #$00
	sta $4c
	sta $4b
	sta $4a
	lda $1e
	pha 
	ldy #$00
	lda $21
	and #$7f
	cmp #$07
	bcc Lbl_92da
	ldy #$0d

Lbl_92da:
	sty $1e
	pla 
	and #$7f
	sta $21
	lda $16
	and #$f6
	sta $16

Lbl_92e7:
	rts 

Lbl_92e8:
	asl a 
	tax 
	lda Lbl_92f5,x
	sta $00
	lda Lbl_92f6,x
	sta $01
	rts 

Lbl_92f5:
	.byte $1f

Lbl_92f6:
	.byte $03,$57,$03,$8f,$03,$c7,$03,$ff,$03,$37,$04,$6f,$04,$a7,$04,$df
	.byte $04,$17,$05,$4f,$05,$87,$05,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00

Lbl_9400:
	.byte $fc

Lbl_9401:
	.byte $a8,$d8,$a8,$b4,$a8

Lbl_9406:		; super shot array?
	.byte $03,$04,$05,$06,$07,$08,$09,$0a,$0b,$0c,$0d,$0e,$0f,$12,$13,$14

Lbl_9416:
	.byte $02,$02,$02,$02,$00,$02,$02,$01,$01,$02,$02,$02,$02,$02,$02,$02
	.byte $02,$02,$02,$02,$02,$02,$02,$02,$02,$02,$02,$02

Lbl_9432:
	lda $16
	ora #$08
	sta $16
	ldy #$00
	lda $21
	and #$7f
	cmp #$04
	bne Lbl_9446
	iny 
	jmp Lbl_944e

Lbl_9446:
	lda $16
	and #$01
	beq Lbl_944e
	ldy #$02

Lbl_944e:
	tya
	asl a 
	tax 
	lda Lbl_945e,x
	sta $61
	lda Lbl_945f,x
	sta $62
	jmp ($0061)

Lbl_945e:
	.byte $64

Lbl_945f:
	.byte $94,$07,$95,$09,$96

Lbl_9464:
	lda $1e
	bmi Lbl_9486
	lda #$03
	sta $32
	lda #$00
	sta $38
	jsr Lbl_a1e5
	bit $15
	bvc Lbl_947d
	lda $8d
	cmp #$ff
	beq Lbl_9483

Lbl_947d:
	jsr Lbl_94b9
	jmp Lbl_9486

Lbl_9483:
	jsr Lbl_9756

Lbl_9486:
	lda #$0b
	jsr Lbl_a204
	lda $2f
	cmp #$00
	bne Lbl_949a
	lda $31
	cmp #$02
	bne Lbl_949a
	jsr Lbl_a2d6

Lbl_949a:
	lda $31
	cmp $32
	beq Lbl_94a8
	lda #$0b
	jsr Lbl_a254
	jmp Lbl_94b8

Lbl_94a8:
	lda $1e
	and #$7f
	sta $21
	lda #$00
	sta $1e
	lda $16
	and #$f7
	sta $16

Lbl_94b8:
	rts 

Lbl_94b9:
	lda $1e
	and #$7f
	cmp #$0a
	bne Lbl_94c5
	lda $8e
	bmi Lbl_9506

Lbl_94c5:
	ldy $8e
	lda $1e
	and #$7f
	cmp #$0a
	beq Lbl_94d1
	ldy $8d

Lbl_94d1:
	jsr Lbl_c988
	ldy #$30
	lda ($4d),y
	sta $61
	iny 
	lda ($4d),y
	sta $62
	ldy #$33
	lda ($4d),y
	sta $63
	iny 
	lda ($4d),y
	sta $64
	lda $45
	sta $65
	lda $46
	sta $66
	lda $48
	sta $67
	lda $49
	sta $68
	jsr Lbl_ca2b
	sta $d3
	clc
	adc #$10
	and #$e0
	sta $2e

Lbl_9506:
	rts 

Lbl_9507:
	lda $1e
	bmi Lbl_9526
	lda #$03
	sta $32
	bit $15
	bvc Lbl_9519
	lda $8d
	cmp #$ff
	beq Lbl_951f

Lbl_9519:
	jsr Lbl_94b9
	jmp Lbl_9523

Lbl_951f:
	lda $2e
	sta $d3

Lbl_9523:
	jsr Lbl_a1e5

Lbl_9526:
	jsr Lbl_cc5c
	lda $16
	and #$02
	beq Lbl_9532
	jmp Lbl_95e8

Lbl_9532:
	lda #$0b
	jsr Lbl_a204
	lda $31
	cmp #$02
	beq Lbl_9540

Lbl_953d:
	jmp Lbl_95cc

Lbl_9540:
	lda $2f
	cmp #$00
	bne Lbl_953d
	lda $21
	cmp #$1a
	bcc Lbl_9550
	lda #$00
	sta $21

Lbl_9550:
	lda $17
	and #$20
	beq Lbl_95c9
	ldx a:$007a		; P2 Team
	bit $17
	bpl Lbl_955f	; branch if positive
	ldx $7b			; P1 Team

Lbl_955f:
	txa 
	and #$0f
	asl a 
	sta $4d
	lda $17
	and #$07
	tay 
	lda Lbl_8e21,y
	asl a 
	clc
	adc Lbl_8e21,y
	ldy $4d
	clc
	adc Lbl_a800,y
	sta $4f
	lda Lbl_a801,y
	adc #$00
	sta $50
	ldy #$00
	lda ($4f),y
	sta $57
	and #$70
	lsr a 
	lsr a 
	sta $58
	lsr a 
	clc
	adc $58
	sta $58
	lda $06ea		; difficulty level
	asl a
	clc
	adc $58
	tay
	lda Lbl_a8fc,y	; use shifted diff. level + value at $58 as index into Lbl_a8fc
	sta a:$0053
	lda Lbl_a8fd,y	; use shifted diff. level + value at $58 as index into Lbl_a8fd
	sta a:$0054
	ldy $33
	lda ($53),y
	bpl Lbl_95b2

Lbl_95ad:
	lda #$01
	jmp Lbl_95c7

Lbl_95b2:
	cmp #$04
	bcs Lbl_95c7		; branch if carry set
	ldx $57
	bpl Lbl_95bf		; branch if positive
	sec					; set carry
	sbc #$01
	beq Lbl_95ad		; branch if equal

Lbl_95bf:
	lda $57
	and #$0f
	tay
	lda Lbl_9406,y		; index into super shot array

Lbl_95c7:
	sta $cd			; set shot type

Lbl_95c9:
	jsr Lbl_a2d6

Lbl_95cc:
	lda $31
	cmp $32
	bne Lbl_95e3	; branch if value at $31 doesn't match value at $32
	lda #$00
	sta $2f
	lda #$02
	sta $31
	lda $16
	ora #$02
	sta $16
	jmp Lbl_95e8

Lbl_95e3:
	lda #$0b
	jsr Lbl_a254

Lbl_95e8:
	lda $16
	and #$02
	beq Lbl_9608
	jsr Lbl_a524
	jsr Lbl_a508
	lda $38
	bne Lbl_9608
	lda $1e
	and #$7f
	sta $21
	lda #$00
	sta $1e
	lda $16
	and #$f7
	sta $16

Lbl_9608:
	rts 

Lbl_9609:
	lda $1e
	bmi Lbl_9651
	lda $3e
	bpl Lbl_9629
	jsr Lbl_e46f
	lda $0f
	cmp #$06
	bcc Lbl_9629
	lda $21
	ora #$80
	sta $1e
	lda $16
	and #$f7
	sta $16
	jmp Lbl_9755

Lbl_9629:
	lda #$04
	sta $32
	bit $15
	bvc Lbl_9637
	lda $8d
	cmp #$ff
	beq Lbl_963d

Lbl_9637:
	jsr Lbl_94b9
	jmp Lbl_9640

Lbl_963d:
	jsr Lbl_9756

Lbl_9640:
	jsr Lbl_a1e5
	ldy #$00
	lda $21
	and #$7f
	cmp #$05
	beq Lbl_964f
	ldy #$00

Lbl_964f:
	sty $38

Lbl_9651:
	lda $2d
	ora #$40
	sta $2d
	jsr Lbl_cca4
	lda #$0b
	jsr Lbl_a204
	lda $31
	cmp #$02
	beq Lbl_9668
	jmp Lbl_971a

Lbl_9668:
	lda $21
	cmp #$1a
	bcc Lbl_9672
	lda #$00
	sta $21

Lbl_9672:
	lda $17
	and #$20
	bne Lbl_967b
	jmp Lbl_9717

Lbl_967b:
	ldx a:$007a		; P2 Team
	bit $17
	bpl Lbl_9684	; branch if positive
	ldx $7b			; P1 Team

Lbl_9684:
	txa 
	and #$0f
	asl a 
	sta $4d
	lda $17
	and #$07
	tay 
	lda Lbl_8e21,y
	asl a 
	clc
	adc Lbl_8e21,y
	ldy $4d
	pha 
	lda $21
	and #$7f
	tax 
	pla 
	clc
	adc Lbl_9416,x
	adc Lbl_a800,y
	sta $4f
	lda Lbl_a801,y
	adc #$00
	sta $50
	ldy #$00
	lda ($4f),y
	sta $57
	and #$70
	lsr a 
	lsr a 
	sta $58
	lsr a 
	adc $58
	sta $58
	lda $06ea		; difficulty level
	asl a
	adc $58
	sta $58
	lda $21
	and #$7f
	txa 
	lda Lbl_9416,x
	asl a 
	tay 
	lda Lbl_9400,y
	sta $59
	lda Lbl_9401,y
	sta $5a
	ldy $58
	lda ($59),y
	sta a:$0053
	iny 
	lda ($59),y
	sta a:$0054
	lda $3e
	bpl Lbl_96f3
	eor #$ff
	clc
	adc #$01

Lbl_96f3:
	tax 
	lda #$01
	cpx #$05
	bcs Lbl_9715
	lda $3e
	clc
	adc #$05
	tay 
	lda ($53),y
	bpl Lbl_9709
	lda #$01
	jmp Lbl_9715

Lbl_9709:
	cmp #$04
	bcs Lbl_9715
	lda $57
	and #$0f
	tay
	lda Lbl_9406,y		; index into super shot array

Lbl_9715:
	sta $cd			; set shot type

Lbl_9717:
	jsr Lbl_a2d6

Lbl_971a:
	lda $31
	cmp $32
	bne Lbl_9728
	lda #$00
	sta $2f
	lda #$03
	sta $31

Lbl_9728:
	lda #$0b
	jsr Lbl_a254
	lda $4c
	bpl Lbl_9755
	lda #$00
	sta $4c
	sta $4b
	sta $4a
	lda $1e
	pha 
	ldy #$00
	lda $21
	and #$7f
	cmp #$07
	bcc Lbl_9748
	ldy #$0d

Lbl_9748:
	sty $1e
	pla 
	and #$7f
	sta $21
	lda $16
	and #$f6
	sta $16

Lbl_9755:
	rts 

Lbl_9756:
	bit $17
	bvs Lbl_977c
	lda $2e
	bne Lbl_976b
	ldy #$20
	lda $42
	bpl Lbl_9766
	ldy #$e0

Lbl_9766:
	sty $d3
	jmp Lbl_9780

Lbl_976b:
	cmp #$80
	bne Lbl_977c
	ldy #$60
	lda $42
	bpl Lbl_9777
	ldy #$a0

Lbl_9777:
	sty $d3
	jmp Lbl_9780

Lbl_977c:
	lda $2e
	sta $d3

Lbl_9780:
	rts 

Lbl_9781:
	lda $1e
	bmi Lbl_97b9
	lda $17
	and #$07
	tay 
	lda Lbl_a332,y
	jsr sub_PlaySound	; play a song/sound effect
	jsr Lbl_87f7
	lda #$01
	sta $32
	lda $16
	ora #$08
	sta $16
	lda $21
	and #$7f
	cmp #$04
	bne Lbl_97ae
	lda $16
	ora #$02
	sta $16
	jmp Lbl_97b2

Lbl_97ae:
	lda #$00
	sta $38

Lbl_97b2:
	jsr Lbl_a1e5
	lda #$00
	sta $2f

Lbl_97b9:
	jsr Lbl_cc5c
	lda #$0c
	jsr Lbl_a254
	lda $16
	and #$02
	beq Lbl_97ca
	jsr Lbl_a524

Lbl_97ca:
	bit $15
	bvc Lbl_97fb	; branch if overflow clear
	bit $70
	bvc Lbl_97eb	; branch if overflow clear
	ldx #$00
	lda $90

Lbl_97d6:
	cmp a:$0086,x
	beq Lbl_97e3
	inx 
	cpx #$04
	bne Lbl_97d6
	jmp Lbl_9811

Lbl_97e3:
	lda a:$00f1,x
	bpl Lbl_9819
	jmp Lbl_9829

Lbl_97eb:
	ldx $f8			; P2 input
	bit $17
	bpl Lbl_97f3
	ldx $f7			; P1 input

Lbl_97f3:
	txa 
	and #$80
	beq Lbl_9819
	jmp Lbl_9829

Lbl_97fb:
	lda $c5
	and #$7f
	cmp #$04
	bne Lbl_9819
	lda $26
	cmp #$20
	bcs Lbl_9819
	lda $27
	cmp #$20
	bcs Lbl_9819
	bcc Lbl_9829

Lbl_9811:
	inc $2f
	lda $2f
	cmp #$08
	bcc Lbl_9829

Lbl_9819:
	lda $16
	and #$f5
	sta $16
	lda $1e
	and #$7f
	sta $21
	lda #$00
	sta $1e

Lbl_9829:
	rts 

Lbl_982a:
	lda $1e
	bmi Lbl_9860
	lda $16
	ora #$08
	sta $16
	jsr Lbl_87f7
	lda $21
	cmp #$07
	beq Lbl_9849
	cmp #$08
	beq Lbl_9849
	cmp #$0b
	beq Lbl_9849
	cmp #$0a
	bne Lbl_9855

Lbl_9849:
	lda $79			; current song
	cmp #$02
	bne Lbl_9855	; branch if current song != 2
	lda #$10
	sta $38
	bne Lbl_9859

Lbl_9855:
	lda #$00
	sta $38

Lbl_9859:
	lda #$01
	sta $32
	jsr Lbl_a1e5

Lbl_9860:
	lda $38
	beq Lbl_9876
	lda #$00
	sta $2f
	lda $16
	ora #$02
	sta $16
	jsr Lbl_cc5c
	jsr Lbl_a524
	bne Lbl_987c

Lbl_9876:
	lda $16
	and #$fd
	sta $16

Lbl_987c:
	lda #$0d
	jsr Lbl_a254
	lda $16
	and #$02
	bne Lbl_98e3
	inc $2f
	lda $2f
	cmp #$02
	bcc Lbl_98e3
	ldy #$00
	lda $21
	and #$7f
	tax 
	lda Lbl_98e4,x
	bne Lbl_98d1
	jsr Lbl_a2c8
	bcc Lbl_98d1
	bit a:$0070
	bvs Lbl_98d1
	bit $17
	bvs Lbl_98c9
	lda $45
	sta $61
	lda $46
	sta $62
	lda $48
	sta $63
	lda $49
	sta $64
	jsr Lbl_a4f6
	bcc Lbl_98c9
	lda $34
	ora #$80
	sta $34
	ldy #$00
	jmp Lbl_98d1

Lbl_98c9:
	lda $15
	ora #$04
	sta $15
	ldy #$12

Lbl_98d1:
	sty $1e
	cpy #$00
	bne Lbl_98dd
	lda $15
	and #$fb
	sta $15

Lbl_98dd:
	lda $16
	and #$f7
	sta $16

Lbl_98e3:
	rts 

Lbl_98e4:
	.byte $00,$00,$00,$00,$00,$01,$01,$01,$01,$01,$01,$01,$00,$01,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

Lbl_9900:
	lda $1e
	bmi Lbl_9929
	jsr Lbl_87f7
	lda #$01
	sta $32
	lda $15
	ora #$04
	sta $15
	lda $21
	and #$7f
	cmp #$04
	bne Lbl_9922
	lda $16
	ora #$02
	sta $16
	jmp Lbl_9926

Lbl_9922:
	lda #$00
	sta $38

Lbl_9926:
	jsr Lbl_a1e5

Lbl_9929:
	jsr Lbl_cc5c
	lda #$0e
	jsr Lbl_a254
	lda $16
	and #$02
	beq Lbl_993c
	jsr Lbl_a524
	beq Lbl_9944

Lbl_993c:
	inc $2f
	lda $2f
	cmp #$08
	bcc Lbl_9967

Lbl_9944:
	lda $16
	and #$fd
	sta $16
	lda $15
	and #$fb
	sta $15
	lda $1e
	and #$7f
	sta $21
	ldy #$00
	jsr Lbl_a2c8
	bcc Lbl_9965
	lda $15
	ora #$04
	sta $15
	ldy #$12

Lbl_9965:
	sty $1e

Lbl_9967:
	rts 

Lbl_9968:
	.byte $a5,$1e,$30,$25,$20,$f7,$87,$a9,$01,$85,$32,$a5,$15,$09,$04,$85
	.byte $15,$a5,$21,$29,$7f,$c9,$04,$d0,$09,$a5,$16,$09,$02,$85,$16,$4c
	.byte $8e,$99,$a9,$00,$85,$38,$20,$e5,$a1,$20,$5c,$cc,$a9,$0f,$20,$54
	.byte $a2,$a5,$16,$29,$02,$f0,$05,$20,$24,$a5,$f0,$08,$e6,$2f,$a5,$2f
	.byte $c9,$05,$90,$23,$a5,$16,$29,$fd,$85,$16,$a5,$15,$29,$fb,$85,$15
	.byte $a5,$1e,$29,$7f,$85,$21,$a0,$00,$20,$c8,$a2,$90,$08,$a5,$15,$09
	.byte $04,$85,$15,$a0,$12,$84,$1e,$60

Lbl_99d0:
	lda $1e
	bmi Lbl_9a18
	lda $16
	ora #$08
	sta $16
	lda $22
	asl a 
	tay 
	lda Lbl_9bd1,y
	sta $4d
	lda Lbl_9bd2,y
	sta $4e
	lda $37
	clc
	adc #$10
	and #$e0
	lsr a 
	lsr a 
	adc $4d
	sta $4d
	lda $4e
	adc #$00
	sta $4e
	ldy #$00

Lbl_99fd:
	lda ($4d),y
	sta a:$0039,y
	iny 
	cpy #$08
	bne Lbl_99fd
	lda #$00
	sta $38
	lda #$02
	sta $32
	lda $16
	ora #$01
	sta $16
	jsr Lbl_a1e5

Lbl_9a18:
	lda $4b
	sta $00
	jsr Lbl_cca4
	lda $22
	cmp #$04
	bcc Lbl_9a4b
	lda $3e
	bpl Lbl_9a3a
	lda $00
	cmp #$70
	bcc Lbl_9a4b
	lda $4b
	cmp #$70
	bcs Lbl_9a4b
	lda #$3e
	jsr Lbl_9a4b

Lbl_9a3a:
	lda $00
	cmp #$20
	bcs Lbl_9a4b
	lda $4b
	cmp #$20
	bcc Lbl_9a4b
	lda #$3d
	jsr Lbl_9a4b

Lbl_9a4b:
	lda $31
	bne Lbl_9a7d
	lda $2f
	beq Lbl_9a60
	cmp #$02
	bne Lbl_9a60
	inc $31
	lda $4b
	clc
	adc #$0c
	sta $4b

Lbl_9a60:
	lda $2e
	sec 
	sbc $d3
	bpl Lbl_9a6c
	eor #$ff
	clc
	adc #$01

Lbl_9a6c:
	ldx #$40
	cmp #$40
	bcc Lbl_9a74
	ldx #$00

Lbl_9a74:
	stx $2d
	lda #$10
	jsr Lbl_a254
	inc $2f

Lbl_9a7d:
	lda $22
	asl a 
	tay 
	lda Lbl_9a8e,y
	sta $4d
	lda Lbl_9a8f,y
	sta $4e
	jmp ($004d)

Lbl_9a8e:
	.byte $a6

Lbl_9a8f:
	.byte $9a,$a6,$9a,$a6,$9a,$a6,$9a,$a6,$9a,$a6,$9a,$a6,$9a,$a6,$9a,$c3
	.byte $9a,$a6,$9a,$ef,$9a,$c3,$9a

Lbl_9aa6:
	lda $4c
	bpl Lbl_9ac2
	lda #$00
	sta $4c
	sta $4b
	sta $4a
	lda $1e
	and #$7f
	sta $21
	lda $22
	and #$0f
	tay 
	lda Lbl_9bc0,y
	sta $1e

Lbl_9ac2:
	rts 

Lbl_9ac3:
	.byte $a5,$45,$38,$e5,$c3,$a5,$46,$e9,$01,$90,$0b,$a5,$c3,$85,$45,$a9
	.byte $00,$85,$46,$4c,$a6,$9a,$a5,$45,$38,$e5,$c3,$a5,$46,$e9,$00,$b0
	.byte $08,$a5,$c3,$85,$45,$a9,$01,$85,$46,$4c,$a6,$9a,$a5,$d3,$10,$18
	.byte $a5,$e1,$38,$e9,$0a,$85,$45,$a5,$e2,$e9,$00,$85,$46,$a5,$e4,$85
	.byte $48,$a5,$e5,$85,$49,$4c,$20,$9b,$a5,$e1,$18,$69,$0a,$85,$45,$a5
	.byte $e2,$69,$00,$85,$46,$a5,$e4,$85,$48,$a5,$e5,$85,$49,$a5,$c5,$29
	.byte $7f,$c9,$04,$f0,$1d,$a9,$01,$85,$22,$a9,$00,$85,$39,$85,$3a,$85
	.byte $3b,$85,$3c,$85,$3d,$85,$3e,$a9,$01,$85,$40,$a9,$00,$85,$3f,$4c
	.byte $a6,$9a,$a5,$e7,$38,$e9,$08,$85,$4b,$a5,$e8,$e9,$00,$85,$4c,$4c
	.byte $a6,$9a,$a5,$1e,$30,$3e,$a5,$22,$0a,$a8,$b9,$d1,$9b,$85,$4d,$b9
	.byte $d2,$9b,$85,$4e,$a5,$37,$18,$69,$10,$29,$e0,$4a,$4a,$65,$4d,$85
	.byte $4d,$a5,$4e,$69,$00,$85,$4e,$a0,$00,$b1,$4d,$99,$39,$00,$c8,$c0
	.byte $08,$d0,$f6,$a9,$00,$85,$38,$a9,$02,$85,$32,$a5,$16,$09,$01,$85
	.byte $16,$20,$e5,$a1,$20,$a4,$cc,$a5,$31,$d0,$11,$a5,$2f,$f0,$0d,$c9
	.byte $02,$d0,$09,$e6,$31,$a5,$4b,$18,$69,$0c,$85,$4b,$a5,$37,$18,$69
	.byte $80,$85,$37,$a9,$10,$20,$54,$a2,$e6,$2f,$4c,$52,$9b

Lbl_9bc0:
	.byte $13,$13,$13,$11,$11,$11,$11,$11,$11,$11,$11,$11,$11,$11,$11,$11
	.byte $11

Lbl_9bd1:
	.byte $e9

Lbl_9bd2:
	.byte $9b,$29,$9c,$69,$9c,$a9,$9c,$e9,$9c,$29,$9d,$69,$9d,$a9,$9d,$a9
	.byte $9d,$e9,$9d,$29,$9c,$29,$9e,$00,$00,$00,$01,$80,$03,$d0,$00,$00
	.byte $02,$66,$01,$80,$03,$d0,$00,$00,$02,$00,$00,$80,$03,$d0,$00,$00
	.byte $02,$9a,$fe,$80,$03,$d0,$00,$00,$00,$00,$ff,$80,$03,$d0,$00,$00
	.byte $fe,$9a,$fe,$80,$03,$d0,$00,$00,$fe,$00,$00,$80,$03,$d0,$00,$00
	.byte $fe,$66,$01,$80,$03,$d0,$00,$00,$00,$00,$02,$a2,$03,$d8,$00,$00
	.byte $04,$cc,$02,$a2,$03,$d8,$00,$00,$04,$00,$00,$a2,$03,$d8,$00,$00
	.byte $04,$34,$fd,$a2,$03,$d8,$00,$00,$00,$00,$fe,$a2,$03,$d8,$00,$00
	.byte $fc,$34,$fd,$a2,$03,$d8,$00,$00,$fc,$00,$00,$a2,$03,$d8,$00,$00
	.byte $fc,$cc,$02,$a2,$03,$d8,$00,$00,$00,$80,$02,$aa,$05,$f0,$00,$00
	.byte $05,$21,$04,$aa,$05,$f0,$00,$00,$05,$00,$00,$aa,$05,$f0,$00,$00
	.byte $05,$df,$fb,$aa,$05,$f0,$00,$00,$00,$40,$fe,$aa,$05,$f0,$00,$00
	.byte $fb,$df,$fb,$aa,$05,$f0,$00,$00,$fb,$00,$00,$aa,$05,$f0,$00,$00
	.byte $fb,$00,$fd,$aa,$05,$f0,$00,$00,$00,$00,$04,$d0,$07,$f4,$00,$10
	.byte $07,$99,$05,$d0,$07,$f4,$00,$10,$07,$00,$00,$d0,$07,$f4,$00,$10
	.byte $07,$67,$fa,$d0,$07,$f4,$00,$00,$00,$00,$fc,$d0,$07,$f4,$00,$f0
	.byte $f9,$67,$fa,$d0,$07,$f4,$00,$f0,$f9,$00,$00,$d0,$07,$f4,$00,$f0
	.byte $f9,$99,$05,$d0,$07,$f4,$00,$00,$00,$00,$05,$b0,$0c,$66,$01,$00
	.byte $0a,$00,$07,$b0,$0c,$66,$01,$00,$0a,$00,$00,$b0,$0c,$66,$01,$00
	.byte $0a,$00,$f9,$b0,$0c,$66,$01,$00,$00,$00,$fb,$b0,$0c,$66,$01,$00
	.byte $f6,$00,$f9,$b0,$0c,$66,$01,$00,$f6,$00,$00,$b0,$0c,$66,$01,$00
	.byte $f6,$00,$07,$b0,$0c,$66,$01,$00,$00,$00,$06,$ea,$0b,$14,$01,$00
	.byte $0c,$66,$08,$ea,$0b,$14,$01,$00,$0c,$00,$00,$ea,$0b,$14,$01,$00
	.byte $0c,$9a,$f7,$ea,$0b,$14,$01,$00,$00,$00,$fa,$ea,$0b,$14,$01,$00
	.byte $f4,$9a,$f7,$ea,$0b,$14,$01,$00,$f4,$00,$00,$ea,$0b,$14,$01,$00
	.byte $f4,$66,$08,$ea,$0b,$14,$01,$00,$00,$00,$08,$fa,$0a,$a0,$00,$00
	.byte $10,$33,$0b,$fa,$0a,$a0,$00,$00,$10,$00,$00,$fa,$0a,$a0,$00,$00
	.byte $10,$cd,$f4,$fa,$0a,$a0,$00,$00,$00,$00,$f8,$fa,$0a,$a0,$00,$00
	.byte $f0,$cd,$f4,$fa,$0a,$a0,$00,$00,$f0,$00,$08,$fa,$0a,$a0,$00,$00
	.byte $f0,$33,$0b,$fa,$0a,$a0,$00,$00,$00,$00,$08,$f6,$09,$78,$00,$00
	.byte $10,$33,$0b,$f6,$09,$78,$00,$00,$10,$00,$00,$f6,$09,$78,$00,$00
	.byte $10,$cd,$f4,$f6,$09,$78,$00,$00,$00,$00,$f8,$f6,$09,$78,$00,$00
	.byte $f0,$cd,$f4,$f6,$09,$78,$00,$00,$f0,$00,$00,$f6,$09,$78,$00,$00
	.byte $f0,$33,$0b,$f6,$09,$78,$00,$00,$00,$00,$0c,$00,$09,$00,$00,$00
	.byte $18,$cc,$10,$00,$09,$00,$00,$00,$18,$00,$00,$00,$09,$00,$00,$00
	.byte $18,$34,$ef,$00,$09,$00,$00,$00,$00,$00,$f4,$00,$09,$00,$00,$00
	.byte $e8,$34,$ef,$00,$09,$00,$00,$00,$e8,$00,$00,$00,$09,$00,$00,$00
	.byte $e8,$cc,$10,$00,$09,$00,$00,$00,$00,$00,$06,$80,$0d,$ff,$00,$00
	.byte $0c,$66,$08,$80,$0d,$ff,$00,$00,$0c,$00,$00,$80,$0d,$ff,$00,$00
	.byte $0c,$9a,$f7,$80,$0d,$ff,$00,$00,$00,$00,$fa,$80,$0d,$ff,$00,$00
	.byte $f4,$9a,$f7,$80,$0d,$ff,$00,$00,$f4,$00,$00,$80,$0d,$ff,$00,$00
	.byte $f4,$66,$08,$80,$0d,$ff,$00

Lbl_9e69:
	lda $1e
	bmi Lbl_9e92
	lda #$0a
	jsr sub_PlaySound	; play sound #$0a (rolling on ground?)
	jsr Lbl_87f7
	lda $15
	ora #$04
	sta $15
	jsr Lbl_a1e5
	lda #$03
	sta $32
	ldy #$06
	lda $17
	and #$07
	bne Lbl_9e8c
	ldy #$09

Lbl_9e8c:
	sty $2d
	lda #$10
	sta $38

Lbl_9e92:
	jsr Lbl_cc5c
	lda $46
	bne Lbl_9ea1
	lda $45
	cmp #$30
	bcc Lbl_9ecc
	bcs Lbl_9ea7

Lbl_9ea1:
	lda $45
	cmp #$d0
	bcs Lbl_9ecc

Lbl_9ea7:
	inc $2f
	lda $2f
	cmp #$02
	bcc Lbl_9eb5
	lda #$00
	sta $2f
	inc $31

Lbl_9eb5:
	lda $31
	cmp $32
	bne Lbl_9ebf
	lda #$00
	sta $31

Lbl_9ebf:
	lda #$11
	jsr Lbl_a254
	lda $2f
	bne Lbl_9ed6
	dec $2d
	bne Lbl_9ed6

Lbl_9ecc:
	lda $1e
	and #$7f
	sta $21
	lda #$13
	sta $1e

Lbl_9ed6:
	rts 

Lbl_9ed7:
	lda $16
	bmi Lbl_9f23
	jsr Lbl_87f7
	lda $1e
	bmi Lbl_9efa
	jsr Lbl_a1e5
	lda #$00
	sta $38
	lda $15
	ora #$04
	sta $15
	lda #$02
	sta $32
	ldx $19
	lda Lbl_9f2e,x
	sta $30

Lbl_9efa:
	inc $2f
	lda $2f
	cmp #$04
	bcc Lbl_9f08
	lda #$00
	sta $2f
	inc $31

Lbl_9f08:
	lda $31
	cmp $32
	bne Lbl_9f14
	lda #$00
	sta $31
	dec $30

Lbl_9f14:
	lda #$12
	jsr Lbl_a254
	lda $30
	bne Lbl_9f2d
	lda $1e
	and #$7f
	sta $21

Lbl_9f23:
	lda #$00
	sta $1e
	lda $15
	and #$fb
	sta $15

Lbl_9f2d:
	rts 

Lbl_9f2e:
	.byte $05,$05,$05,$05,$05,$04,$04,$04,$04,$04,$04,$04,$04,$03,$03,$03
	.byte $03,$03,$03,$03,$03,$03,$03,$03,$03,$02,$02,$02,$02,$02,$02,$02
	.byte $02,$02,$02,$02,$02,$02,$02,$02,$02,$01,$01,$01,$01,$01,$01,$01
	.byte $01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01
	.byte $01

Lbl_9f6f:
	lda $1e
	bmi Lbl_9fc6
	lda #$09
	jsr sub_PlaySound	; play sound #$09 (rough landing?)
	lda $19
	bne Lbl_9f8d
	bit $17
	bvs Lbl_9f8d
	lda #$15
	sta $1e
	lda $15
	ora #$06
	sta $15
	jmp Lbl_9ffd

Lbl_9f8d:
	ldy #$40
	lda $37
	bmi Lbl_9f95	; branch if minus
	ldy #$c0

Lbl_9f95:		; the "Iceland check"? or is there a better name?
	sty $2e
	jsr Lbl_87f7
	lda #$01
	sta $32
	lda $71			; current stage
	ldx #$00
	cmp #$03		; $03 = Iceland
	bne Lbl_9faf	; branch if cur stage != $03; otherwise, apply icy floor.
	lda $22
	and #$0f
	tax
	lda Lbl_9ffe,x
	tax

Lbl_9faf:
	stx $38
	jsr Lbl_a1e5
	lda #$10
	sta $30
	bit $70
	bvc Lbl_9fc0	; branch if overflow clear
	lda #$04
	sta $30

Lbl_9fc0:
	lda $15
	ora #$04
	sta $15

Lbl_9fc6:
	jsr Lbl_cc5c
	jsr Lbl_90bd
	lda #$13
	jsr Lbl_a254
	inc $2f
	lda $2f
	cmp $30
	bne Lbl_9ffd
	lda $19
	bne Lbl_9fed
	bit $17
	bvs Lbl_9fed
	lda #$15
	sta $1e
	lda $15
	ora #$06
	sta $15
	bne Lbl_9ffd

Lbl_9fed:
	lda $1e
	and #$7f
	sta $21
	lda #$0d
	sta $1e
	lda $16
	ora #$08
	sta $16

Lbl_9ffd:
	rts 

Lbl_9ffe:
	.byte $50,$50,$58,$58,$60,$60,$60,$60,$60,$a5,$1e,$30,$11,$20,$e5,$a1
	.byte $a9,$00,$85,$38,$a5,$16,$09,$08,$85,$16,$a9,$02,$85,$32,$a9,$14
	.byte $20,$04,$a2,$a5,$31,$f0,$20,$a5,$2d,$d0,$1c,$09,$01,$85,$2d,$a5
	.byte $16,$29,$7f,$85,$16,$a9,$80,$85,$d3,$a9,$02,$85,$c5,$a9,$00,$85
	.byte $ce,$a9,$00,$85,$d9,$85,$da,$a5,$31,$c5,$32,$f0,$08,$a9,$14,$20
	.byte $54,$a2,$4c,$63,$a0,$a5,$1e,$29,$7f,$85,$21,$a9,$00,$85,$1e,$a5
	.byte $16,$29,$f7,$85,$16,$60

Lbl_a064:
	lda $1e
	bmi Lbl_a08e
	lda #$0c
	jsr sub_PlaySound	; play sound #$0c (death sound)
	lda $41
	and #$07
	ora #$40
	sta $41
	lda #$02
	sta $32
	lda $15
	ora #$06
	sta $15
	lda #$00
	sta $3d
	lda #$02
	sta $3e
	lda #$00
	sta $38
	jsr Lbl_a1e5

Lbl_a08e:
	lda $4a
	clc
	adc $3d
	sta $4a
	lda $4b
	adc $3e
	sta $4b
	lda $4c
	adc #$00
	sta $4c
	lda #$00
	sta $39
	ldy #$01
	lda $2d
	and #$7f
	beq Lbl_a0af
	ldy #$ff

Lbl_a0af:
	sty $3a
	lda $39
	clc
	adc $44
	sta $44
	lda $3a
	php 
	adc $45
	sta $45
	lda $46
	adc #$00
	plp 
	bpl Lbl_a0c9
	clc
	adc #$ff

Lbl_a0c9:
	sta $46
	lda $2d
	bmi Lbl_a0e5
	lda $4b
	cmp #$10
	bcc Lbl_a0e5
	ldx #$00
	lda $17
	bpl Lbl_a0dc
	inx 

Lbl_a0dc:
	dec a:$0080,x
	bne Lbl_a0e1

Lbl_a0e1:
	lda #$80
	sta $2d

Lbl_a0e5:
	inc $30
	lda $30
	cmp #$10
	bcc Lbl_a0f7
	lda #$00
	sta $30
	lda $2d
	eor #$01
	sta $2d

Lbl_a0f7:
	inc $2f
	lda $2f
	cmp #$04
	bcc Lbl_a109
	lda #$00
	sta $2f
	lda $31
	eor #$01
	sta $31

Lbl_a109:
	lda #$15
	jsr Lbl_a254
	lda $48
	clc
	adc $4b
	lda $49
	adc $4c
	bmi Lbl_a121
	beq Lbl_a121
	lda $15
	and #$79
	sta $15

Lbl_a121:
	rts 

Lbl_a122:
	lda $1e
	bmi Lbl_a137
	lda $21
	cmp #$04
	beq Lbl_a130
	lda #$00
	sta $38

Lbl_a130:
	lda #$02
	sta $32
	jsr Lbl_a1e5

Lbl_a137:
	lda $38
	bne Lbl_a179
	lda #$16
	jsr Lbl_a204
	lda $31
	cmp $32
	bne Lbl_a14a
	lda #$00
	sta $31

Lbl_a14a:
	lda $16
	and #$02
	bne Lbl_a179
	bit $25
	bvs Lbl_a167
	lda $27
	cmp #$10
	bcc Lbl_a167
	ldy #$20
	lda $25
	bmi Lbl_a162
	ldy #$e0

Lbl_a162:
	sty $2e
	jmp Lbl_a16f

Lbl_a167:
	ldy #$60
	lda $25
	bmi Lbl_a16f
	ldy #$a0

Lbl_a16f:
	sty $2e
	lda #$16
	jsr Lbl_a254
	jmp Lbl_a188

Lbl_a179:
	lda $16
	ora #$02
	sta $16
	jsr Lbl_cc5c
	jsr Lbl_a544
	jsr Lbl_a508

Lbl_a188:
	rts 

Lbl_a189:
	lda $1e
	bmi Lbl_a19e
	lda #$02
	sta $32
	lda #$00
	sta $2e
	jsr Lbl_a1e5
	lda $15
	ora #$04
	sta $15

Lbl_a19e:
	lda #$17
	jsr Lbl_a204
	lda $31
	cmp $32
	bne Lbl_a1ad
	lda #$00
	sta $31

Lbl_a1ad:
	lda #$17
	jsr Lbl_a254
	rts 

Lbl_a1b3:
	.byte $00,$00,$00,$00,$00,$04,$80,$00

Lbl_a1bb:
	lda $1e
	bmi Lbl_a1d0
	lda #$02
	sta $32
	lda #$00
	sta $2e
	jsr Lbl_a1e5
	lda $15
	ora #$04
	sta $15

Lbl_a1d0:
	lda #$18
	jsr Lbl_a204
	lda $31
	cmp $32
	bne Lbl_a1df
	lda #$00
	sta $31

Lbl_a1df:
	lda #$18
	jsr Lbl_a254
	rts 

Lbl_a1e5:
	lda $1e
	ora #$80
	sta $1e
	lda #$00
	sta $2f
	sta $30
	sta $31
	lda $1e
	and #$7f
	cmp #$11
	beq Lbl_a1ff
	lda #$00
	sta $2d

Lbl_a1ff:
	lda #$ff
	sta $2f
	rts 

Lbl_a204:
	pha 
	asl a 
	asl a 
	tax 
	bit $2d
	bvc Lbl_a20e
	inx 
	inx 

Lbl_a20e:
	lda Lbl_840b,x
	sta $00
	lda Lbl_840c,x
	sta $01
	lda $32
	sec 
	sbc #$01
	sta $04
	lda $2e
	clc
	adc #$10
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	sta $02
	sta $05
	ldy $04
	beq Lbl_a23c

Lbl_a231:
	lda $05
	clc
	adc $02
	sta $05
	dec $04
	bne Lbl_a231

Lbl_a23c:
	clc
	adc $31
	tay 
	lda ($00),y
	sta $02
	inc $2f
	lda $2f
	cmp $02
	bcc Lbl_a252
	lda #$00
	sta $2f
	inc $31

Lbl_a252:
	pla 
	rts 

Lbl_a254:
	pha
	asl a 
	asl a 
	tax
	bit $2d
	bvc Lbl_a25e	; branch if overflow clear
	inx
	inx

Lbl_a25e:
	lda Lbl_8197,x
	sta $00
	lda Lbl_8198,x
	sta $01
	lda $32
	sec				; set carry
	sbc #$01
	sta $04
	ldy $2e
	lda $1e
	and #$7f
	cmp #$10
	bne Lbl_a27b	; branch if not equal
	ldy $37

Lbl_a27b:
	tya
	clc
	adc #$10
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	sta $02
	sta $05
	ldy $04
	beq Lbl_a297

Lbl_a28c:
	lda $05
	clc
	adc $02
	sta $05
	dec $04
	bne Lbl_a28c

Lbl_a297:
	clc
	adc $31
	tay 
	lda ($00),y
	sta $00
	ldy $37
	lda $1e
	and #$7f
	cmp #$10
	beq Lbl_a2ab
	ldy $2e

Lbl_a2ab:
	tya
	clc
	adc #$10
	and #$e0
	beq Lbl_a2b7
	cmp #$80
	bne Lbl_a2c2

Lbl_a2b7:
	lda $42
	and #$80
	ora $00
	sta $42
	jmp Lbl_a2c6

Lbl_a2c2:
	lda $00
	sta $42

Lbl_a2c6:
	pla 
	rts 

Lbl_a2c8:
	bit $17
	bvs Lbl_a2d4
	lda $19
	cmp #$10
	bcs Lbl_a2d4
	sec 
	rts 

Lbl_a2d4:
	clc
	rts 

Lbl_a2d6:
	lda $2f
	bne Lbl_a326	; branch if not equal
	lda $17
	and #$20
	bne Lbl_a2fa	; branch if not equal
	lda $cd			; load shot type
	cmp #$16
	bcc Lbl_a2ea	; branch if carry clear (shot not >= #$16)
	lda #$01
	sta $cd			; set shot type = #$01 (shot)

Lbl_a2ea:
	ldy $21
	lda $cd			; load shot type
	asl a
	asl a
	clc				; clear carry
	adc Lbl_a34f,y
	tay
	lda Lbl_a36a,y	; use shifted shot type as index into Lbl_a36a
	sta $cd			; set shot type

Lbl_a2fa:
	lda $16
	bpl Lbl_a326
	lda $2d
	bmi Lbl_a326
	ora #$80
	sta $2d
	ldy #$03
	lda $1e
	and #$7f
	cmp #$0a
	beq Lbl_a312
	ldy #$04

Lbl_a312:
	sty $c5
	ldy $cd			; load shot type
	beq Lbl_a327	; branch if equal
	lda Lbl_a339,y	; otherwise use shot type as index into Lbl_a339

Lbl_a31b:
	jsr sub_PlaySound	; play a song/sound effect
	jsr Lbl_e750
	lda $ce			; shot power
	sta $0181		; store shot power at $0181

Lbl_a326:
	rts 

Lbl_a327:
	lda $17
	and #$07
	tay 
	lda Lbl_a332,y
	jmp Lbl_a31b

Lbl_a332:
	.byte $33,$30,$36,$32,$35,$34,$31

Lbl_a339:
	.byte $01,$01,$01,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f
	.byte $03,$03,$3f,$3f,$3f,$3f

Lbl_a34f:
	.byte $00,$00,$00,$00,$01,$02,$02,$02,$03,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$01

Lbl_a36a:
	.byte $00,$00,$00,$00,$01,$01,$01,$01,$02,$02,$02,$02,$01,$01,$01,$03
	.byte $01,$01,$01,$04,$01,$05,$01,$01,$01,$06,$01,$01,$01,$07,$01,$01
	.byte $01,$01,$01,$08,$01,$09,$01,$01,$01,$0a,$01,$01,$01,$01,$01,$0b
	.byte $01,$01,$01,$0c,$01,$0d,$01,$01,$01,$01,$01,$0e,$01,$01,$01,$0f
	.byte $01,$01,$10,$01,$01,$01,$01,$01,$01,$12,$01,$01,$01,$13,$01,$01
	.byte $01,$01,$01,$14,$01,$01,$01,$15,$08,$a4,$02,$a4,$12,$a4,$0c,$a4
	.byte $1c,$a4,$16,$a4,$26,$a4,$20,$a4

Lbl_a3d2:
	.byte $38

Lbl_a3d3:
	.byte $00

Lbl_a3d4:
	.byte $c8

Lbl_a3d5:
	.byte $01,$38,$00,$c8,$01

Lbl_a3da:
	.byte $5b

Lbl_a3db:
	.byte $00

Lbl_a3dc:
	.byte $08

Lbl_a3dd:
	.byte $00,$5b,$00,$08,$00

Lbl_a3e2:
	bit $70
	bvs Lbl_a3e9	; branch if overflow set
	jmp Lbl_a4a6

Lbl_a3e9:
	lda $37
	beq Lbl_a408
	cmp #$40
	bcc Lbl_a402
	beq Lbl_a412
	cmp #$80
	bcc Lbl_a40c
	beq Lbl_a41c
	cmp #$c0
	bcc Lbl_a416
	beq Lbl_a426
	jmp Lbl_a420

Lbl_a402:
	jsr Lbl_a44d
	bcc Lbl_a408
	rts 

Lbl_a408:
	jsr Lbl_a46e
	rts 

Lbl_a40c:
	jsr Lbl_a48a
	bcc Lbl_a412
	rts 

Lbl_a412:
	jsr Lbl_a44d
	rts 

Lbl_a416:
	jsr Lbl_a42a
	bcc Lbl_a41c
	rts 

Lbl_a41c:
	jsr Lbl_a48a
	rts 

Lbl_a420:
	jsr Lbl_a46e
	bcc Lbl_a426
	rts 

Lbl_a426:
	jsr Lbl_a42a
	rts 

Lbl_a42a:
	ldx #$00
	sec 
	lda $46
	bmi Lbl_a43e
	lda Lbl_a3d2,x
	sec 
	sbc a:$0045
	lda Lbl_a3d3,x
	sbc a:$0046

Lbl_a43e:
	bcc Lbl_a44c
	php 
	lda Lbl_a3d2,x
	sta $45
	lda Lbl_a3d3,x
	sta $46
	plp 

Lbl_a44c:
	rts 

Lbl_a44d:
	ldx #$00
	clc
	lda $46
	bmi Lbl_a45f
	lda $45
	sec 
	sbc Lbl_a3d4,x
	lda $46
	sbc Lbl_a3d5,x

Lbl_a45f:
	bcc Lbl_a46d
	php 
	lda Lbl_a3d4,x
	sta $45
	lda Lbl_a3d5,x
	sta $46
	plp 

Lbl_a46d:
	rts 

Lbl_a46e:
	ldx #$00
	clc
	lda $49
	bmi Lbl_a47b
	lda $48
	sec 
	sbc Lbl_a3da,x

Lbl_a47b:
	bcc Lbl_a489
	php 
	lda Lbl_a3da,x
	sta $48
	lda Lbl_a3db,x
	sta $49
	plp 

Lbl_a489:
	rts 

Lbl_a48a:
	ldx #$00
	sec 
	lda $49
	bmi Lbl_a497
	lda Lbl_a3dc,x
	sec 
	sbc $48

Lbl_a497:
	bcc Lbl_a4a5
	php 
	lda Lbl_a3dc,x
	sta $48
	lda Lbl_a3dd,x
	sta $49
	plp 

Lbl_a4a5:
	rts 

Lbl_a4a6:
	lda $37
	clc
	adc #$10
	and #$e0
	lsr a 
	lsr a 
	sta $00
	lda $31
	asl a 
	clc
	adc $00
	tax 
	lda Lbl_a588,x
	pha 
	clc
	adc $45
	sta $61
	lda $46
	adc #$00
	sta $62
	pla 
	bpl Lbl_a4d1
	lda $62
	clc
	adc #$ff
	sta $62

Lbl_a4d1:
	lda Lbl_a589,x
	pha 
	clc
	adc $48
	sta $63
	lda $49
	adc #$00
	sta $64
	pla 
	bpl Lbl_a4ea
	lda $64
	clc
	adc #$ff
	sta $64

Lbl_a4ea:
	bit $17
	bvc Lbl_a4f6
	lda $1b
	and #$7f
	cmp #$1e
	bne Lbl_a504

Lbl_a4f6:
	jsr Lbl_cb89
	sta $00
	ldx $18
	lda $00
	cmp Lbl_a57c,x
	bne Lbl_a506

Lbl_a504:
	clc
	rts 

Lbl_a506:
	sec 
	rts 

Lbl_a508:
	lda #$00
	sta $2f
	ldy #$03
	lda $17
	and #$03
	cmp #$03
	bne Lbl_a518
	ldy #$00

Lbl_a518:
	sty $31
	lda #$04
	sta $32
	lda #$01
	jsr Lbl_a254
	rts 

Lbl_a524:
	ldy #$0d
	lda $79			; current song
	cmp #$03
	beq Lbl_a52e	; branch if current song == #$03
	ldy #$26

Lbl_a52e:
	sty $00
	lda $38
	sec 
	sbc $00
	bpl Lbl_a539
	lda #$00

Lbl_a539:
	sta $38
	php 
	bne Lbl_a542
	lda #$00
	sta $31

Lbl_a542:
	plp 
	rts 

Lbl_a544:
	ldy #$0d
	lda $79			; current song
	cmp #$03
	beq Lbl_a54e	; branch if current song == #$03
	ldy #$26

Lbl_a54e:
	sty $00
	lda $38
	sec 
	sbc $00
	bpl Lbl_a559
	lda #$00

Lbl_a559:
	sta $38
	php 
	bne Lbl_a57a
	lda #$00
	sta $31
	lda $34
	bpl Lbl_a57a
	and #$7f
	sta $34
	lda $1e
	and #$7f
	sta $21
	lda #$12
	sta $1e
	lda $15
	ora #$04
	sta $15

Lbl_a57a:
	plp 
	rts 

Lbl_a57c:
	.byte $00,$01,$02,$03,$04,$05,$06,$07,$06,$07,$06,$07

Lbl_a588:
	.byte $00

Lbl_a589:
	.byte $08,$00,$08,$00,$08,$00,$08,$08,$06,$08,$06,$08,$06,$08,$06,$08
	.byte $00,$08,$00,$08,$00,$08,$00,$08,$fa,$08,$fa,$08,$fa,$08,$fa,$00
	.byte $f8,$00,$f8,$00,$f8,$00,$f8,$fa,$fa,$fa,$fa,$fa,$fa,$fa,$fa,$f8
	.byte $00,$f8,$00,$f8,$00,$f8,$00,$f8,$06,$f8,$06,$f8,$06,$f8,$06,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00

Lbl_a800:
	.byte $12

Lbl_a801:
	.byte $a8,$24,$a8,$36,$a8,$48,$a8,$5a,$a8,$6c,$a8,$7e,$a8,$90,$a8,$a2
	.byte $a8,$a7,$2c,$20,$a4,$a1,$20,$ad,$ab,$20,$ae,$a5,$20,$c3,$c9,$40
	.byte $a2,$a8,$20,$13,$95,$10,$8d,$8c,$00,$82,$89,$00,$e6,$e8,$60,$b7
	.byte $b0,$30,$94,$9f,$10,$ce,$4b,$40,$b3,$b0,$30,$b7,$bf,$30,$b2,$bc
	.byte $30,$dd,$d1,$50,$ca,$c5,$40,$22,$af,$20,$ae,$a1,$20,$aa,$ab,$20
	.byte $a7,$a5,$20,$b6,$b9,$30,$a4,$a8,$20,$26,$a1,$20,$aa,$ac,$20,$94
	.byte $99,$10,$ae,$a8,$20,$c2,$c0,$40,$a3,$af,$20,$34,$b0,$30,$b2,$b5
	.byte $30,$b6,$bf,$30,$b3,$bc,$30,$ca,$c1,$40,$b7,$bb,$30,$ad,$28,$20
	.byte $93,$9b,$10,$96,$95,$10,$ae,$a0,$20,$ca,$c9,$40,$a7,$a1,$20,$2a
	.byte $a0,$20,$a7,$a9,$20,$a3,$a8,$20,$a2,$a1,$20,$cd,$cf,$40,$a6,$ac
	.byte $20,$ad,$29,$20,$a6,$a0,$20,$aa,$af,$20,$ae,$ac,$20,$b2,$bb,$30
	.byte $a4,$a5,$20,$26,$a9,$26,$a9,$26,$a9,$2f,$a9,$2f,$a9,$2f,$a9,$38
	.byte $a9,$38,$a9,$38,$a9,$38,$a9,$38,$a9,$38,$a9,$38,$a9,$38,$a9,$38
	.byte $a9,$41,$a9,$41,$a9,$41,$a9,$4a,$a9,$5c,$a9,$5c,$a9,$4a,$a9,$5c
	.byte $a9,$5c,$a9,$4a,$a9,$5c,$a9,$5c,$a9,$4a,$a9,$5c,$a9,$5c,$a9,$53
	.byte $a9,$65,$a9,$65,$a9,$53,$a9,$65,$a9,$65,$a9

Lbl_a8fc:		; based on shifted difficulty level plus some value at $58
	.byte $b2

Lbl_a8fd:
	.byte $a9,$92,$a9,$92,$a9,$b2,$a9,$92,$a9,$92,$a9,$b2,$a9,$92,$a9,$92
	.byte $a9,$d2,$a9,$f2,$a9,$f2,$a9,$d2,$a9,$f2,$a9,$f2,$a9,$d2,$a9,$f2
	.byte $a9,$f2,$a9,$32,$aa,$12,$aa,$12,$aa,$80,$80,$80,$80,$10,$10,$80
	.byte $80,$80,$80,$80,$80,$10,$10,$10,$80,$80,$80,$80,$80,$10,$10,$10
	.byte $10,$80,$80,$80,$80,$80,$10,$10,$10,$10,$80,$11,$11,$01,$01,$02
	.byte $02,$02,$02,$02,$80,$80,$01,$01,$02,$02,$02,$02,$02,$10,$10,$80
	.byte $01,$02,$02,$02,$02,$80,$80,$80,$80,$01,$02,$02,$02,$02,$80,$10
	.byte $10,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$01,$01,$01
	.byte $02,$02,$02,$02,$02,$02,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$01,$01,$01,$01,$02,$02
	.byte $02,$02,$02,$02,$02,$02,$02,$80,$80,$80,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$01,$01,$01,$01,$02,$02
	.byte $02,$02,$02,$02,$02,$02,$02,$10,$10,$10,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80,$01,$01,$01
	.byte $02,$02,$02,$02,$02,$02,$80,$10,$10,$10,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80,$80,$80,$80,$80,$15,$15,$15,$15,$80,$80,$80
	.byte $02,$02,$02,$02,$02,$02,$80,$80,$80,$80,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80,$80,$80,$80,$80,$15,$15,$15,$15,$80,$02,$02
	.byte $02,$02,$02,$02,$02,$02,$02,$80,$80,$80,$80,$80,$80,$80,$80,$80
	.byte $80,$80,$80,$80,$80

Lbl_aa52:
	.byte $02,$02,$04,$02,$02,$02,$00,$00,$01,$01,$03,$02,$01,$00,$00,$00
	.byte $01,$01,$03,$02,$01,$01,$00,$00,$01,$01,$02,$01,$01,$01,$00,$00
	.byte $02,$02,$04,$02,$01,$01,$00,$00,$04,$04,$05,$04,$04,$04,$00,$00
	.byte $02,$02,$04,$03,$02,$02,$00,$00,$03,$03,$05,$03,$02,$02,$00,$00
	.byte $03,$03,$04,$03,$03,$03,$00,$00

Lbl_aa9a:
	.byte $a6

Lbl_aa9b:
	.byte $aa,$b6,$aa,$c6,$aa,$d6,$aa,$e6,$aa,$f6,$aa,$05,$05,$04,$04,$03
	.byte $03,$03,$03,$08,$08,$07,$07,$06,$06,$06,$06,$06,$05,$05,$04,$04
	.byte $03,$03,$03,$09,$08,$08,$07,$07,$06,$06,$06,$06,$06,$05,$05,$04
	.byte $04,$03,$03,$09,$09,$08,$08,$07,$07,$06,$06,$06,$06,$06,$05,$05
	.byte $04,$04,$03,$09,$09,$09,$08,$08,$07,$07,$06,$06,$06,$06,$06,$05
	.byte $05,$04,$04,$09,$09,$09,$09,$08,$08,$07,$07,$06,$06,$06,$06,$06
	.byte $05,$05,$04,$09,$09,$09,$09,$09,$08,$08,$07,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$e8,$1c,$a8,$1a,$08,$1d,$28,$1d,$08,$1d,$48
	.byte $1d,$08,$1d,$68,$1d,$08,$1d,$88,$1d,$a8,$1d,$c8,$1d,$e8,$1d,$08
	.byte $1e,$28,$1e,$48,$1e,$68,$1e,$88,$1e,$a8,$1e,$c8,$1e,$e8,$1e,$08
	.byte $1f,$a8,$1b,$c8,$1b,$e8,$1b,$08,$1c,$28,$1c,$48,$1c,$28,$1c,$68
	.byte $1c,$28,$1c,$88,$1c,$a8,$1c,$c8,$1c,$48,$1b,$28,$1f,$a8,$1a,$a8
	.byte $1a,$c8,$1a,$e8,$1a,$08,$1b,$28,$1b,$28,$1b,$c8,$1a,$68,$1f,$88
	.byte $1f,$28,$1b,$28,$1b,$c8,$1a,$68,$1b,$88,$1b,$28,$1b,$28,$1b

Lbl_b86a:
	.byte $00

Lbl_b86b:
	.byte $20,$40,$20,$80,$20,$c0,$20,$00,$21,$40,$21,$80,$21,$c0,$21,$00
	.byte $22,$40,$22,$80,$22,$c0,$22,$00,$23,$40,$23,$80,$23,$c0,$23,$00
	.byte $24,$40,$24,$80,$24,$c0,$24,$00,$25,$40,$25,$80,$25,$c0,$25,$00
	.byte $26,$40,$26,$80,$26,$c0,$26,$00,$27,$40,$27,$80,$27,$c0,$27

Lbl_b8aa:
	inc $60
	lda #$00

Lbl_b8ae:
	pha 
	asl a 
	asl a 
	tay 
	lda #$f8
	clc
	adc $0200,y
	sta $0200,y
	pla 
	clc
	adc #$01
	cmp #$21
	bcc Lbl_b8ae
	lda #$01
	jsr Lbl_bd6a
	lda #$11
	jsr Lbl_bca0
	lda #$05
	jsr Lbl_bd2b
	lda #$3e
	jsr Lbl_bd6a
	lda #$00
	sta $2001		; set blank PPUMASK
	lda #$1f
	jsr MMC1_SetCHRBank1_b1		; set CHR bank 1
	lda #$19
	jsr Lbl_d217
	lda #$18
	jsr Lbl_d217
	lda #$18
	jsr MMC1_SetCHRBank1_b1		; set CHR bank 1
	; set PPUADDR to $2400
	lda #$24
	sta $2006		; PPUADDR
	lda #$00
	sta $2006		; PPUADDR
	lda #$00
	ldy #$20

Lbl_b8fe:
	ldx #$20

Lbl_b900:
	sta $2007		; PPUDATA
	dex 
	bne Lbl_b900
	dey 
	bne Lbl_b8fe
	lda #$01
	jsr Lbl_bd6a
	lda #$1e		; 00011110: show bg & spr; show bg & spr in leftmost 8px
	sta $2001		; set PPUMASK
	lda #$2c
	jsr sub_PlaySound	; play song #$2c (credits music)
	ldy #$12
	lda #$00

Lbl_b91c:
	sta a:$004d,y
	dey 
	bpl Lbl_b91c
	ldy #$10

Lbl_b924:
	sta a:$0000,y
	dey 
	bpl Lbl_b924
	lda #$02
	jsr Lbl_bb56
	lda #$80
	jsr Lbl_bd6a
	lda #$00
	sta $017a
	lda #$b8
	sta $017b
	lda #$01
	jsr Lbl_bd6a
	lda $4d
	ldx #$18
	jsr Lbl_ba80
	lda #$01
	jsr Lbl_bd6a
	lda #$00
	ldx #$18
	jsr Lbl_bacc
	lda #$01
	jsr Lbl_bd6a
	lda $4d
	ldx #$18
	jsr Lbl_ba80
	lda #$01
	jsr Lbl_bd6a
	lda #$01
	ldx #$18
	jsr Lbl_bacc
	lda #$00
	jsr Lbl_bb56
	lda #$a6
	jsr Lbl_bd6a
	lda #$01
	jsr Lbl_bb56

Lbl_b97d:
	lda #$01
	jsr Lbl_bd6a
	lda $4d
	ldx #$18
	jsr Lbl_ba80
	lda #$01
	jsr Lbl_bd6a
	lda #$00
	ldx #$18
	jsr Lbl_bacc
	lda #$01
	jsr Lbl_bd6a
	lda $4d
	ldx #$18
	jsr Lbl_ba80
	lda #$01
	jsr Lbl_bd6a
	lda #$01
	ldx #$18
	jsr Lbl_bacc
	lda $4d
	cmp #$26
	bcs Lbl_b9c2
	lda #$00
	jsr Lbl_bb56
	lda #$a0
	jsr Lbl_bd6a
	lda #$01
	jsr Lbl_bb56

Lbl_b9c2:
	lda $4d
	cmp #$26
	bne Lbl_b97d
	lda #$03
	jsr Lbl_bb56
	lda #$4c
	sta $017a
	lda #$b8
	sta $017b
	lda #$00

Lbl_b9d9:
	pha 
	lda #$01
	jsr Lbl_bd6a
	pla 
	pha 
	asl a 
	tay 
	lda Lbl_b86b,y
	sta $2006		; PPUADDR
	lda Lbl_b86a,y
	sta $2006		; PPUADDR
	lda #$00
	ldy #$40

Lbl_b9f3:
	sta $2007		; PPUDATA
	dey 
	bne Lbl_b9f3
	jsr Lbl_bf1d
	pla 
	clc
	adc #$01
	cmp #$21
	bne Lbl_b9d9
	inc $60
	ldy #$00
	lda #$00

Lbl_ba0a:
	sta $0200,y
	iny 
	bne Lbl_ba0a
	lda #$00
	sta $4d

Lbl_ba14:
	lda #$01
	jsr Lbl_bd6a
	lda $4d
	ldx #$0b
	jsr Lbl_ba80
	lda #$01
	jsr Lbl_bd6a
	lda $4d

Lbl_ba27:
	cmp #$06
	bcc Lbl_ba31
	sec 
	sbc #$05
	jmp Lbl_ba27

Lbl_ba31:
	clc
	adc #$01
	ldx #$0b
	jsr Lbl_bacc
	lda $4d
	cmp #$05
	beq Lbl_ba4a
	cmp #$0a
	beq Lbl_ba4a
	cmp #$0f
	beq Lbl_ba4a
	jmp Lbl_ba14

Lbl_ba4a:
	lda #$04
	jsr Lbl_bb56
	lda $4d
	cmp #$0f
	beq Lbl_ba65
	lda #$a0
	jsr Lbl_bd6a
	lda #$05
	jsr Lbl_bb56
	lda $4d
	cmp #$0f
	bne Lbl_ba14

Lbl_ba65:
	lda #$01
	jsr Lbl_bd6a
	jsr Lbl_fd5d
	lda $f5			; player 1 trigger input
	ora $f6			; player 2 trigger input
	cmp #$00
	beq Lbl_ba65
	lda #$05
	jsr Lbl_bb56
	lda #$20
	jsr Lbl_bd6a
	rts 

Lbl_ba80:
	pha 
	lda #$1f
	jsr MMC1_SetCHRBank1_b1		; set CHR bank 1
	pla 
	asl a 
	tay 
	lda $017a
	sta $02
	lda $017b
	sta $03
	iny 
	lda ($02),y
	sta $2006		; PPUADDR
	dey 
	lda ($02),y
	inc $4d
	sta $2006		; PPUADDR
	ldy #$00
	lda $ff			; load game PPU control
	and #$fb		; mask: b11111011 (mask out vram increment)
	sta $ff			; set game PPU control
	sta $2000		; set PPUCTRL

Lbl_baac:
	lda $2007		; PPUDATA
	sta $0108,y
	iny 
	cpy #$21
	bne Lbl_baac
	txa 
	jsr MMC1_SetCHRBank1_b1		; set CHR bank 1
	rts 

Lbl_babc:		; ppu address table
	.byte $e0

Lbl_babd:		; ppu address table
	.byte $22,$40,$23,$a0,$21,$c0,$21,$e0,$21,$c0,$23,$e0,$23,$20,$23

Lbl_bacc:
	pha
	lda #$1f
	jsr MMC1_SetCHRBank1_b1		; set CHR bank 1
	pla
	asl a
	tay
	lda Lbl_babd,y	; use left shifted A as index into Lbl_babd
	sta $2006		; PPUADDR
	lda Lbl_babc,y	; use left shifted A as index into Lbl_babc
	sta $2006		; PPUADDR
	ldy #$00
	lda $ff			; load game PPU control
	and #$fb		; mask: b11111011 (mask out vram increment)
	sta $ff			; set game PPU control
	sta $2000		; set PPUCTRL

Lbl_baec:
	lda $0109,y
	sta $2007		; PPUDATA
	iny
	cpy #$20		; needs to loop #$20 times
	bne Lbl_baec	; branch if not equal
	txa
	jsr MMC1_SetCHRBank1_b1		; set CHR bank 1
	rts

Lbl_bafc:
	.byte $08

Lbl_bafd:
	.byte $bb,$0e,$bb,$14,$bb,$1a,$bb,$20,$bb,$26,$bb,$09,$09,$08,$07,$06
	.byte $05,$05,$06,$07,$08,$09,$09,$11,$00,$01,$02,$03,$04,$04,$03,$02
	.byte $01,$00,$11,$0c,$0c,$0d,$0e,$0f,$10,$10,$0f,$0e,$0d,$0c,$0c

Lbl_bb2c:
	.byte $38

Lbl_bb2d:
	.byte $bb,$3e,$bb,$44,$bb,$4a,$bb,$50,$bb,$50,$bb,$04,$04,$04,$04,$04
	.byte $04,$04,$04,$04,$04,$04,$04,$05,$00,$01,$02,$03,$04,$04,$03,$02
	.byte $01,$00,$05,$05,$05,$05,$05,$05,$05

Lbl_bb56:
	asl a 
	tay 
	lda Lbl_bafc,y
	sta $53
	lda Lbl_bafd,y
	sta $54
	lda Lbl_bb2c,y
	sta $55
	lda Lbl_bb2d,y
	sta $56
	lda #$00
	sta $4e

Lbl_bb70:
	lda #$04
	jsr Lbl_bd6a
	ldy $4e
	lda ($53),y
	jsr Lbl_bca0
	ldy $4e
	lda ($55),y
	jsr Lbl_bd2b
	inc $4e
	lda #$06
	cmp $4e
	bne Lbl_bb70
	rts 

Lbl_bb8c:
	.byte $b0

Lbl_bb8d:		; ending palettes are somewhere in here
	.byte $bb,$c0,$bb,$d0,$bb,$e0,$bb,$f0,$bb,$00,$bc,$10,$bc,$20,$bc,$30
	.byte $bc,$40,$bc,$50,$bc,$60,$bc,$70,$bc,$74,$bc,$78,$bc,$7c,$bc,$80
	.byte $bc,$90,$bc,$0f,$0f,$0f,$0f,$0f,$08,$0f,$0f,$0f,$08,$0f,$0f,$0f
	.byte $0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$18,$08,$0f,$0f,$18,$0f,$0f,$0f
	.byte $08,$08,$0f,$0f,$0f,$0f,$0f,$0f,$28,$18,$08,$0f,$28,$0f,$0f,$0f
	.byte $18,$18,$08,$0f,$0f,$0f,$0f,$0f,$38,$28,$18,$0f,$38,$0f,$0f,$0f
	.byte $28,$28,$18,$0f,$0f,$0f,$0f,$0f,$38,$28,$18,$0f,$38,$0f,$0f,$0f
	.byte $28,$28,$18
	.byte $08,$30,$11,$0f
	.byte $08,$38,$28,$18
	.byte $08,$38,$0f,$0f
	.byte $08,$28,$28,$18
	.byte $08,$21,$01,$0f
	.byte $08,$38,$28,$18
	.byte $08,$38,$0f,$0f
	.byte $08,$28,$28,$18
	.byte $08,$12,$0f,$0f
	.byte $08,$38,$28,$18
	.byte $08,$38,$0f,$0f
	.byte $08,$28,$28,$18
	.byte $08,$02,$0f,$0f,$08,$38,$28,$18,$08,$38,$0f,$0f,$08
	.byte $28,$28,$18,$08,$0f,$0f,$0f,$08,$38,$28,$18,$08,$38,$0f,$0f,$08
	.byte $28,$28,$18,$30,$10,$24,$04,$30,$14,$30,$0f,$30,$14,$24,$04,$30
	.byte $33,$14,$00,$0f,$28,$16,$06,$0f,$30,$33,$11,$0f,$33,$16,$06,$0f
	.byte $30,$10,$28,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f
	.byte $0f,$0f,$0f,$0f,$02,$0f,$0f,$0f,$12,$0f,$0f,$0f,$21,$0f,$0f,$0f
	.byte $30,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f
	.byte $0f,$0f,$0f

Lbl_bca0:
	asl a 
	tay 
	lda Lbl_bb8c,y
	sta $51
	lda Lbl_bb8d,y
	sta $52
	lda #$3f
	sta $2006		; PPUADDR
	lda #$00
	sta $2006		; PPUADDR = $3F00 (BG palettes)
	lda $ff			; load game PPU control
	and #$fb		; mask: b11111011 (mask out vram increment)
	sta $ff			; set game PPU control
	sta $2000		; set PPUCTRL
	ldy #$00

Lbl_bcc1:
	lda ($51),y
	sta $2007		; PPUDATA
	iny 
	cpy #$10
	bne Lbl_bcc1
	lda #$3f
	sta $2006		; PPUADDR
	lda #$00
	sta $2006		; PPUADDR
	sta $2006		; PPUADDR
	sta $2006		; PPUADDR
	jsr Lbl_bf1d
	rts 

Lbl_bcdf:
	.byte $eb

Lbl_bce0:
	.byte $bc,$f3,$bc,$fb,$bc,$03,$bd,$0b,$bd,$1b,$bd,$0f,$0f,$08,$0f,$0f
	.byte $0f,$08,$0f,$0f,$0f,$18,$08,$0f,$0f,$18,$08,$0f,$0f,$28,$18,$0f
	.byte $0f,$28,$18,$0f,$08,$37,$28,$0f,$08,$37,$28,$08,$08,$37,$28,$08
	.byte $08,$37,$28,$08,$08,$37,$28,$08,$08,$37,$28,$0f,$0f,$0f,$0f,$0f
	.byte $0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f

Lbl_bd2b:
	asl a 
	tay 
	lda Lbl_bcdf,y
	sta $51
	lda Lbl_bce0,y
	sta $52
	lda #$3f
	sta $2006		; PPUADDR
	lda #$10
	sta $2006		; PPUADDR
	lda $ff			; load game PPU control
	and #$fb		; mask: b11111011 (mask out vram increment)
	sta $ff			; set game PPU control
	sta $2000		; set PPUCTRL
	ldy #$00

Lbl_bd4c:
	lda ($51),y
	sta $2007		; PPUDATA
	iny 
	cpy #$10
	bne Lbl_bd4c
	lda #$3f
	sta $2006		; PPUADDR
	lda #$00
	sta $2006		; PPUADDR
	sta $2006		; PPUADDR
	sta $2006		; PPUADDR
	jsr Lbl_bf1d
	rts 

Lbl_bd6a:
	pha 
	jsr Lbl_fa00
	jsr Lbl_fca0
	jsr Lbl_fe8a
	jsr sub_UpdateOAM	; update OAM
	jsr Lbl_bf1d
	pla 
	sec 
	sbc #$01
	bne Lbl_bd6a
	rts 

; MMC1_SetCHRBank1_b1
; Sets the value of CHR bank 1. (see also: bank 7's version)
MMC1_SetCHRBank1_b1:		; MMC1 change CHR bank 1
	sta $DFFF
	lsr a 
	sta $DFFF
	lsr a 
	sta $DFFF
	lsr a 
	sta $DFFF
	lsr a 
	sta $DFFF
	jsr Lbl_bf1d
	rts
;-- end subroutine --;

; MMC1_SetCHRBank0_b1
; Sets the value of CHR bank 0. (see also: bank 7's version)
MMC1_SetCHRBank0_b1:		; MMC1 change CHR bank 0
	sta $BFFF
	lsr a 
	sta $BFFF
	lsr a 
	sta $BFFF
	lsr a 
	sta $BFFF
	lsr a 
	sta $BFFF
	jsr Lbl_bf1d
	rts
;-- end subroutine --;

Lbl_bdaf:
	lda #$00
	sta $60
	lda #$2b
	jsr sub_PlaySound	; play song #$2b (credits victory music)
	lda #$01
	jsr Lbl_bd6a
	lda #$00
	sta $2001		; set blank PPUMASK
	lda #$19
	ldx #$07
	jsr Lbl_fa65
	lda #$06
	ldx #$00
	jsr Lbl_fa65
	lda #$0c
	jsr MMC1_SetCHRBank0_b1		; set CHR bank 0
	lda #$01
	jsr Lbl_bd6a
	lda #$1e		; 00011110: show bg & spr; show bg & spr in leftmost 8px
	sta $2001		; set PPUMASK
	ldy #$70
	lda #$00

Lbl_bde3:
	sta $031f,y
	dey 
	bpl Lbl_bde3
	lda #$03
	sta $0348
	lda #$20
	sta $0347
	lda #$14
	sta $0349
	lda #$80
	sta $031f
	sta $0357
	sta $038f
	lda #$00
	sta $c2
	sta $c3			; reset sprite X scroll to #$00
	sta $c4
	lda #$f8
	sta $0200
	inc $069e

Lbl_be13:
	lda #$04
	sta $0617
	lda #$00
	sta $067a
	sta $067b
	jsr Lbl_be6c
	jsr Lbl_fa50
	jsr Lbl_dbdb
	jsr Lbl_fa00
	jsr Lbl_fca0
	jsr Lbl_fe8a
	jsr sub_UpdateOAM	; update OAM
	lda $0700
	and #$02
	bne Lbl_be13
	lda #$2f
	jsr sub_PlaySound	; play sound #$2f (?)
	lda #$01
	jsr Lbl_bd6a
	lda #$0a
	jsr Lbl_bca0
	lda #$08
	jsr Lbl_bd6a
	lda #$0b
	jsr Lbl_bca0
	lda #$10
	jsr Lbl_bd6a
	jmp Lbl_b8aa

Lbl_be5d:
	.byte $05,$02,$03,$01,$02,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01

Lbl_be6c:
	lda #$01
	sta $90

Lbl_be70:
	ldy $90
	jsr Lbl_c988
	ldy #$37

Lbl_be77:
	lda ($4d),y
	sta a:$0015,y
	dey 
	bpl Lbl_be77
	lda #$48
	sta $41
	lda #$80
	sta $45
	sta $48
	lda $90
	asl a 
	tay 
	lda Lbl_be9a,y
	sta $51
	lda Lbl_be9b,y
	sta $52
	jmp ($0051)

Lbl_be9a:
	.byte $b2

Lbl_be9b:
	.byte $be,$03,$bf

Lbl_be9e:
	ldy #$37

Lbl_bea0:
	lda a:$0015,y
	sta ($4d),y
	dey 
	bpl Lbl_bea0
	lda $90
	jsr Lbl_e32d
	dec $90
	bpl Lbl_be70
	rts 

Lbl_beb2:
	lda #$53
	sta $48
	jsr Lbl_cca4
	lda $4b
	sta $017a
	lda $3e
	sta $017b
	lda $31
	and #$01
	tay 
	inc $2f
	lda $2f
	cmp Lbl_bf01,y
	bcc Lbl_bed7
	inc $31
	lda #$00
	sta $2f

Lbl_bed7:
	lda $31
	and #$01
	tay 
	lda Lbl_beff,y
	sta $42
	lda $4b
	bpl Lbl_be9e
	lda $3d
	eor #$ff
	clc
	adc #$01
	sta $3d
	lda $3e
	eor #$ff
	adc #$00
	sta $3e
	lda #$00
	sta $4b
	sta $4c
	jmp Lbl_be9e

Lbl_beff:
	.byte $10,$11

Lbl_bf01:
	.byte $0a,$06

Lbl_bf03:
	lda #$50
	sta $48
	ldx #$0f
	lda $017a
	bmi Lbl_bf12
	cmp #$18
	bcs Lbl_bf14

Lbl_bf12:
	ldx #$0e

Lbl_bf14:
	stx $42
	jmp Lbl_be9e

Lbl_bf19:
	.byte $0e,$0f,$03,$03

Lbl_bf1d:		; called after updating the CHR banks
	lda $60
	asl a
	asl a
	tay
	lda Lbl_bf2f,y	; get X scroll from table
	sta $2005		; PPUSCROLL
	lda Lbl_bf30,y	; get Y scroll from table
	sta $2005		; PPUSCROLL
	rts

Lbl_bf2f:
	.byte $80

Lbl_bf30:
	.byte $00,$00,$00,$00,$00,$10,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$ee,$eb,$ff,$ea,$ea,$ea,$ea,$ea
	.byte $ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$01,$e8,$bf,$e8,$bf,$e8,$bf
