;*********************************************************************************************
;** Original File: F:\nes_disasm\Super Dodge Ball (U).nes
;** 16K PRG-ROM pages: $08
;** 8K CHR-ROM pages: $10
;** Mirroring: horizontal
;** SRAM: not available
;** Trainer: not available
;** Mapper: $01
;*********************************************************************************************

.autoimport +

;The following labels are referenced by other banks:

	.export Lbl_8000, Lbl_8006, Lbl_8009, Lbl_800c, Lbl_800f, Lbl_8012, Lbl_801b, Lbl_8024
	.export Lbl_8027, Lbl_8030, Lbl_809b, Lbl_810d, Lbl_810e, Lbl_811b, Lbl_8169, Lbl_816c
	.export Lbl_8174, Lbl_819f, Lbl_81b0, Lbl_81b7, Lbl_8238, Lbl_8241, Lbl_8287, Lbl_82bd
	.export Lbl_82e9, Lbl_8303, Lbl_8327, Lbl_834b, Lbl_838e, Lbl_83ae, Lbl_8421, Lbl_8429
	.export Lbl_84ed, Lbl_84f5, Lbl_8532, Lbl_8555, Lbl_8560, Lbl_8571, Lbl_8572, Lbl_859d
	.export Lbl_8611, Lbl_8631, Lbl_8645, Lbl_86d7, Lbl_86e6, Lbl_86f8, Lbl_86f9, Lbl_8742
	.export Lbl_874d, Lbl_8ab9, Lbl_8d29, Lbl_8d59, Lbl_8df5, Lbl_8e25, Lbl_8e42, Lbl_8e7f
	.export Lbl_8e88, Lbl_8e89, Lbl_8e8c, Lbl_8ffc, Lbl_90d4, Lbl_9109, Lbl_915c, Lbl_9165
	.export Lbl_916d, Lbl_91ae, Lbl_91d5, Lbl_91e2, Lbl_9284, Lbl_9390, Lbl_9398, Lbl_944b
	.export Lbl_9452, Lbl_9466, Lbl_94ef, Lbl_9526, Lbl_952d, Lbl_9533, Lbl_9534, Lbl_957b
	.export Lbl_95cb, Lbl_96d0, Lbl_9744, Lbl_9745, Lbl_9746, Lbl_9747, Lbl_979c, Lbl_97dd
	.export Lbl_981e, Lbl_987a, Lbl_9970, Lbl_9971, Lbl_9a4c, Lbl_9af2, Lbl_9af3, Lbl_9b4c
	.export Lbl_a600, Lbl_a61c, Lbl_a64e, Lbl_a66a, Lbl_a675, Lbl_a69b, Lbl_a69c, Lbl_b000
	.export Lbl_b004, Lbl_b081, Lbl_b0af, Lbl_b0b0, Lbl_b0b5, Lbl_b0b6, Lbl_b0bf, Lbl_b100
	.export Lbl_b1ad, Lbl_b1b0, Lbl_b244, Lbl_b24d, Lbl_b261, Lbl_b294, Lbl_b2e5, Lbl_b314
	.export Lbl_b317, Lbl_b320, Lbl_b371, Lbl_b3c0, Lbl_b3d1, Lbl_b3d2, Lbl_b3d7, Lbl_b3f4
	.export Lbl_b411, Lbl_b44a, Lbl_b45e, Lbl_b45f, Lbl_b46a, Lbl_b499, Lbl_b4c6, Lbl_b4f1
	.export Lbl_b4fa, Lbl_b57b, Lbl_b584, Lbl_b595, Lbl_b596, Lbl_b5a7, Lbl_b5b2, Lbl_b617
	.export Lbl_b619, Lbl_b67e, Lbl_b90e, Lbl_b919, Lbl_b9a2, Lbl_b9a3, Lbl_b9ae, Lbl_b9b4
	.export Lbl_b9f6, Lbl_ba1b, Lbl_ba80, Lbl_ba89

.segment "PRG_3"

Lbl_8000:
	jmp Lbl_8030

Lbl_8003:		; might be code
	;.byte $4c,$8b,$a2
	jmp $a28b

Lbl_8006:
	jmp Lbl_b000

Lbl_8009:
	jmp Lbl_a600

Lbl_800c:
	jmp Lbl_a64e

Lbl_800f:
	jmp Lbl_a675

Lbl_8012:
	jmp Lbl_b371

Lbl_8015:		; might be code
	;.byte $4c,$12,$b7
	jmp $b712
	;.byte $4c,$0b,$b8
	jmp $b80b

Lbl_801b:
	jmp Lbl_b90e

Lbl_801e:
	.byte $4c,$00,$00,$4c,$00,$00

Lbl_8024:
	jmp Lbl_9284

Lbl_8027:
	jmp Lbl_987a

Lbl_802a:
	.byte $00,$00,$00,$00,$00,$00

Lbl_8030:
	ldx #$15

Lbl_8032:
	lda a:$00d3,x
	sta a:$0037,x
	dex 
	bpl Lbl_8032
	lda $eb
	sta $36
	bit $70
	bvs Lbl_8053	; branch if overflow set
	lda $49
	bne Lbl_8061
	lda $48
	cmp #$71
	bcc Lbl_8061
	lda #$70
	sta $48
	bne Lbl_8061

Lbl_8053:
	lda $49
	bne Lbl_8061
	lda $48
	cmp #$5d
	bcc Lbl_8061
	lda #$5c
	sta $48

Lbl_8061:
	lda $78
	and #$10
	bne Lbl_8084
	lda $c5
	and #$7f
	cmp #$06
	bcs Lbl_8084
	cmp #$03
	bcc Lbl_8084
	jsr Lbl_fac7
	bcc Lbl_8084
	lda #$05
	sta $c5
	lda #$00
	sta $d9
	lda #$07
	sta $da

Lbl_8084:
	lda #$3f
	sta $41
	lda $c5
	and #$0f
	asl a 
	tax 
	lda Lbl_810d,x
	sta $61
	lda Lbl_810e,x
	sta $62
	jmp ($0061)

Lbl_809b:
	lda $45
	sta $61
	lda $46
	sta $62
	lda $48
	sta $63
	lda $49
	sta $64
	jsr Lbl_cb89
	cmp $c6
	sta $c6
	beq Lbl_80bf
	lda $c5
	and #$7f
	cmp #$05
	bne Lbl_80bf
	jsr Lbl_81b0

Lbl_80bf:
	lda $c5
	and #$7f
	cmp #$03
	beq Lbl_80ec
	cmp #$04
	beq Lbl_80ec
	cmp #$06
	beq Lbl_80ec
	ldy $8a
	jsr Lbl_c988
	ldy #$03
	lda ($4d),y
	and #$01
	sta $00
	lda $c6
	and #$01
	sta $01
	lda $00
	cmp $01
	bne Lbl_80ec
	lda $c6
	sta $e9

Lbl_80ec:
	jsr Lbl_91d5
	jsr Lbl_91e2
	lda $c5
	and #$7f
	beq Lbl_80fd
	lda #$0c
	jsr Lbl_e32d

Lbl_80fd:
	ldx #$15

Lbl_80ff:
	lda a:$0037,x
	sta a:$00d3,x
	dex 
	bpl Lbl_80ff
	lda $36
	sta $eb
	rts 

Lbl_810d:
	.byte $1b

Lbl_810e:
	.byte $81,$74,$81,$b7,$81,$41,$82,$60,$85,$fc,$8f,$f2,$80

Lbl_811b:
	lda $c5
	bmi Lbl_8125
	jsr Lbl_91ae
	jsr Lbl_81b0

Lbl_8125:
	ldy $8a
	cpy #$ff
	beq Lbl_8169
	jsr Lbl_c988
	ldy #$00
	lda ($4d),y
	and #$40
	beq Lbl_814a
	lda $71			; current stage
	and #$0f		; stage & 0x0f
	tax 
	lda Lbl_816c,x
	sta $00
	lda $069e
	and $00
	bne Lbl_814a
	jsr Lbl_81b0

Lbl_814a:
	ldx #$00
	ldy #$2f

Lbl_814e:
	lda ($4d),y
	sta a:$0044,x
	iny 
	inx 
	cpx #$09
	bcc Lbl_814e
	lda $4b
	clc 
	adc #$10
	sta $4b
	lda $4b
	adc #$00
	sta $4b
	jmp Lbl_8169

Lbl_8169:
	jmp Lbl_809b

Lbl_816c:		; based on current stage
	.byte $4f,$5f,$0f,$7f,$2f,$6f,$ff,$3f

Lbl_8174:
	lda $c5
	bmi Lbl_8186
	lda #$0a
	sta $42
	lda #$00
	sta $ce			; shot power
	jsr Lbl_819f
	jsr Lbl_91ae

Lbl_8186:
	lda $78
	and #$04
	beq Lbl_8192
	lda $43
	ora #$20
	sta $43

Lbl_8192:
	lda $069e
	and #$1f
	bne Lbl_819c
	jsr Lbl_81b0

Lbl_819c:
	jmp Lbl_809b

Lbl_819f:
	bit $70
	bvs Lbl_81ad	; branch if overflow set
	lda $c6
	cmp #$06
	beq Lbl_81ad
	cmp #$07
	bne Lbl_81b6

Lbl_81ad:
	jsr Lbl_c2d9

Lbl_81b0:
	lda $78
	ora #$40
	sta $78

Lbl_81b6:
	rts 

Lbl_81b7:
	lda $c5
	bmi Lbl_81da
	jsr Lbl_819f
	lda #$00
	sta $ce			; shot power
	jsr Lbl_81b0
	lda #$00
	sta $39
	sta $3a
	sta $3b
	sta $3c
	lda #$00
	sta $3f
	lda #$01
	sta $40
	jsr Lbl_91ae

Lbl_81da:
	lda #$00
	sta $ce			; shot power
	jsr Lbl_cca4
	inc $cf
	lda $cf
	cmp #$08
	bcc Lbl_81f9
	lda #$00
	sta $cf
	inc $d1
	lda $d1
	cmp #$03
	bcc Lbl_81f9
	lda #$00
	sta $d1

Lbl_81f9:
	lda #$0a
	clc 
	adc $d1
	sta $42
	lda $cf
	bne Lbl_8204

Lbl_8204:
	lda $4c
	bpl Lbl_8235
	jsr Lbl_8238
	jsr Lbl_819f
	jsr Lbl_81b0
	jsr Lbl_e46f
	lda $0e
	sta $3d
	lda $0f
	sta $3e
	lda $3d
	sec 
	sbc #$00
	sta $3d
	lda $3e
	sbc #$02
	sta $3e
	lda $3e
	bmi Lbl_8231
	ora $3d
	bne Lbl_8235

Lbl_8231:
	lda #$01
	sta $c5

Lbl_8235:
	jmp Lbl_809b

Lbl_8238:
	lda #$00
	sta $4a
	sta $4b
	sta $4c
	rts 

Lbl_8241:
	lda $c5
	bmi Lbl_8269
	ldy $8a
	cpy #$ff
	beq Lbl_8263
	jsr Lbl_c988
	ldy #$02
	ldx #$91
	lda ($4d),y
	and #$1c
	beq Lbl_8262
	ldy #$00
	lda ($4d),y
	and #$40
	bne Lbl_8262
	ldx #$92

Lbl_8262:
	txa 

Lbl_8263:
	jsr Lbl_81b0
	jsr Lbl_91ae

Lbl_8269:
	jsr Lbl_8287
	jsr Lbl_cca4
	lda $4c
	bpl Lbl_8284
	jsr Lbl_8238
	lda #$05
	sta $c5
	lda #$00
	sta $3d
	lda #$04
	sta $3e
	bne Lbl_8284

Lbl_8284:
	jmp Lbl_809b

Lbl_8287:
	lda $cd			; load shot type
	cmp #$10
	beq Lbl_82ac	; if shot type == #$10, branch
	cmp #$11
	beq Lbl_82ac	; if shot type == #$11, branch
	cmp #$03
	bcc Lbl_82ac	; branch if carry clear (shot type == #$03?)
	inc $06a4
	lda $06a4
	cmp #$01
	bcc Lbl_82ac	; branch if carry clear (shot type #$01?)
	lda #$00
	sta $06a4
	lda $06eb		; ball color
	eor #$10
	sta $06eb		; ball color

Lbl_82ac:
	lda $cd			; load shot type
	asl a
	tax
	lda Lbl_82bd,x	; use shifted shot type as index into Lbl_82bd
	sta $61
	lda Lbl_82be,x	; use shifted shot type as index into Lbl_82be
	sta $62
	jmp ($0061)	; perform an indirect jump using these two values.

Lbl_82bd:
	.byte $e9

Lbl_82be:
	.byte $82,$4b,$83,$4b,$83,$6e,$83,$e9,$82,$91,$83,$4b,$83,$4b,$83,$ae
	.byte $83,$31,$84,$ed,$84,$f5,$84,$4b,$83,$4b,$83,$4b,$83,$32,$85,$4b
	.byte $83,$4b,$83,$4b,$83,$4b,$83,$4b,$83,$4b,$83

Lbl_82e9:
	lda $4b
	and #$f8
	lsr a 
	lsr a 
	lsr a 
	tax 
	ldy Lbl_8303,x
	lda $3e
	bpl Lbl_82fb
	ldy Lbl_8327,x

Lbl_82fb:
	tya 
	cmp $42
	beq Lbl_8302
	sta $42

Lbl_8302:
	rts 

Lbl_8303:
	.byte $00,$01,$00,$01,$02,$03,$02,$03,$04,$05,$04,$05,$06,$07,$06,$07
	.byte $08,$09,$08,$09,$08,$09,$08,$09,$08,$09,$08,$09,$08,$09,$08,$09
	.byte $08,$09,$08,$09

Lbl_8327:
	.byte $01,$00,$01,$00,$03,$02,$03,$02,$05,$04,$05,$04,$07,$06,$07,$06
	.byte $09,$08,$09,$08,$09,$08,$09,$08,$09,$08,$09,$08,$09,$08,$09,$08
	.byte $09,$08,$09,$08

Lbl_834b:
	lda #$0a
	clc 
	adc $d1
	sta $42
	jsr Lbl_8555
	inc $cf
	lda $cf
	cmp #$02
	bcc Lbl_836d
	lda #$00
	sta $cf
	inc $d1
	lda $d1
	cmp #$03
	bcc Lbl_836d
	lda #$00
	sta $d1

Lbl_836d:
	rts 

Lbl_836e:
	.byte $e6,$cf,$a5,$cf,$c9,$01,$90,$10,$a9,$00,$85,$cf,$e6,$d1,$a5,$d1
	.byte $c9,$03,$90,$04,$a9,$00,$85,$d1,$a6,$d1,$bd,$8e,$83,$85,$42,$60

Lbl_838e:
	.byte $18,$0a,$06,$a9,$10,$18,$65,$d1,$85,$42,$20,$55,$85,$e6,$cf,$a5
	.byte $cf,$c9,$01,$90,$0a,$a9,$00,$85,$cf,$a5,$d1,$49,$01,$85,$d1,$60

Lbl_83ae:
	lda $06e2
	bmi Lbl_83ee
	lda #$0a
	clc 
	adc $d1
	sta $42
	jsr Lbl_8555
	inc $cf
	lda $cf
	cmp #$02
	bcc Lbl_83d5
	lda #$00
	sta $cf
	inc $d1
	lda $d1
	cmp #$03
	bcc Lbl_83d5
	lda #$00
	sta $d1

Lbl_83d5:
	bit $06e2
	bvs Lbl_8420
	inc $06e3
	lda $06e3
	cmp #$02
	bcc Lbl_8420
	lda #$00
	sta $06e3
	lda #$80
	sta $06e2

Lbl_83ee:
	ldx $d1
	lda Lbl_8421,x
	sta $42
	jsr Lbl_8555
	inc $cf
	lda $cf
	cmp Lbl_8429,x
	bcc Lbl_8420
	lda #$00
	sta $cf
	inc $d1
	lda $d1
	cmp #$08
	bcc Lbl_8420
	lda #$00
	sta $d1
	inc $06e3
	lda $06e3
	cmp #$04
	bcc Lbl_8420
	lda #$40
	sta $06e2

Lbl_8420:
	rts 

Lbl_8421:
	.byte $13,$14,$15,$16,$17,$16,$15,$14

Lbl_8429:
	.byte $01,$01,$01,$01,$01,$01,$01,$01,$a5,$d0,$29,$c0,$4a,$4a,$4a,$4a
	.byte $4a,$a8,$b9,$49,$84,$85,$4d,$b9,$4a,$84,$85,$4e,$6c,$4d,$00,$60
	.byte $51,$84,$8a,$84,$c5,$84,$51,$84,$a5,$d0,$29,$c0,$c9,$c0,$f0,$0c
	.byte $e6,$d0,$a5,$d0,$c9,$01,$90,$04,$a9,$40,$85,$d0,$a9,$0a,$18,$65
	.byte $d1,$85,$42,$20,$55,$85,$e6,$cf,$a5,$cf,$c9,$02,$90,$10,$a9,$00
	.byte $85,$cf,$e6,$d1,$a5,$d1,$c9,$03,$90,$04,$a9,$00,$85,$d1,$4c,$48
	.byte $84,$a5,$d1,$29,$01,$d0,$0d,$a9,$00,$85,$42,$a5,$43,$29,$df,$85
	.byte $43,$4c,$a3,$84,$a5,$43,$09,$20,$85,$43,$e6,$cf,$a5,$cf,$c9,$01
	.byte $90,$17,$a9,$00,$85,$cf,$e6,$d1,$a5,$d1,$c9,$08,$90,$0b,$a9,$80
	.byte $85,$d0,$a5,$38,$18,$69,$60,$85,$38,$4c,$48,$84,$a5,$43,$09,$20
	.byte $85,$43,$e6,$cf,$a5,$cf,$29,$3f,$c9,$0c,$90,$15,$a9,$c0,$85,$d0
	.byte $a5,$38,$38,$e9,$60,$85,$38,$a5,$43,$29,$df,$85,$43,$a9,$00,$85
	.byte $d1,$4c,$48,$84

Lbl_84ed:		; sam/kunio ground super shot?
	lda #$12
	sta $42
	jsr Lbl_8555
	rts 

Lbl_84f5:
	lda $d0
	bpl Lbl_8503
	lda #$18
	sta $42
	jsr Lbl_8555
	jmp Lbl_8531

Lbl_8503:
	ldy $d1
	lda Lbl_838e,y
	sta $42
	jsr Lbl_8555
	inc $cf
	lda $cf
	cmp #$01
	bcc Lbl_8525
	lda #$00
	sta $cf
	inc $d1
	lda $d1
	cmp #$03
	bcc Lbl_8525
	lda #$00
	sta $d1

Lbl_8525:
	inc $d0
	lda $d0
	cmp #$04
	bcc Lbl_8531
	lda #$80
	sta $d0

Lbl_8531:
	rts 

Lbl_8532:
	lda #$0d
	clc 
	adc $d1
	sta $42
	jsr Lbl_8555
	inc $cf
	lda $cf
	cmp #$02
	bcc Lbl_8554
	lda #$00
	sta $cf
	inc $d1
	lda $d1
	cmp #$03
	bcc Lbl_8554
	lda #$00
	sta $d1

Lbl_8554:
	rts 

Lbl_8555:
	lda $37
	bpl Lbl_855f	; branch if positive
	lda $42
	ora #$80
	sta $42

Lbl_855f:
	rts 

Lbl_8560:
	lda $cd			; load shot type
	asl a
	tax
	lda Lbl_8571,x	; use shifted shot type as index into Lbl_8571
	sta $61
	lda Lbl_8572,x	; use shifted shot type as index into Lbl_8572
	sta $62
	jmp ($0061)	; perform an indirect jump using these two values.

Lbl_8571:
	.byte $00

Lbl_8572:
	.byte $00,$9d,$85,$9d,$85,$9d,$85,$e4,$88,$8d,$87,$9d,$89,$45,$8a,$9d
	.byte $85,$9d,$85,$9d,$85,$9d,$85,$b9,$8a,$2a,$8b,$49,$8c,$29,$8d,$9d
	.byte $85,$9d,$85,$59,$8d,$42,$8e,$9d,$85,$10,$8f

Lbl_859d:
	lda $c5
	bmi Lbl_85c5
	ldy #$8d
	lda $ce			; shot power
	cmp #$08
	bcs Lbl_85ab	; branch if carry set (shot power >= #$08)
	ldy #$84

Lbl_85ab:
	tya 
	jsr Lbl_81b0
	jsr Lbl_91ae
	ldy $8d
	jsr Lbl_c988
	ldy #$09
	lda ($4d),y
	and #$7f
	cmp #$13
	bne Lbl_85c5
	lda #$80
	sta $d0

Lbl_85c5:
	jsr Lbl_8287
	lda $d0
	bne Lbl_860e
	bit $70
	bvc Lbl_85f0		; branch if overflow clear
	lda a:$006f			; number of human players
	sec					; set carry
	sbc #$01
	tax

Lbl_85d7:
	lda $8a
	cmp a:$0086,x
	beq Lbl_85e4
	dex 
	bpl Lbl_85d7
	jmp Lbl_860e

Lbl_85e4:
	lda a:$00f1,x
	and #$0f
	sta $0f
	beq Lbl_860e
	jmp Lbl_8608

Lbl_85f0:
	ldy $f7			; P1 input
	ldx $7b			; P1 Team
	lda $8a
	cmp #$06
	bcs Lbl_85fe	; branch if carry set (value at $8a >= #$06)
	ldy $f8			; P2 input
	ldx $7a			; P2 Team

Lbl_85fe:
	txa
	bpl Lbl_860e	; branch if positive
	tya
	and #$0f
	sta $0f
	beq Lbl_860e

Lbl_8608:
	jsr Lbl_8645
	jmp Lbl_8611

Lbl_860e:
	jsr Lbl_cc5c

Lbl_8611:
	lda $4a
	clc 
	adc $3d
	sta $4a
	lda $3e
	php 
	adc $4b
	sta $4b
	lda $4c
	adc #$00
	plp 
	bpl Lbl_8629
	clc 
	adc #$ff

Lbl_8629:
	sta $4c
	jsr Lbl_8631
	jmp Lbl_809b

Lbl_8631:
	lda $4c
	bpl Lbl_8644
	jsr Lbl_8238
	lda #$05
	sta $c5
	lda #$00
	sta $3d
	lda #$04
	sta $3e

Lbl_8644:
	rts 

Lbl_8645:
	lda $37
	clc 
	adc #$10
	and #$e0
	lsr a 
	lsr a 
	sta $00
	ldx $0f
	lda Lbl_8742,x
	clc 
	adc $00
	tax 
	lda Lbl_874d,x
	sta $00
	sta $01
	beq Lbl_86d7
	ldy $8a
	jsr Lbl_c988
	ldy #$02
	lda ($4d),y
	and #$80
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	lsr a 
	tax 
	lda a:$007a,x		; player 2 or 1 team
	and #$0f
	cmp #$08
	bne Lbl_8680
	lda #$00

Lbl_8680:
	asl a 
	tax 
	lda Lbl_86f8,x
	sta $4f
	lda Lbl_86f9,x
	sta $50
	lda ($4d),y
	and #$07
	tay 
	lda ($4f),y
	sta $0f
	asl a 
	clc 
	adc $0f
	tax 
	lda #$00
	sta $5c
	lda $00
	bpl Lbl_86a9
	eor #$ff
	clc 
	adc #$01
	inc $5c

Lbl_86a9:
	ldy #$00
	cmp #$04
	beq Lbl_86b5
	iny 
	cmp #$08
	beq Lbl_86b5
	iny 

Lbl_86b5:
	sty $0e
	lda $5c
	beq Lbl_86cd
	txa 
	clc 
	adc $0e
	tax 
	lda Lbl_86e6,x
	eor #$ff
	clc 
	adc #$01
	sta $01
	jmp Lbl_86d7

Lbl_86cd:
	txa 
	clc 
	adc $0e
	tax 
	lda Lbl_86e6,x
	sta $01

Lbl_86d7:
	lda $37
	pha 
	clc 
	adc $01
	sta $37
	jsr Lbl_cc5c
	pla 
	sta $37
	rts 

Lbl_86e6:
	.byte $fc,$f8,$f4,$03,$03,$03,$06,$06,$06,$09,$09,$09,$0c,$0c,$0c,$0e
	.byte $0e,$0f

Lbl_86f8:
	.byte $0c

Lbl_86f9:
	.byte $87,$12,$87,$18,$87,$1e,$87,$24,$87,$2a,$87,$30,$87,$36,$87,$3c
	.byte $87,$0c,$87,$02,$02,$02,$02,$02,$04,$02,$03,$03,$03,$03,$05,$00
	.byte $01,$01,$01,$01,$02,$03,$03,$03,$03,$03,$04,$00,$01,$01,$01,$01
	.byte $03,$02,$02,$02,$02,$02,$02,$02,$03,$03,$03,$02,$04,$01,$02,$02
	.byte $02,$01,$03,$02,$02,$02,$02,$02,$03

Lbl_8742:
	.byte $ff,$02,$06,$ff,$04,$03,$05,$ff,$00,$01,$07

Lbl_874d:
	.byte $00,$04,$08,$08,$00,$f8,$f8,$fc,$f8,$00,$08,$0c,$0c,$00,$f4,$f4
	.byte $f8,$fc,$00,$04,$08,$08,$00,$f8,$f4,$f4,$f8,$00,$08,$0c,$0c,$00
	.byte $00,$f8,$f8,$fc,$00,$04,$08,$0c,$0c,$00,$f4,$f4,$f8,$00,$08,$0c
	.byte $08,$08,$00,$f8,$f8,$fc,$00,$04,$08,$0c,$0c,$00,$f4,$f4,$f8,$00
	.byte $a5,$c5,$30,$10,$20,$b0,$81,$20,$ae,$91,$a5,$16,$29,$01,$f0,$04
	.byte $a9,$80,$85,$d0,$a5,$d0,$29,$c0,$d0,$11,$a5,$d0,$18,$69,$01,$85
	.byte $d0,$29,$3f,$c9,$04,$90,$04,$a9,$80,$85,$d0,$a5,$cd,$c9,$03,$d0
	.byte $1f,$a5,$d0,$29,$20,$d0,$0a,$a5,$d0,$18,$69,$01,$85,$d0,$4c,$dd
	.byte $87,$a5,$ce,$c9,$07,$d0,$09,$38,$e9,$03,$85,$ce,$a9,$01,$85,$cd
	.byte $20,$87,$82,$20,$5c,$cc,$a5,$4a,$18,$65,$3d,$85,$4a,$a5,$3e,$08
	.byte $65,$4b,$85,$4b,$a5,$4c,$69,$00,$28,$10,$03,$18,$69,$ff,$85,$4c
	.byte $24,$d0,$70,$05,$10,$03,$20,$1c,$88,$a5,$4c,$10,$0f,$20,$38,$82
	.byte $a9,$05,$85,$c5,$a9,$00,$85,$3d,$a9,$04,$85,$3e,$4c,$9b,$80,$a4
	.byte $8d,$20,$88,$c9,$a0,$11,$b1,$4d,$c9,$04,$b0,$10,$c8,$b1,$4d,$c9
	.byte $04,$b0,$09,$a5,$d0,$09,$40,$85,$d0,$4c,$dd,$88,$a0,$30,$b1,$4d
	.byte $85,$61,$c8,$b1,$4d,$85,$62,$a0,$33,$b1,$4d,$85,$63,$c8,$b1,$4d
	.byte $85,$64,$a5,$e1,$85,$65,$a5,$e2,$85,$66,$a5,$e4,$85,$67,$a5,$e5
	.byte $85,$68,$20,$2b,$ca,$85,$00,$a5,$37,$38,$e5,$00,$10,$05,$49,$ff
	.byte $18,$69,$01,$c9,$40,$b0,$bc,$a5,$37,$48,$a5,$38,$48,$20,$2b,$ca
	.byte $85,$37,$a4,$8a,$20,$88,$c9,$a0,$02,$b1,$4d,$29,$80,$4a,$4a,$4a
	.byte $4a,$4a,$4a,$4a,$aa,$bd,$7a,$00,$29,$0f,$c9,$08,$d0,$02,$a9,$00
	.byte $0a,$aa,$bd,$f8,$86,$85,$4f,$bd,$f9,$86,$85,$50,$b1,$4d,$29,$07
	.byte $a8,$b1,$4f,$aa,$bd,$de,$88,$85,$38,$a9,$18,$85,$38,$20,$5c,$cc
	.byte $68,$85,$38,$68,$85,$37,$a5,$4a,$18,$65,$3d,$85,$4a,$a5,$3e,$08
	.byte $65,$4b,$85,$4b,$a5,$4c,$69,$00,$28,$10,$03,$18,$69,$ff,$85,$4c
	.byte $60,$08,$10,$18,$20,$24,$30,$a5,$c5,$30,$06,$20,$b0,$81,$20,$ae
	.byte $91,$a5,$d0,$30,$26,$a5,$3e,$10,$22,$a9,$00,$85,$3d,$a9,$fc,$85
	.byte $3e,$a9,$00,$85,$3f,$a9,$02,$85,$40,$a9,$80,$85,$d0,$a9,$00,$85
	.byte $39,$85,$3a,$85,$3b,$85,$3c,$a9,$80,$85,$37,$20,$87,$82,$20,$a4
	.byte $cc,$a5,$d0,$10,$0a,$a5,$3e,$c9,$e0,$b0,$04,$a9,$e0,$85,$3e,$a5
	.byte $d0,$f0,$57,$a4,$8d,$20,$88,$c9,$a0,$10,$b1,$4d,$85,$00,$c8,$b1
	.byte $4d,$85,$01,$c8,$b1,$4d,$85,$02,$a5,$01,$c9,$06,$90,$1b,$a0,$fa
	.byte $24,$00,$30,$02,$a0,$06,$98,$08,$18,$65,$45,$85,$45,$a5,$46,$69
	.byte $00,$28,$10,$03,$18,$69,$ff,$85,$46,$a5,$02,$c9,$06,$90,$1b,$a0
	.byte $fa,$24,$00,$50,$02,$a0,$06,$98,$08,$18,$65,$48,$85,$48,$a5,$49
	.byte $69,$00,$28,$10,$03,$18,$69,$ff,$85,$49,$a5,$4c,$10,$0f,$20,$38
	.byte $82,$a9,$02,$85,$c5,$a9,$00,$85,$3d,$a9,$06,$85,$3e,$4c,$9b,$80
	.byte $a5,$c5,$30,$06,$20,$b0,$81,$20,$ae,$91,$24,$d0,$30,$11,$70,$0f
	.byte $ee,$d0,$00,$ad,$d0,$00,$c9,$10,$90,$05,$a9,$80,$8d,$d0,$00,$20
	.byte $87,$82,$24,$d0,$50,$06,$20,$a4,$cc,$4c,$26,$8a,$20,$5c,$cc,$a5
	.byte $4a,$18,$65,$3d,$85,$4a,$a5,$3e,$08,$65,$4b,$85,$4b,$a5,$4c,$69
	.byte $00,$28,$10,$03,$18,$69,$ff,$85,$4c,$ad,$d0,$00,$10,$3b,$a5,$3d
	.byte $18,$69,$00,$85,$3d,$a5,$3e,$69,$03,$85,$3e,$e6,$d0,$a5,$d0,$29
	.byte $7f,$c9,$0d,$90,$24,$a9,$00,$85,$37,$a9,$f8,$85,$3e,$a9,$00,$85
	.byte $3d,$a9,$00,$85,$38,$85,$3a,$85,$39,$85,$3c,$85,$3b,$a9,$02,$85
	.byte $40,$a9,$00,$85,$3f,$a9,$40,$85,$d0,$24,$d0,$50,$15,$a5,$4c,$10
	.byte $14,$20,$38,$82,$a9,$02,$85,$c5,$a9,$06,$85,$3e,$a9,$00,$85,$3d
	.byte $f0,$03,$20,$31,$86,$4c,$9b,$80,$a5,$c5,$30,$06,$20,$b0,$81,$20
	.byte $ae,$91,$ad,$d0,$00,$30,$48,$e6,$d0,$a5,$d0,$c9,$10,$90,$40,$a9
	.byte $80,$8d,$e2,$06,$a9,$80,$85,$d0,$a4,$8d,$20,$88,$c9,$a5,$45,$85
	.byte $65,$a5,$46,$85,$66,$a5,$48,$85,$67,$a5,$49,$85,$68,$a0,$30,$b1
	.byte $4d,$85,$61,$c8,$b1,$4d,$85,$62,$a0,$33,$b1,$4d,$85,$63,$c8,$b1
	.byte $4d,$85,$64,$20,$2b,$ca,$85,$37,$a5,$38,$18,$69,$20,$85,$38,$20
	.byte $87,$82,$ad,$e2,$06,$f0,$0f,$ee,$e3,$06,$ad,$e3,$06,$c9,$04,$90
	.byte $08,$a9,$00,$8d,$e2,$06,$20,$5c,$cc,$4c,$9b,$80

Lbl_8ab9:
	lda $c5
	bmi Lbl_8ad7
	jsr Lbl_81b0
	jsr Lbl_91ae
	lda #$f4
	sta $3e
	lda #$00
	sta $3d
	lda #$01
	sta $40
	lda #$00
	sta $3f
	lda #$30
	sta $38

Lbl_8ad7:
	jsr Lbl_8287
	jsr Lbl_cc5c
	lda $d0
	bpl Lbl_8af2
	lda $38
	clc 
	adc #$06
	cmp #$a0
	bcc Lbl_8aec
	lda #$a0

Lbl_8aec:
	sta $38
	lda $d0
	bmi Lbl_8b27

Lbl_8af2:
	lda $3d
	clc 
	adc $3f
	sta $3d
	lda $3e
	adc $40
	sta $3e
	lda $4a
	clc 
	adc $3d
	sta $4a
	lda $3e
	php 
	adc $4b
	sta $4b
	lda $4c
	adc #$00
	plp 
	bpl Lbl_8b17
	clc 
	adc #$ff

Lbl_8b17:
	sta $4c
	lda $4b
	cmp #$10
	bcs Lbl_8b27
	lda #$10
	sta $4b
	lda #$80
	sta $d0

Lbl_8b27:
	jmp Lbl_809b

Lbl_8b2a:
	.byte $a5,$c5,$30,$16,$20,$b0,$81,$20,$ae,$91,$a9,$06,$85,$3e,$a9,$00
	.byte $85,$3d,$a9,$00,$85,$40,$a9,$40,$85,$3f,$20,$87,$82,$a5,$d0,$10
	.byte $06,$20,$a4,$cc,$4c,$2f,$8c,$20,$5c,$cc,$a5,$38,$38,$e9,$04,$85
	.byte $38,$a5,$38,$30,$04,$c9,$04,$b0,$04,$a9,$04,$85,$38,$a5,$3d,$38
	.byte $e5,$3f,$85,$3d,$a5,$3e,$e5,$40,$85,$3e,$a5,$4a,$18,$65,$3d,$85
	.byte $4a,$a5,$3e,$08,$65,$4b,$85,$4b,$a5,$4c,$69,$00,$28,$10,$03,$18
	.byte $69,$ff,$85,$4c,$a5,$3e,$30,$03,$4c,$46,$8c,$a9,$80,$85,$d0,$a9
	.byte $fb,$85,$3e,$a9,$00,$85,$3d,$a9,$02,$85,$40,$a9,$00,$85,$3f,$a4
	.byte $8d,$20,$88,$c9,$a0,$11,$b1,$4d,$c9,$30,$b0,$2c,$a9,$00,$85,$3b
	.byte $85,$3c,$a9,$00,$85,$39,$a9,$08,$85,$3a,$a5,$37,$30,$17,$a5,$39
	.byte $49,$ff,$18,$69,$01,$85,$39,$08,$a5,$3a,$49,$ff,$85,$3a,$28,$a5
	.byte $3a,$69,$00,$85,$3a,$4c,$46,$8c,$a5,$45,$85,$65,$a5,$46,$85,$66
	.byte $a5,$48,$85,$67,$a5,$49,$85,$68,$a0,$30,$b1,$4d,$85,$61,$c8,$b1
	.byte $4d,$85,$62,$a0,$33,$b1,$4d,$85,$63,$c8,$b1,$4d,$85,$64,$20,$2b
	.byte $ca,$85,$37,$85,$4d,$a9,$80,$85,$4e,$20,$00,$cd,$a5,$61,$85,$39
	.byte $8d,$e4,$06,$a5,$62,$85,$3a,$8d,$e5,$06,$a5,$63,$85,$3b,$a5,$64
	.byte $85,$3c,$4c,$46,$8c,$a5,$4c,$10,$13,$20,$38,$82,$a9,$02,$85,$c5
	.byte $a9,$00,$85,$3d,$a9,$06,$85,$3e,$a9,$00,$85,$37,$4c,$9b,$80,$a5
	.byte $c5,$10,$03,$4c,$da,$8c,$20,$b0,$81,$20,$ae,$91,$a4,$8d,$20,$88
	.byte $c9,$a5,$45,$85,$65,$a5,$46,$85,$66,$a5,$48,$85,$67,$a5,$49,$85
	.byte $68,$a0,$30,$b1,$4d,$85,$61,$c8,$b1,$4d,$85,$62,$a0,$33,$b1,$4d
	.byte $85,$63,$c8,$b1,$4d,$85,$64,$20,$2b,$ca,$85,$37,$85,$4d,$a9,$48
	.byte $85,$4e,$20,$00,$cd,$a5,$61,$85,$39,$8d,$e4,$06,$a5,$62,$85,$3a
	.byte $8d,$e5,$06,$a5,$63,$85,$3b,$a5,$64,$85,$3c,$a9,$00,$8d,$e2,$06
	.byte $8d,$e3,$06,$85,$3f,$85,$40,$a5,$17,$10,$14,$ad,$e4,$06,$38,$e9
	.byte $00,$8d,$e6,$06,$ad,$e5,$06,$e9,$03,$8d,$e7,$06,$4c,$da,$8c,$ad
	.byte $e4,$06,$18,$69,$00,$8d,$e6,$06,$ad,$e5,$06,$69,$03,$8d,$e7,$06
	.byte $20,$87,$82,$ad,$e8,$06,$f0,$12,$ee,$e9,$06,$ad,$e9,$06,$c9,$02
	.byte $90,$37,$a9,$00,$8d,$e9,$06,$8d,$e8,$06,$20,$a4,$cc,$ad,$e2,$06
	.byte $d0,$07,$a9,$0c,$85,$3e,$4c,$07,$8d,$a9,$ec,$85,$3e,$ee,$e3,$06
	.byte $ad,$e3,$06,$c9,$02,$90,$12,$a9,$00,$8d,$e3,$06,$ad,$e2,$06,$49
	.byte $01,$8d,$e2,$06,$a9,$01,$8d,$e8,$06,$20,$31,$86,$4c,$9b,$80

Lbl_8d29:
	lda $c5
	bmi Lbl_8d33
	jsr Lbl_81b0
	jsr Lbl_91ae

Lbl_8d33:
	jsr Lbl_8287
	jsr Lbl_cc5c
	lda $4a
	clc 
	adc $3d
	sta $4a
	lda $3e
	php 
	adc $4b
	sta $4b
	lda $4c
	adc #$00
	plp 
	bpl Lbl_8d51
	clc 
	adc #$ff

Lbl_8d51:
	sta $4c
	jsr Lbl_8631
	jmp Lbl_809b

Lbl_8d59:
	lda $c5
	bpl Lbl_8d60
	jmp Lbl_8df5

Lbl_8d60:
	jsr Lbl_81b0
	jsr Lbl_91ae
	lda $4b
	sec 
	sbc #$04
	sta $4b
	ldy $8d
	jsr Lbl_c988
	lda $45
	sta $65
	lda $46
	sta $66
	lda $48
	sta $67
	lda $49
	sta $68
	ldy #$30
	lda ($4d),y
	sta $61
	iny 
	lda ($4d),y
	sta $62
	ldy #$33
	lda ($4d),y
	sta $63
	iny 
	lda ($4d),y
	sta $64
	jsr Lbl_ca2b
	sta $37
	sta $4d
	lda #$40
	sta $4e
	jsr Lbl_cd00
	lda $61
	sta $39
	sta $06e4
	lda $62
	sta $3a
	sta $06e5
	lda $63
	sta $3b
	lda $64
	sta $3c
	lda #$00
	sta $06e2
	lda #$02
	sta $06e3
	lda #$00
	sta $3f
	sta $40
	lda $17
	bpl Lbl_8de4
	lda $06e4
	sec 
	sbc #$00
	sta $06e6
	lda $06e5
	sbc #$02
	sta $06e7
	jmp Lbl_8df5

Lbl_8de4:
	lda $06e4
	clc 
	adc #$00
	sta $06e6
	lda $06e5
	adc #$02
	sta $06e7

Lbl_8df5:
	jsr Lbl_8287
	jsr Lbl_cca4
	lda $06e2
	bne Lbl_8e14
	lda $3e
	clc 
	adc #$04
	sta $3e
	lda $06e4
	sta $39
	lda $06e5
	sta $3a
	jmp Lbl_8e25

Lbl_8e14:
	lda $3e
	sec 
	sbc #$04
	sta $3e
	lda $06e6
	sta $39
	lda $06e7
	sta $3a

Lbl_8e25:
	inc $06e3
	lda $06e3
	cmp #$04
	bcc Lbl_8e3c
	lda #$00
	sta $06e3
	lda $06e2
	eor #$01
	sta $06e2

Lbl_8e3c:
	jsr Lbl_8631
	jmp Lbl_809b

Lbl_8e42:
	lda $c5
	bmi Lbl_8e6a
	jsr Lbl_81b0
	jsr Lbl_91ae
	lda $37
	sta $06e4
	lda #$02
	sta $06e3
	ldx #$00
	ldy $8a
	jsr Lbl_c988
	ldy #$33
	lda ($4d),y
	cmp #$40
	bcs Lbl_8e67
	ldx #$01

Lbl_8e67:
	stx $06e2

Lbl_8e6a:
	ldy #$00
	lda $37
	bpl Lbl_8e72
	ldy #$02

Lbl_8e72:
	lda Lbl_8e88,y
	sta $00
	lda Lbl_8e89,y
	sta $01
	jmp ($0000)

Lbl_8e7f:
	jsr Lbl_8287
	jsr Lbl_cc5c
	jmp Lbl_809b

Lbl_8e88:
	.byte $8c

Lbl_8e89:
	.byte $8e,$cc,$8e

Lbl_8e8c:
	lda $06e2
	bne Lbl_8eae
	lda $37
	clc 
	adc #$10
	sta $37
	inc $06e3
	lda $06e3
	cmp #$04
	bcc Lbl_8ec9
	lda #$00
	sta $06e3
	lda #$01
	sta $06e2
	bne Lbl_8ec9

Lbl_8eae:
	lda $37
	sec 
	sbc #$10
	sta $37
	inc $06e3
	lda $06e3
	cmp #$04
	bcc Lbl_8ec9
	lda #$00
	sta $06e3
	lda #$00
	sta $06e2

Lbl_8ec9:
	jmp Lbl_8e7f

Lbl_8ecc:
	.byte $ad,$e2,$06,$f0,$1d,$a5,$37,$18,$69,$10,$85,$37,$ee,$e3,$06,$ad
	.byte $e3,$06,$c9,$04,$90,$2b,$a9,$00,$8d,$e3,$06,$a9,$00,$8d,$e2,$06
	.byte $f0,$1f,$a5,$37,$38,$e9,$10,$85,$37,$ee,$e3,$06,$ad,$e3,$06,$c9
	.byte $04,$90,$0e,$a9,$00,$8d,$e3,$06,$a9,$a0,$85,$37,$a9,$01,$8d,$e2
	.byte $06,$4c,$7f,$8e,$a5,$c5,$30,$24,$20,$b0,$81,$20,$ae,$91,$a5,$37
	.byte $8d,$e4,$06,$a9,$04,$8d,$e3,$06,$a2,$00,$a4,$8a,$20,$88,$c9,$a0
	.byte $33,$b1,$4d,$c9,$40,$b0,$02,$a2,$01,$8e,$e2,$06,$a0,$00,$a5,$37
	.byte $10,$02,$a0,$02,$b9,$74,$8f,$85,$00,$b9,$75,$8f,$85,$01,$6c,$00
	.byte $00,$20,$87,$82,$20,$5c,$cc,$ad,$38,$00,$48,$ad,$37,$00,$48,$a9
	.byte $20,$8d,$38,$00,$ad,$e4,$06,$8d,$37,$00,$20,$5c,$cc,$68,$8d,$37
	.byte $00,$68,$8d,$38,$00,$4c,$9b,$80,$78,$8f,$b8,$8f,$ad,$e2,$06,$d0
	.byte $1d,$a5,$37,$18,$69,$10,$85,$37,$ee,$e3,$06,$ad,$e3,$06,$c9,$08
	.byte $90,$27,$a9,$00,$8d,$e3,$06,$a9,$01,$8d,$e2,$06,$d0,$1b,$a5,$37
	.byte $38,$e9,$10,$85,$37,$ee,$e3,$06,$ad,$e3,$06,$c9,$08,$90,$0a,$a9
	.byte $00,$8d,$e3,$06,$a9,$00,$8d,$e2,$06,$4c,$4d,$8f,$ad,$e2,$06,$f0
	.byte $1d,$a5,$37,$18,$69,$10,$85,$37,$ee,$e3,$06,$ad,$e3,$06,$c9,$08
	.byte $90,$2b,$a9,$00,$8d,$e3,$06,$a9,$00,$8d,$e2,$06,$f0,$1f,$a5,$37
	.byte $38,$e9,$10,$85,$37,$ee,$e3,$06,$ad,$e3,$06,$c9,$08,$90,$0e,$a9
	.byte $00,$8d,$e3,$06,$a9,$a0,$85,$37,$a9,$01,$8d,$e2,$06,$4c,$4d,$8f

Lbl_8ffc:
	lda #$00
	sta $cd			; set shot type = 0
	lda $c5
	bmi Lbl_9075
	jsr Lbl_819f
	ldy $ce			; shot power
	lda Lbl_916d,y	; use shot power as index into Lbl_916d
	tay
	lda Lbl_915c,y
	sta $38
	lda $37
	clc
	adc #$10
	and #$e0
	lsr a
	lsr a
	lsr a
	lsr a
	lsr a
	tay
	lda $38
	sec
	sbc Lbl_9165,y
	sta $38
	lda $37
	sta $4d
	lda $38
	sta $4e
	jsr Lbl_cd00
	lda $61
	sta $39
	lda $62
	sta $3a
	lda $63
	sta $3b
	lda $64
	sta $3c
	lda #$80
	sta $3f
	lda #$00
	sta $40
	jsr Lbl_91ae
	lda $3e
	bmi Lbl_905d
	cmp #$08
	bcc Lbl_905d
	lda #$05
	sta $3e
	lda #$80
	sta $3d

Lbl_905d:
	lda #$ff
	sta $cf
	lda #$00
	sta $ce			; shot power
	lda $37
	bpl Lbl_906b
	inc $d0

Lbl_906b:
	cmp #$c0
	bcs Lbl_9075
	cmp #$40
	bcc Lbl_9075
	inc $d2

Lbl_9075:
	lda #$00
	sta $ce			; shot power
	jsr Lbl_cca4
	inc $cf
	lda $cf
	cmp #$08
	bcc Lbl_9094
	lda #$00
	sta $cf
	inc $d1
	lda $d1
	cmp #$03
	bcc Lbl_9094
	lda #$00
	sta $d1

Lbl_9094:
	lda #$0a
	clc 
	adc $d1
	sta $42
	lda $cf
	bne Lbl_909f

Lbl_909f:
	lda $d0
	bne Lbl_90bd
	lda $39
	sec 
	sbc #$10
	sta $39
	lda $3a
	sbc #$00
	sta $3a
	lda $3a
	bpl Lbl_90d4
	lda #$00
	sta $39
	sta $3a
	jmp Lbl_90d4

Lbl_90bd:
	lda $39
	clc 
	adc #$10
	sta $39
	lda $3a
	adc #$00
	sta $3a
	lda $3a
	bmi Lbl_90d4
	lda #$00
	sta $39
	sta $3a

Lbl_90d4:
	lda $d2
	bne Lbl_90f2
	lda $3b
	sec 
	sbc #$08
	sta $3b
	lda $3c
	sbc #$00
	sta $3c
	lda $3c
	bpl Lbl_9109
	lda #$00
	sta $3b
	sta $3c
	jmp Lbl_9109

Lbl_90f2:
	lda $3b
	clc 
	adc #$08
	sta $3b
	lda $3c
	adc #$00
	sta $3c
	lda $3c
	bmi Lbl_9109
	lda #$00
	sta $3b
	sta $3c

Lbl_9109:
	lda $4c
	bmi Lbl_9113
	ora $4b
	ora $4a
	bne Lbl_9159

Lbl_9113:
	jsr Lbl_8238
	jsr Lbl_819f
	jsr Lbl_81b0
	jsr Lbl_e46f
	lda $0e
	sta $3d
	lda $0f
	sta $3e
	lda $3e
	beq Lbl_9136
	lda $78
	and #$10
	bne Lbl_9136
	lda #$11
	jsr sub_PlaySound	; play sound #$11 (ball falling/bouncing on ground)

Lbl_9136:
	lda $3d
	sec 
	sbc #$00
	sta $3d
	lda $3e
	sbc #$01
	sta $3e
	lda $3e
	bmi Lbl_914b
	ora $3d
	bne Lbl_9159

Lbl_914b:
	lda #$00
	sta $3d
	sta $3e
	sta $3f
	sta $40
	lda #$01
	sta $c5

Lbl_9159:
	jmp Lbl_809b

Lbl_915c:
	.byte $06,$0e,$10,$12,$14,$16,$18,$1a,$1c

Lbl_9165:
	.byte $06,$04,$00,$04,$06,$04,$00,$04

Lbl_916d:
	.byte $00,$01,$01,$02,$02,$03,$03,$03,$04,$04,$04,$04,$05,$05,$05,$05
	.byte $05,$06,$06,$06,$06,$06,$06,$06,$06,$06,$06,$07,$07,$07,$07,$07
	.byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $08

Lbl_91ae:
	lda $c5
	ora #$80
	sta $c5
	lda #$00
	sta $d0
	sta $cf
	sta $d1
	sta $d2
	ldx #$07

Lbl_91c0:
	sta $06e2,x
	dex 
	bpl Lbl_91c0
	lda $43
	and #$df
	sta $43
	lda $06eb		; ball color
	and #$0f
	sta $06eb		; ball color
	rts 

Lbl_91d5:
	lda $78
	and #$10
	bne Lbl_91db

Lbl_91db:
	rts 

Lbl_91dc:
	.byte $a4,$a4,$a4,$a8,$a4,$a4

Lbl_91e2:
	lda $78
	and #$10
	bne Lbl_9257
	lda $c5
	and #$7f
	cmp #$03
	beq Lbl_91f8
	cmp #$04
	beq Lbl_91f8
	cmp #$05
	bne Lbl_9257

Lbl_91f8:
	lda $48
	clc 
	adc $4b
	lda $49
	adc $4c
	bpl Lbl_9214
	jsr Lbl_8238
	lda #$00
	sta $47
	sta $48
	sta $49
	ldy #$00
	ldx #$80
	bne Lbl_9238

Lbl_9214:
	lda $46
	cmp #$01
	beq Lbl_922a
	lda $45
	cmp #$20
	bcs Lbl_9257
	lda #$21
	sta $45
	ldy #$40
	ldx #$c0
	bne Lbl_9238

Lbl_922a:
	lda $45
	cmp #$e0
	bcc Lbl_9257
	lda #$df
	sta $45
	ldx #$40
	ldy #$c0

Lbl_9238:
	txa 
	sec 
	sbc $37
	sta $00
	tya 
	clc 
	adc $00
	sta $37
	lda #$02
	sta $ce			; shot power
	lda #$00
	sta $3d
	lda #$03
	sta $3e
	lda #$05
	sta $c5
	jsr Lbl_8238

Lbl_9257:
	rts 

Lbl_9258:
	.byte $85,$c5,$60,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00

Lbl_9280:
	rts 

Lbl_9281:
	.byte $4c,$4b,$94

Lbl_9284:
	bit $c5
	bpl Lbl_9280
	bit $78
	bvs Lbl_9281
	lda $e8
	bne Lbl_9281
	lda $e7			; Ball Height 2
	cmp #$b0
	bcs Lbl_9281
	lda $15
	and #$02
	bne Lbl_9281
	lda $1e
	and #$7f
	cmp #$10
	beq Lbl_9281
	lda $c5
	and #$7f
	beq Lbl_9281
	cmp #$06
	beq Lbl_9281
	cmp #$04
	beq Lbl_92ba
	cmp #$03
	beq Lbl_92ba
	cmp #$02
	bne Lbl_92c0

Lbl_92ba:
	lda $90
	cmp $8a
	beq Lbl_9281

Lbl_92c0:
	lda $27
	cmp #$0f
	bcs Lbl_9281
	lda $26
	cmp #$40
	bcs Lbl_9281
	lda $42
	asl a 
	tay 
	lda Lbl_9a4c,y
	pha 
	iny 
	lda Lbl_9a4c,y
	sta $62
	pla 
	sta $61
	lda $c5
	and #$7f
	cmp #$01
	beq Lbl_930a
	cmp #$02
	beq Lbl_930a
	cmp #$05
	beq Lbl_930a
	cmp #$04
	bne Lbl_92f7
	lda $cd			; load shot type
	cmp #$04
	beq Lbl_930a	; branch if shot type == #$04

Lbl_92f7:
	lda $d3
	sec 
	sbc $2e
	bpl Lbl_9303
	eor #$ff
	clc 
	adc #$01

Lbl_9303:
	cmp #$50
	bcs Lbl_930a
	jmp Lbl_9398

Lbl_930a:
	lda $16
	and #$10
	beq Lbl_9313
	jmp Lbl_9398

Lbl_9313:
	bit $17
	bvs Lbl_9323
	bit $16
	bvs Lbl_9323
	lda $c5
	and #$7f
	cmp #$04
	bne Lbl_9323

Lbl_9323:
	ldy #$02
	lda ($61),y
	sta $63
	pha 
	iny 
	lda ($61),y
	sta $64
	pla 
	and $64
	cmp #$ff
	beq Lbl_9398
	lda $42
	and #$7f
	cmp #$14
	bne Lbl_9346
	lda $1e
	and #$7f
	cmp #$09
	bne Lbl_9398

Lbl_9346:
	jsr Lbl_9466
	lda $63
	pha 
	lda $64
	pha 
	lda $de
	asl a 
	tay 
	lda Lbl_9b4c,y
	sta $63
	lda Lbl_9b4d,y
	sta $64
	jsr Lbl_981e
	pla 
	sta $63
	pla 
	sta $64
	jsr Lbl_94ef
	bcc Lbl_9398

Lbl_936b:
	lda $90
	sta $8a
	lda $16
	ora #$80
	sta $16
	lda #$00
	sta $1c
	sta $1d
	lda $15
	and #$ef
	sta $15
	lda $c5
	and #$7f
	cmp #$01
	bne Lbl_938e
	lda #$05		; ball bouncing?
	jmp Lbl_9390

Lbl_938e:
	lda #$07		; some landing?

Lbl_9390:
	jsr sub_PlaySound	; play a song/sound effect
	lda #$00
	sta $c5
	rts 

Lbl_9398:
	lda $c5
	and #$7f
	cmp #$03
	beq Lbl_93a4
	cmp #$04
	bne Lbl_93bb

Lbl_93a4:
	bit $70
	bvs Lbl_93b7	; branch if overflow set
	ldy a:$008a
	lda $18
	eor Lbl_9452,y
	and #$01
	bne Lbl_93bb
	jmp Lbl_944b

Lbl_93b7:
	lda $8a
	sta $24

Lbl_93bb:
	ldy #$00
	lda ($61),y
	sta $63
	iny 
	lda ($61),y
	sta $64
	jsr Lbl_9466
	lda $63
	pha 
	lda $64
	pha 
	lda $de
	asl a 
	tay 
	lda Lbl_9af2,y
	sta $63
	lda Lbl_9af3,y
	sta $64
	jsr Lbl_981e
	pla 
	sta $63
	pla 
	sta $64
	jsr Lbl_94ef
	bcc Lbl_944b
	lda $c5
	and #$7f
	cmp #$01
	beq Lbl_93fb
	cmp #$02
	beq Lbl_93fb
	cmp #$05
	bne Lbl_9412

Lbl_93fb:
	lda $15
	and #$04
	bne Lbl_944b
	lda $17
	and #$20
	bne Lbl_944b
	lda $1e
	and #$7f
	cmp #$09
	bne Lbl_944b
	jmp Lbl_936b

Lbl_9412:
	lda $27
	cmp #$0f
	bcs Lbl_944a
	bit $22
	bmi Lbl_944a
	jsr Lbl_95cb
	lda #$08
	ldx $cd			; load shot type
	cpx #$04		; check if shot is == #$04
	bcc Lbl_9429	; branch if carry clear
	lda #$37

Lbl_9429:
	jsr sub_PlaySound	; play a song/sound effect
	bit $15
	bvc Lbl_943f	; branch if overflow clear
	ldx #$00
	lda $90
	cmp #$06
	bcc Lbl_943a	; branch if carry clear
	ldx #$01

Lbl_943a:
	lda #$08
	sta $06d7,x

Lbl_943f:
	lda $ce			; get shot power
	sec				; set carry
	sbc #$02		; subtract 2 from shot power
	bcs Lbl_9448	; branch if carry set
	lda #$00

Lbl_9448:
	sta $ce			; set shot power

Lbl_944a:
	rts 

Lbl_944b:
	lda $22
	and #$7f
	sta $22
	rts 

Lbl_9452:
	.byte $00,$00,$00,$00,$00,$00,$01,$01,$01,$01,$01,$01,$00,$01,$02,$03
	.byte $04,$05,$06,$07

Lbl_9466:
	lda $46
	sta $5a
	lda $45
	bit $42
	bmi Lbl_947d
	ldy #$02
	sec 
	sbc ($63),y
	pha 
	lda $5a
	sbc #$00
	sta $5a
	pla 

Lbl_947d:
	sta $59
	ldy #$00
	lda ($63),y
	bit $42
	bmi Lbl_948c
	eor #$ff
	clc 
	adc #$01

Lbl_948c:
	and #$ff
	clc 
	php 
	adc $59
	sta $59
	lda $5a
	adc #$00
	plp 
	bpl Lbl_949e
	clc 
	adc #$ff

Lbl_949e:
	sta $5a
	ldy #$01
	lda ($63),y
	clc 
	php 
	adc $4b
	sta $5b
	lda $4c
	adc #$00
	plp 
	bpl Lbl_94b4
	clc 
	adc #$ff

Lbl_94b4:
	sta $5c
	ldy #$02
	lda ($63),y
	sta $57
	iny 
	lda ($63),y
	sta $58
	rts 

Lbl_94c2:
	.byte $a5,$e1,$38,$e5,$59,$aa,$a5,$e2,$e5,$5a,$90,$1f,$8a,$a0,$02,$d1
	.byte $63,$b0,$18,$a5,$e7,$18,$69,$08,$38,$e5,$5c,$aa,$a5,$e8,$e5,$5b
	.byte $90,$09,$8a,$a0,$03,$d1,$63,$b0,$02,$38,$60,$18,$60

Lbl_94ef:
	ldy #$00
	ldx #$00

Lbl_94f3:
	lda $59,x
	sec 
	sbc $53,x
	sta $4f
	lda $5a,x
	sbc $54,x
	bpl Lbl_950e
	tya 
	clc 
	adc #$06
	tay 
	lda $4f
	eor #$ff
	clc 
	adc #$01
	sta $4f

Lbl_950e:
	lda $4f
	cmp a:$0051,y
	bcs Lbl_9524
	inx 
	inx 
	tya 
	and #$01
	clc 
	adc #$01
	tay 
	and #$01
	bne Lbl_94f3
	sec 
	rts 

Lbl_9524:
	clc 
	rts 

Lbl_9526:
	.byte $00,$01,$02,$03,$04,$05,$06

Lbl_952d:
	.byte $1a,$15,$10,$0b,$06,$01

Lbl_9533:
	.byte $45

Lbl_9534:
	.byte $95,$4b,$95,$51,$95,$57,$95,$5d,$95,$63,$95,$69,$95,$6f,$95,$75
	.byte $95,$02,$02,$02,$04,$02,$02,$02,$01,$02,$04,$02,$02,$00,$00,$01
	.byte $02,$00,$00,$04,$04,$04,$05,$04,$04,$02,$02,$02,$04,$02,$02,$01
	.byte $01,$01,$04,$01,$01,$02,$02,$02,$04,$02,$02,$02,$02,$03,$04,$02
	.byte $02,$03,$03,$03,$04,$03,$03

Lbl_957b:
	.byte $f0

Lbl_957c:
	.byte $f0,$f0,$f1,$f0,$f2,$f0,$f3,$f0,$f4,$f0,$f5,$f0,$f6,$f0,$f7,$f0
	.byte $f8,$f0,$f9,$f1,$f0,$f1,$f1,$f1,$f2,$f1,$f3,$f1,$f4,$f1,$f5,$f1
	.byte $f6,$f1,$f7,$f1,$f8,$f1,$f9,$f2,$f0,$f2,$f1,$f2,$f2,$f2,$f3,$f2
	.byte $f4,$f2,$f5,$f2,$f6,$f2,$f7,$f2,$f8,$f2,$f9,$f2,$f0,$f2,$f1,$f2
	.byte $f2,$f2,$f3,$f2,$f4,$f2,$f5,$f2,$f6,$f2,$f7,$f2,$f8,$f2,$f9

Lbl_95cb:
	lda $cd			; load shot type
	cmp #$06
	bne Lbl_95d5	; branch if shot != #$06
	lda #$80
	sta $d0

Lbl_95d5:
	lda $cd			; load shot type
	bne Lbl_95dc	; branch if not equal
	jmp Lbl_96d0

Lbl_95dc:
	bit $17
	bvc Lbl_95e3
	jmp Lbl_96d0

Lbl_95e3:
	ldx a:$007a		; P2 Team
	lda $17
	bpl Lbl_95ed	; branch if positive
	ldx a:$007b		; P1 Team

Lbl_95ed:
	txa 
	and #$0f
	asl a 
	tay 
	lda Lbl_9533,y
	sta $4f
	lda Lbl_9534,y
	sta $50
	lda $17
	and #$07
	tay 
	lda Lbl_9526,y
	tay 
	sta $4e
	lda ($4f),y
	tay 
	lda Lbl_952d,y
	ldx a:$0076
	bpl Lbl_9627
	pha 
	lda $17
	and #$20
	beq Lbl_961d
	pla 
	jmp Lbl_9627

Lbl_961d:
	pla 
	clc 
	adc #$01
	cmp #$06
	bcc Lbl_9627
	lda #$05

Lbl_9627:
	sta $53
	lda $ce			; load shot power
	sta $55			; store shot power in $55
	ldx #$00
	stx $54
	stx $51
	stx $4d
	ldx #$0f
	stx $57
	ldx #$08		; loop 8 times

Lbl_963b:
	lsr $55
	bcc Lbl_964c	; branch if carry clear
	clc				; clear carry
	lda $53
	adc $57
	sta $57
	lda $51
	adc $54
	sta $54

Lbl_964c:
	asl $53
	rol $51
	dex
	bne Lbl_963b	; branch/loop if not equal
	lda $54
	ldx #$08		; loop 8 times

Lbl_9657:
	asl $57
	rol a 
	cmp #$10
	bcc Lbl_9660	; branch if carry clear
	sbc #$10

Lbl_9660:
	rol $4d
	dex
	bne Lbl_9657	; branch/loop if not equal
	lda $4d
	bne Lbl_966b	; branch if not equal
	lda #$01

Lbl_966b:
	sta $4d
	lda $19
	sec
	sbc $4d
	bcs Lbl_9676	; branch if carry set
	lda #$00

Lbl_9676:		; insert things into OAM (y is index into OAM)
	sta $19
	lda $4d
	asl a
	tax
	ldy $0617	; index into OAM?
	lda #$d8
	sec			; set carry
	sbc $e4
	sta $0200,y
	sta $0204,y
	lda Lbl_957c,x
	sta $0201,y
	lda Lbl_957b,x
	sta $0205,y
	ldx #$10
	bit $17
	bpl Lbl_969e	; branch if positive
	ldx #$11

Lbl_969e:		; continued from $9676
	txa
	sta $0202,y
	sta $0206,y
	lda $e1
	sec				; set carry
	sbc $c3			; subtract sprite X scroll
	sta $0203,y
	sec 			; set carry
	sbc #$08
	sta $0207,y
	lda #$14
	sta $0170		; set $0170 = #$14
	clc				; clear carry
	lda $0617
	adc #$08
	sta $0617
	inc $0171
	lda $0171
	cmp #$04
	bcc Lbl_96d0	; branch if carry clear
	lda #$03
	sta $0171

Lbl_96d0:
	lda $15
	ora #$04
	sta $15
	lda $16
	and #$f7
	sta $16
	lda $cd			; load shot type
	asl a
	asl a
	sta $4d			; store (shot type<<2) in $4d
	tay
	lda Lbl_9745,y	; use (shot type<<2) as index into Lbl_9745
	bmi Lbl_96f3	; branch if minus
	sta $da
	lda #$00
	sta $d9
	lda Lbl_9746,y
	sta $c5

Lbl_96f3:
	ldx $d3
	lda Lbl_9744,y	; use (shot type<<2) as index into Lbl_9744
	clc				; clear carry
	adc $d3
	sta $d3
	stx $37
	lda $1e
	and #$7f
	cmp #$13
	bne Lbl_9708	; branch if not equal
	rts

Lbl_9708:
	lda Lbl_9747,y	; use (shot type<<2) as index into Lbl_9747
	bne Lbl_9719	; branch if not equal
	ldx $ce			; shot power
	lda Lbl_979c,x
	sec 
	sbc #$01
	bpl Lbl_9719
	lda #$00

Lbl_9719:
	sta $22
	ldx $ce			; shot power
	lda Lbl_97dd,x	; use shot power as index into Lbl_97dd
	ldx $4b
	beq Lbl_9726	; branch if equal
	lda #$10

Lbl_9726:
	sta $1e
	lda $1e
	cmp #$10
	beq Lbl_9743	; branch if equal
	lda $2e
	sec 
	sbc $d3
	bpl Lbl_9739
	eor #$ff
	adc #$01

Lbl_9739:
	ldx #$0f
	cmp #$40
	bcs Lbl_9741
	ldx #$0e

Lbl_9741:
	stx $1e

Lbl_9743:
	rts

Lbl_9744:		; (shot type<<2) indexed array starting point
	.byte $80

Lbl_9745:		; more (shot type<<2) indexed array
	.byte $01

Lbl_9746:
	.byte $02

Lbl_9747:		; more (shot type<<2) indexed array
	.byte $00,$80,$04,$05,$00,$80,$04,$05,$00,$80,$04,$05,$06,$80,$08,$02
	.byte $06,$80,$04,$05,$06,$00,$ff,$ff,$0a,$80,$04,$05,$06,$80,$04,$05
	.byte $06,$80,$04,$05,$06,$00,$ff,$ff,$06,$80,$04,$05,$0b,$80,$04,$05
	.byte $06,$80,$04,$05,$0b,$80,$04,$05,$06,$80,$04,$05,$09,$80,$08,$05
	.byte $00,$80,$08,$05,$00,$80,$08,$05,$06,$80,$08,$05,$06,$80,$08,$05
	.byte $0b,$00,$ff,$05,$06

Lbl_979c:
	.byte $00,$01,$01,$02,$02,$03,$03,$03,$04,$04,$04,$04,$05,$05,$05,$05
	.byte $05,$06,$06,$06,$06,$06,$06,$07,$07,$07,$07,$07,$07,$07,$08,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08,$08
	.byte $08

Lbl_97dd:		; a shot power indexed array
	.byte $0f,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10
	.byte $10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10
	.byte $10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10
	.byte $10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10
	.byte $10

Lbl_981e:
	lda $e2
	sta $54
	lda $e1
	bit $de
	bmi Lbl_9835
	ldy #$02
	sec 
	sbc ($63),y
	pha 
	lda $54
	sbc #$00
	sta $54
	pla 

Lbl_9835:
	sta $53
	ldy #$00
	lda ($63),y
	bit $de
	bmi Lbl_9844
	eor #$ff
	clc 
	adc #$01

Lbl_9844:
	and #$ff
	clc 
	php 
	adc $53
	sta $53
	lda $54
	adc #$00
	plp 
	bpl Lbl_9856
	clc 
	adc #$ff

Lbl_9856:
	sta $54
	ldy #$01
	lda ($63),y
	clc 
	php 
	adc $e7			; Ball Height 2
	sta $55
	lda $e8
	adc #$00
	plp 
	bpl Lbl_986c
	clc 
	adc #$ff

Lbl_986c:
	sta $56
	ldy #$02
	lda ($63),y
	sta $51
	iny 
	lda ($63),y
	sta $52
	rts 

Lbl_987a:
	bit $70
	bvc Lbl_9881	; branch if overflow clear
	jmp Lbl_99a2

Lbl_9881:
	clc 
	lda $49
	bne Lbl_98fd
	lda $4c
	bne Lbl_98fd
	lda #$0e
	cmp $46
	bcc Lbl_98fd
	lda $36
	beq Lbl_9899
	clc 
	dec $36
	bne Lbl_98fd

Lbl_9899:
	lda $79			; current song
	and #$0f
	asl a 
	tay 
	lda Lbl_9970,y	; use shifted song value as index into Lbl_9970
	sta $61
	lda Lbl_9971,y	; use shifted song value as index into Lbl_9971
	sta $62
	ldy #$00

Lbl_98ab:
	lda ($61),y
	sec 
	sbc $45
	sta $4e
	iny 
	lda ($61),y
	sta $4d
	and #$0f
	sbc $46
	bcs Lbl_98c5
	tya 
	clc 
	adc #$05
	tay 
	jmp Lbl_98ab

Lbl_98c5:
	iny 
	lda ($61),y
	sta $4f
	bit $4d
	bpl Lbl_98e9
	lda $4e
	asl a 
	asl a 
	asl a 
	sta $4e
	bit $4d
	bvc Lbl_98e2
	lda $4e
	eor #$ff
	clc 
	adc #$01
	sta $4e

Lbl_98e2:
	lda $4f
	clc 
	adc $4e
	sta $4f

Lbl_98e9:
	lda $48
	cmp $4f
	bcc Lbl_98fd
	iny 
	lda $4b
	cmp ($61),y
	bcc Lbl_98fd
	iny 
	lda ($61),y
	cmp $4b
	bcs Lbl_9904

Lbl_98fd:
	bcs Lbl_9903
	bit $70
	bvs Lbl_9918	; branch if overflow set

Lbl_9903:
	rts 

Lbl_9904:
	iny 
	lda ($61),y
	sec 
	sbc $37
	clc 
	adc ($61),y
	clc 
	adc #$80
	sta $37
	lda #$10
	sta $36
	sec 
	rts 

Lbl_9918:
	ldy #$00
	lda $45
	sec 
	sbc Lbl_9968
	lda $46
	sbc Lbl_9969
	bcs Lbl_9934
	lda Lbl_9968
	sta $45
	lda Lbl_9969
	sta $46
	jmp Lbl_994d

Lbl_9934:
	ldy #$01
	lda Lbl_996a
	sec 
	sbc $45
	lda Lbl_996b
	sbc $46
	bcs Lbl_9962
	lda Lbl_996a
	sta $45
	lda Lbl_996b
	sta $46

Lbl_994d:
	lda Lbl_9964,y
	sec 
	sbc $37
	clc 
	adc Lbl_9964,y
	clc 
	adc #$80
	sta $37
	lda #$10
	sta $36
	sec 
	rts 

Lbl_9962:
	clc 
	rts 

Lbl_9964:
	.byte $c0,$40,$80,$00

Lbl_9968:
	.byte $28

Lbl_9969:
	.byte $00

Lbl_996a:
	.byte $d8

Lbl_996b:
	.byte $01,$08,$00,$5b,$00

Lbl_9970:
	.byte $8a

Lbl_9971:
	.byte $99,$8a,$99,$8a,$99,$8a,$99,$8a,$99,$8a,$99,$8a,$99,$8a,$99,$8a
	.byte $99,$90,$99,$8a,$99,$90,$99,$90,$99,$ff,$0f,$70,$00,$ff,$00,$50
	.byte $00,$50,$00,$ff,$00,$c0,$01,$5b,$00,$ff,$00,$ff,$0f,$50,$00,$ff
	.byte $00

Lbl_99a2:
	lda #$00
	sta $60
	lda $46
	bmi Lbl_99b5
	lda $45
	sec 
	sbc #$38
	lda $46
	sbc #$00
	bcs Lbl_99c3

Lbl_99b5:
	lda $60
	ora #$02
	sta $60
	lda #$38
	sta $45
	lda #$00
	sta $46

Lbl_99c3:
	lda #$c8
	sec 
	sbc $45
	lda #$01
	sbc $46
	bcs Lbl_99dc
	lda $60
	ora #$01
	sta $60
	lda #$c8
	sta $45
	lda #$01
	sta $46

Lbl_99dc:
	lda $49
	bmi Lbl_9a08
	lda #$5b
	sec 
	sbc $48
	lda #$00
	sbc $49
	bcs Lbl_99f9
	lda $60
	ora #$08
	sta $60
	lda #$5b
	sta $48
	lda #$00
	sta $49

Lbl_99f9:
	lda $49
	bmi Lbl_9a08
	lda $48
	sec 
	sbc #$08
	lda $49
	sbc #$00
	bcs Lbl_9a16

Lbl_9a08:
	lda $60
	ora #$04
	sta $60
	lda #$08
	sta $48
	lda #$00
	sta $49

Lbl_9a16:
	lda $60
	bne Lbl_9a1c
	clc 
	rts 

Lbl_9a1c:
	tax 
	lda Lbl_9a3c,x
	cmp #$ff
	beq Lbl_9a33
	sta $5f
	sec 
	sbc $37
	clc 
	adc $5f
	clc 
	adc #$80
	sta $37
	sec 
	rts 

Lbl_9a33:
	lda $37
	clc 
	adc #$80
	sta $37
	sec 
	rts 

Lbl_9a3c:
	.byte $00,$40,$c0,$00,$80,$ff,$ff,$00,$00,$ff,$ff,$00,$00,$00,$00,$00

Lbl_9a4c:
	.byte $ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a
	.byte $ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a
	.byte $ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$be,$9a,$ba,$9a,$ba,$9a,$ba,$9a
	.byte $ba,$9a,$ba,$9a,$c2,$9a,$c6,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a
	.byte $ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$c6,$9a,$ba,$9a,$ba,$9a,$ba,$9a
	.byte $ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a
	.byte $ca,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ba,$9a,$ce,$9a
	.byte $ff,$ff,$ce,$9a,$ea,$9a,$da,$9a,$ff,$ff,$ce,$9a,$e6,$9a,$d6,$9a
	.byte $ff,$ff,$fa,$04,$0c,$18,$f8,$00,$10,$1a,$fa,$00,$0a,$0c,$01,$00
	.byte $20,$11,$f8,$00,$10,$10,$f8,$00,$10,$1c,$f8,$04,$10,$1a,$f6,$00
	.byte $12,$10,$f0,$00,$10,$10

Lbl_9af2:
	.byte $24

Lbl_9af3:
	.byte $9b,$24,$9b,$28,$9b,$28,$9b,$28,$9b,$28,$9b,$2c,$9b,$2c,$9b,$2c
	.byte $9b,$2c,$9b,$24,$9b,$24,$9b,$24,$9b,$34,$9b,$34,$9b,$34,$9b,$34
	.byte $9b,$34,$9b,$30,$9b,$24,$9b,$3c,$9b,$40,$9b,$44,$9b,$48,$9b,$38
	.byte $9b,$fa,$02,$0c,$0c,$f9,$01,$0e,$0e,$f8,$00,$10,$10,$f8,$05,$10
	.byte $05,$f9,$03,$0e,$0c,$fa,$02,$0c,$0c,$fc,$02,$08,$0e,$fd,$02,$06
	.byte $0e,$fd,$00,$06,$10,$fd,$02,$06,$1c

Lbl_9b4c:
	.byte $7e

Lbl_9b4d:
	.byte $9b,$7e,$9b,$82,$9b,$82,$9b,$82,$9b,$82,$9b,$86,$9b,$86,$9b,$86
	.byte $9b,$86,$9b,$7e,$9b,$7e,$9b,$7e,$9b,$8e,$9b,$8e,$9b,$8e,$9b,$8e
	.byte $9b,$8e,$9b,$8a,$9b,$7e,$9b,$96,$9b,$9a,$9b,$9e,$9b,$a2,$9b,$92
	.byte $9b,$fa,$02,$0c,$0c,$f9,$01,$0e,$0e,$f8,$00,$10,$10,$f8,$05,$10
	.byte $05,$f9,$03,$0e,$0c,$fd,$01,$06,$06,$fc,$02,$08,$0e,$fd,$02,$06
	.byte $0e,$fd,$00,$06,$10,$fd,$02,$06,$1c,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$0c,$03,$06,$0c,$06,$0d,$06,$0e,$06,$0f,$06,$10,$06
	.byte $11,$06,$12,$06,$13,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$09
	.byte $0c,$09,$0d,$09,$0e,$09,$0f,$09,$10,$ff,$ff,$ff,$ff,$ff,$ff,$09
	.byte $15,$09,$16,$09,$17,$09,$18,$09,$19,$0b,$0c,$0b,$0d,$0b,$0e,$0b
	.byte $0f,$0b,$10,$ff,$ff,$ff,$ff,$ff,$ff,$0b,$15,$0b,$16,$0b,$17,$0b
	.byte $18,$0b,$19,$0d,$0c,$0d,$0d,$0d,$0e,$0d,$0f,$0d,$10,$ff,$ff,$ff
	.byte $ff,$ff,$ff,$0d,$15,$0d,$16,$0d,$17,$0d,$18,$0d,$19,$01,$01,$01
	.byte $01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$02,$02,$02,$02,$02,$02
	.byte $02,$02,$03,$03,$03,$03,$03,$04,$04,$04,$04,$04,$04,$04,$04,$05
	.byte $05,$05,$05,$05,$06,$06,$06,$06,$06,$06,$06,$06,$00,$00,$00,$00
	.byte $00,$06,$06,$06,$06,$06,$06,$06,$06,$06,$06,$06,$06,$06,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$01,$01,$01,$01,$01,$02,$02,$02,$02,$02
	.byte $02,$02,$02,$03,$03,$03,$03,$03,$04,$04,$04,$04,$04,$04,$04,$04
	.byte $05,$05,$05,$05,$05,$00,$00,$01,$00,$01,$08,$02,$00,$02,$08,$03
	.byte $00,$03,$08,$0b,$05,$10,$04,$10,$06,$10,$08,$10,$0a,$10,$0c,$10
	.byte $0f,$10,$11,$10,$13,$10,$15,$10,$17,$10,$7b,$10,$7b,$12,$04,$12
	.byte $06,$12,$08,$12,$0a,$12,$0c,$12,$0f,$12,$11,$12,$13,$12,$15,$12
	.byte $17,$12,$5a,$12,$3c,$14,$04,$14,$06,$14,$08,$14,$0a,$14,$0c,$14
	.byte $0f,$ff,$ff,$14,$13,$ff,$ff,$14,$17,$14,$9b,$14,$9b,$16,$04,$16
	.byte $06,$16,$08,$16,$0a,$16,$0c,$16,$0f,$16,$11,$16,$13,$16,$15,$16
	.byte $17,$16,$ba,$16,$ba,$18,$04,$18,$06,$18,$08,$18,$0a,$18,$0c,$18
	.byte $0f,$ff,$ff,$18,$13,$ff,$ff,$18,$17,$18,$da,$18,$da,$1a,$04,$1a
	.byte $06,$1a,$08,$1a,$0a,$ff,$ff,$1a,$0f,$1a,$11,$ff,$ff,$ff,$ff,$3a
	.byte $f7,$1a,$fa,$1a,$fa,$20,$a6,$fd,$ad,$f1,$00,$0d,$f2,$00,$0d,$f3
	.byte $00,$0d,$f4,$00,$85,$09,$a5,$09,$f0,$34,$ad,$f5,$00,$0d,$f6,$00
	.byte $0d,$f7,$00,$0d,$f8,$00,$85,$09,$a5,$09,$85,$50,$f0,$07,$a0,$00
	.byte $84,$4d,$4c,$db,$9e,$e6,$4d,$a9,$10,$c5,$4d,$d0,$11,$a9,$00,$85
	.byte $4d,$a5,$f1,$05,$f2,$05,$f3,$05,$f4,$85,$50,$4c,$db,$9e,$98,$48
	.byte $20,$00,$fa,$20,$a0,$fc,$20,$8a,$fe,$20,$34,$fe,$20,$37,$a2,$20
	.byte $b6,$a3,$a9,$00,$8d,$05,$20,$8d,$05,$20,$68,$4c,$72,$9e,$a5,$50
	.byte $29,$03,$c9,$03,$d0,$06,$a5,$50,$29,$fc,$85,$50,$a5,$50,$29,$0c
	.byte $c9,$0c,$d0,$06,$a5,$50,$29,$f3,$85,$50,$60,$20,$8a,$fe,$a9,$00
	.byte $85,$fe,$8d,$01,$20,$a9,$20,$8d,$06,$20,$a9,$00,$8d,$06,$20,$a9
	.byte $00,$a2,$20,$a0,$20,$8d,$07,$20,$88,$d0,$fa,$ca,$d0,$f5,$a5,$0e
	.byte $20,$65,$fa,$20,$3f,$a4,$a9,$2a,$20,$15,$fa,$a5,$fe,$09,$18,$85
	.byte $fe,$8d,$01,$20,$a9,$10,$8d,$02,$02,$8d,$06,$02,$a9,$00,$a0,$13
	.byte $99,$4d,$00,$88,$10,$fa,$a9,$00,$8d,$05,$20,$8d,$05,$20,$a5,$0f
	.byte $20,$58,$a2,$20,$a6,$a1,$20,$b8,$9f,$a9,$00,$85,$54,$20,$81,$a1
	.byte $20,$b8,$9f,$a5,$0f,$20,$72,$9e,$a9,$10,$20,$15,$fa,$20,$0a,$a0
	.byte $90,$06,$a5,$0f,$20,$58,$a2,$60,$20,$00,$fa,$20,$a0,$fc,$20,$8a
	.byte $fe,$20,$34,$fe,$20,$37,$a2,$a4,$55,$f0,$c8,$a5,$01,$8d,$06,$20
	.byte $a5,$00,$8d,$06,$20,$ae,$07,$20,$ae,$07,$20,$c0,$02,$d0,$02,$a2
	.byte $00,$a5,$03,$8d,$06,$20,$a5,$02,$8d,$06,$20,$8e,$07,$20,$a9,$00
	.byte $8d,$05,$20,$8d,$05,$20,$85,$55,$4c,$50,$9f,$20,$cb,$a1,$a2,$00
	.byte $86,$06,$0a,$a8,$b1,$5d,$10,$14,$a0,$02,$b1,$57,$48,$29,$0f,$91
	.byte $57,$20,$0a,$a0,$a0,$02,$68,$91,$57,$4c,$b8,$9f,$b1,$5d,$0a,$0a
	.byte $0a,$c1,$59,$d0,$02,$e6,$06,$81,$59,$c8,$b1,$5d,$0a,$0a,$0a,$38
	.byte $e5,$5f,$85,$07,$a0,$03,$d1,$59,$d0,$0c,$a6,$06,$f0,$08,$a0,$02
	.byte $b1,$57,$29,$0f,$d0,$c2,$a5,$07,$a0,$03,$91,$59,$60,$a0,$02,$a9
	.byte $01,$31,$57,$f0,$1a,$a0,$00,$20,$e6,$a1,$d1,$5b,$f0,$11,$90,$0f
	.byte $a9,$00,$a8,$91,$57,$a2,$04,$20,$26,$a2,$a9,$00,$a8,$91,$57,$a0
	.byte $02,$a9,$02,$31,$57,$f0,$18,$a0,$00,$20,$ee,$a1,$10,$11,$a0,$00
	.byte $b1,$5b,$91,$57,$a2,$08,$20,$26,$a2,$a0,$00,$b1,$5b,$91,$57,$a0
	.byte $02,$a9,$04,$31,$57,$f0,$1c,$a0,$01,$20,$e6,$a1,$d1,$5b,$f0,$13
	.byte $90,$11,$a9,$00,$a0,$01,$91,$57,$a2,$01,$20,$26,$a2,$a9,$00,$a0
	.byte $01,$91,$57,$a0,$02,$a9,$08,$31,$57,$f0,$18,$a0,$01,$20,$ee,$a1
	.byte $10,$11,$a0,$01,$b1,$5b,$91,$57,$a2,$02,$20,$26,$a2,$a0,$01,$b1
	.byte $5b,$91,$57,$a9,$80,$a0,$02,$31,$57,$d0,$0d,$a9,$40,$31,$57,$d0
	.byte $02,$18,$60,$a9,$02,$4c,$54,$a1,$20,$cb,$a1,$0a,$a8,$85,$08,$c8
	.byte $b1,$5d,$4a,$4a,$4a,$4a,$29,$fe,$a8,$b9,$71,$a1,$85,$04,$b9,$72
	.byte $a1,$85,$05,$6c,$04,$00,$20,$81,$a1,$a2,$00,$20,$f6,$a1,$20,$a6
	.byte $a1,$a2,$01,$20,$f6,$a1,$a9,$01,$85,$55,$4c,$54,$a1,$a9,$01,$4c
	.byte $54,$a1,$a9,$02,$4c,$54,$a1,$a9,$08,$4c,$54,$a1,$a9,$04,$4c,$54
	.byte $a1,$20,$a6,$a1,$20,$cb,$a1,$a8,$b9,$6a,$9d,$0a,$a8,$b9,$d2,$9d
	.byte $85,$53,$b9,$d3,$9d,$85,$52,$20,$81,$a1,$18,$60,$20,$a6,$a1,$20
	.byte $cb,$a1,$a8,$b9,$9e,$9d,$0a,$a8,$b9,$d2,$9d,$85,$53,$b9,$d3,$9d
	.byte $85,$52,$20,$81,$a1,$18,$60,$a4,$08,$b1,$5d,$4a,$4a,$4a,$4a,$29
	.byte $fe,$a8,$b9,$61,$a1,$85,$04,$b9,$62,$a1,$85,$05,$6c,$04,$00,$38
	.byte $60,$20,$81,$a1,$a2,$00,$20,$f6,$a1,$20,$a6,$a1,$a2,$01,$20,$f6
	.byte $a1,$a9,$02,$85,$55,$a9,$01,$85,$54,$20,$a6,$a1,$20,$0a,$a0,$20
	.byte $81,$a1,$18,$60,$3c,$a1,$3e,$a1,$5f,$a1,$5f,$a1,$5f,$a1,$5f,$a1
	.byte $5f,$a1,$5f,$a1,$c3,$a0,$da,$a0,$df,$a0,$e4,$a0,$e9,$a0,$ee,$a0
	.byte $09,$a1,$24,$a1,$a9,$4e,$85,$57,$a9,$00,$85,$58,$a9,$00,$85,$59
	.byte $a9,$02,$85,$5a,$a9,$e0,$85,$5b,$a9,$9d,$85,$5c,$a9,$e2,$85,$5d
	.byte $a9,$9d,$85,$5e,$a9,$08,$85,$5f,$60,$a9,$52,$85,$57,$a9,$00,$85
	.byte $58,$a9,$04,$85,$59,$a9,$02,$85,$5a,$a9,$00,$85,$5b,$a9,$9d,$85
	.byte $5c,$a9,$02,$85,$5d,$a9,$9d,$85,$5e,$a9,$00,$85,$5f,$60,$a0,$01
	.byte $b1,$57,$aa,$a9,$00,$a8,$e0,$00,$f0,$09,$18,$69,$01,$71,$5b,$ca
	.byte $4c,$d3,$a1,$18,$a0,$00,$71,$57,$60,$b1,$57,$18,$69,$01,$91,$57
	.byte $60,$b1,$57,$38,$e9,$01,$91,$57,$60,$8a,$48,$20,$cb,$a1,$0a,$a8
	.byte $68,$0a,$aa,$a9,$00,$95,$00,$b1,$5d,$29,$1f,$95,$01,$56,$01,$76
	.byte $00,$56,$01,$76,$00,$56,$01,$76,$00,$c8,$b1,$5d,$29,$1f,$15,$00
	.byte $95,$00,$a9,$20,$15,$01,$95,$01,$60,$a0,$02,$b1,$57,$48,$8a,$91
	.byte $57,$20,$0a,$a0,$a0,$02,$68,$91,$57,$60,$a9,$00,$8d,$05,$02,$e6
	.byte $51,$a5,$51,$a2,$00,$29,$04,$d0,$02,$a2,$3f,$8e,$01,$02,$a5,$51
	.byte $a2,$00,$29,$04,$d0,$02,$a2,$10,$86,$0a,$60,$48,$20,$a6,$fd,$68
	.byte $a8,$a5,$f1,$05,$f2,$05,$f3,$05,$f4,$85,$0a,$d0,$01,$60,$98,$48
	.byte $20,$00,$fa,$20,$a0,$fc,$20,$8a,$fe,$20,$34,$fe,$20,$37,$a2,$20
	.byte $b6,$a3,$68,$a9,$00,$8d,$05,$20,$8d,$05,$20,$4c,$58,$a2,$a9,$11
	.byte $85,$0e,$a9,$00,$85,$0f,$20,$f8,$9e,$20,$8a,$fe,$a9,$00,$8d,$01
	.byte $20,$85,$50,$20,$ff,$a2,$a9,$15,$85,$0e,$a9,$01,$85,$0f,$20,$f8
	.byte $9e,$a9,$00,$8d,$01,$20,$a9,$01,$85,$50,$20,$ff,$a2,$a9,$00,$20
	.byte $15,$fa,$60,$20,$cc,$08,$21,$2c,$05,$21,$35,$05,$21,$6c,$05,$21
	.byte $75,$05,$21,$ac,$05,$21,$b5,$05,$05,$bf,$80,$05,$cf,$01,$05,$d4
	.byte $02,$05,$d9,$04,$05,$de,$08,$05,$e3,$10,$05,$e8,$20,$05,$c7,$80
	.byte $05,$ed,$01,$05,$f2,$02,$05,$f7,$04,$05,$fc,$08,$06,$01,$10,$06
	.byte $06,$20,$a9,$00,$8d,$01,$20,$a9,$00,$85,$53,$a9,$07,$85,$57,$a9
	.byte $a2,$85,$52,$a9,$d5,$85,$51,$a9,$06,$85,$56,$a9,$ed,$85,$55,$a5
	.byte $50,$f0,$10,$a9,$a2,$85,$52,$a9,$ea,$85,$51,$a9,$06,$85,$56,$a9
	.byte $ee,$85,$55,$a4,$53,$b1,$51,$85,$4e,$b9,$c0,$a2,$85,$0a,$8d,$06
	.byte $20,$c8,$b1,$51,$85,$4d,$b9,$c0,$a2,$85,$0b,$8d,$06,$20,$c8,$b1
	.byte $51,$85,$54,$b9,$c0,$a2,$aa,$c8,$84,$53,$20,$9f,$a3,$a5,$4f,$a5
	.byte $0a,$8d,$06,$20,$a5,$0b,$8d,$06,$20,$20,$8a,$a3,$a5,$4f,$d0,$0d
	.byte $a5,$54,$49,$ff,$a0,$00,$31,$55,$91,$55,$4c,$82,$a3,$a5,$54,$a0
	.byte $00,$11,$55,$91,$55,$c6,$57,$f0,$03,$4c,$30,$a3,$60,$a0,$00,$84
	.byte $4f,$ad,$07,$20,$ad,$07,$20,$91,$4d,$05,$4f,$85,$4f,$c8,$ca,$d0
	.byte $f3,$60,$8a,$48,$a0,$00,$84,$4f,$ad,$07,$20,$ad,$07,$20,$05,$4f
	.byte $85,$4f,$c8,$ca,$d0,$f5,$68,$aa,$60,$ad,$04,$02,$c5,$0e,$d0,$07
	.byte $ad,$07,$02,$c5,$0f,$f0,$34,$a9,$00,$85,$0c,$85,$0d,$a5,$0e,$18
	.byte $69,$08,$29,$f8,$0a,$26,$0d,$0a,$26,$0d,$85,$0c,$a5,$0f,$4a,$4a
	.byte $4a,$18,$65,$0c,$85,$0c,$a9,$00,$65,$0d,$09,$20,$85,$0d,$8d,$06
	.byte $20,$a5,$0c,$8d,$06,$20,$a9,$16,$8d,$07,$20,$a9,$00,$85,$0c,$85
	.byte $0d,$ad,$04,$02,$18,$69,$08,$29,$f8,$0a,$26,$0d,$0a,$26,$0d,$85
	.byte $0c,$ad,$07,$02,$4a,$4a,$4a,$18,$65,$0c,$85,$0c,$a9,$00,$65,$0d
	.byte $09,$20,$85,$0d,$8d,$06,$20,$a5,$0c,$8d,$06,$20,$a2,$00,$a5,$0a
	.byte $f0,$02,$a2,$16,$8e,$07,$20,$ad,$04,$02,$85,$0e,$ad,$07,$02,$85
	.byte $0f,$60,$ae,$ed,$06,$a9,$b9,$85,$4f,$a9,$a4,$85,$50,$a5,$0f,$f0
	.byte $0b,$a9,$c7,$85,$4f,$a9,$a4,$85,$50,$ae,$ee,$06,$8a,$85,$4e,$4a
	.byte $29,$40,$05,$4e,$85,$4e,$a9,$00,$85,$4d,$46,$4e,$90,$37,$a5,$4d
	.byte $0a,$a8,$b9,$ac,$a4,$8d,$06,$20,$b9,$ab,$a4,$8d,$06,$20,$a5,$ff
	.byte $29,$fb,$85,$ff,$8d,$00,$20,$a5,$4d,$0a,$a8,$b1,$4f,$85,$53,$c8
	.byte $b1,$4f,$85,$54,$a6,$4d,$bd,$d5,$a4,$aa,$a0,$00,$b1,$53,$8d,$07
	.byte $20,$c8,$ca,$d0,$f7,$e6,$4d,$a5,$4d,$c9,$07,$d0,$bd,$60,$2c,$21
	.byte $35,$21,$6c,$21,$75,$21,$ac,$21,$b5,$21,$cc,$20,$cf,$05,$d4,$05
	.byte $d9,$05,$de,$05,$e3,$05,$e8,$05,$bf,$05,$ed,$05,$f2,$05,$f7,$05
	.byte $fc,$05,$01,$06,$06,$06,$c7,$05,$05,$05,$05,$05,$05,$05,$08,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00

Lbl_a600:
	jsr Lbl_a64e
	beq Lbl_a61a	; branch if equal
	cmp #$20
	beq Lbl_a61b	; branch if equal
	pha
	jsr Lbl_a61c
	and #$1f
	clc				; clear carry
	adc #$01
	sta $06b4
	pla
	cmp $06b4
	rts

Lbl_a61a:
	clc				; clear carry

Lbl_a61b:
	rts

Lbl_a61c:
	sty a:$006b
	ldy #$04
	inc $069f
	inc $06a1

Lbl_a627:
	ror $06a0
	ror $06a1
	ror $06a2
	bcs Lbl_a63b
	lda $06a1
	adc $069f
	sta $06a1

Lbl_a63b:
	dey 
	bne Lbl_a627
	lda $06a0
	adc $06a2
	sta $06a2
	adc $06a1
	ldy a:$006b
	rts 

Lbl_a64e:
	sty $6b
	asl a 
	tay 
	lda Lbl_a69b,y
	sta $72
	lda Lbl_a69c,y
	sta $73
	lda $17
	and #$07
	asl a 
	asl a 
	asl a 
	sta $07e6
	lda $41
	and #$07

Lbl_a66a:
	ora $07e6
	tay 
	lda ($72),y
	php 
	ldy $6b
	plp 
	rts 

Lbl_a675:
	sty $6b
	asl a 
	tay 
	lda Lbl_a69b,y
	sta $72
	lda Lbl_a69c,y
	sta $73
	lda $17
	and #$07
	asl a 
	asl a 
	asl a 
	sta $07e6
	lda $41
	and #$07
	bit a:$0076
	bpl Lbl_a698
	lda #$07

Lbl_a698:
	jmp Lbl_a66a

Lbl_a69b:
	.byte $ff

Lbl_a69c:
	.byte $a6,$2f,$a7,$5f,$a7,$8f,$a7,$bf,$a7,$ef,$a7,$1f,$a8,$4f,$a8,$4f
	.byte $a8,$4f,$a8,$7f,$a8,$af,$a8,$df,$a8,$0f,$a9,$3f,$a9,$6f,$a9,$9f
	.byte $a9,$cf,$a9,$ff,$a9,$2f,$aa,$5f,$aa,$8f,$aa,$bf,$aa,$ef,$aa,$1f
	.byte $ab,$4f,$ab,$7f,$ab,$af,$ab,$df,$ab,$0f,$ac,$3f,$ac,$6f,$ac,$9f
	.byte $ac,$cf,$ac,$ff,$ac,$2f,$ad,$5f,$ad,$5f,$ad,$8f,$ad,$bf,$ad,$ef
	.byte $ad,$1f,$ae,$4f,$ae,$7f,$ae,$af,$ae,$df,$ae,$0f,$af,$3f,$af,$6f
	.byte $af,$9f,$af,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$20,$00
	.byte $20,$00,$00,$00,$00,$00,$20,$00,$20,$00,$00,$00,$00,$00,$20,$00
	.byte $20,$00,$00,$00,$00,$00,$20,$00,$20,$00,$00,$00,$00,$00,$20,$00
	.byte $20,$00,$00,$10,$28,$00,$50,$30,$20,$10,$38,$10,$28,$00,$38,$30
	.byte $20,$10,$38,$10,$28,$00,$38,$30,$20,$10,$38,$10,$28,$00,$38,$30
	.byte $20,$10,$38,$10,$28,$00,$38,$30,$20,$10,$38,$10,$28,$00,$38,$30
	.byte $20,$10,$38,$00,$01,$02,$00,$0c,$00,$20,$10,$00,$01,$00,$00,$0c
	.byte $08,$20,$10,$00,$01,$00,$00,$0c,$08,$20,$10,$00,$01,$00,$00,$0c
	.byte $08,$20,$10,$00,$01,$00,$00,$0c,$08,$20,$10,$00,$01,$00,$00,$0c
	.byte $08,$20,$10,$20,$1c,$16,$20,$14,$20,$20,$18,$20,$18,$14,$20,$12
	.byte $20,$20,$18,$20,$18,$14,$20,$12,$20,$20,$18,$20,$18,$14,$20,$12
	.byte $20,$20,$18,$20,$18,$14,$20,$12,$20,$20,$18,$20,$18,$14,$20,$12
	.byte $20,$20,$18,$00,$00,$00,$00,$00,$00,$00,$00,$1e,$00,$0a,$08,$00
	.byte $20,$00,$00,$1e,$00,$0a,$08,$00,$20,$00,$00,$1e,$00,$0a,$08,$00
	.byte $20,$00,$00,$1e,$00,$0a,$08,$00,$20,$00,$00,$1e,$00,$0a,$08,$00
	.byte $20,$00,$00,$0c,$10,$20,$00,$18,$20,$20,$08,$0c,$10,$20,$00,$18
	.byte $00,$20,$08,$0c,$10,$20,$00,$18,$00,$20,$08,$0c,$10,$20,$00,$18
	.byte $00,$20,$08,$0c,$10,$20,$00,$18,$00,$20,$08,$0c,$10,$20,$00,$18
	.byte $00,$20,$08,$14,$20,$20,$04,$1c,$20,$20,$18,$14,$20,$20,$0c,$1c
	.byte $10,$20,$18,$14,$20,$20,$0c,$1c,$10,$20,$18,$14,$20,$20,$0c,$1c
	.byte $10,$20,$18,$14,$20,$20,$0c,$1c,$10,$20,$18,$14,$20,$20,$0c,$1c
	.byte $10,$20,$18,$00,$00,$00,$00,$00,$00,$00,$00,$20,$00,$00,$08,$00
	.byte $20,$00,$00,$20,$00,$00,$08,$00,$20,$00,$00,$20,$00,$00,$08,$00
	.byte $20,$00,$00,$20,$00,$00,$08,$00,$20,$00,$00,$20,$00,$00,$08,$00
	.byte $20,$00,$00,$04,$12,$0a,$10,$06,$20,$10,$10,$04,$12,$0a,$18,$06
	.byte $04,$1c,$10,$04,$12,$0a,$18,$06,$04,$1c,$10,$04,$12,$0a,$18,$06
	.byte $04,$1c,$10,$04,$12,$0a,$18,$06,$04,$1c,$10,$04,$12,$0a,$18,$06
	.byte $04,$1c,$10,$00,$02,$08,$00,$1c,$00,$20,$10,$00,$02,$08,$00,$1c
	.byte $00,$20,$10,$00,$02,$08,$00,$1c,$00,$20,$10,$00,$02,$08,$00,$1c
	.byte $00,$20,$10,$00,$02,$08,$00,$1c,$00,$20,$10,$00,$02,$08,$00,$1c
	.byte $00,$20,$10,$14,$16,$16,$16,$18,$1e,$1c,$1f,$10,$12,$12,$12,$14
	.byte $1e,$1c,$1f,$10,$12,$12,$12,$14,$1e,$1c,$1f,$10,$10,$12,$12,$14
	.byte $1e,$1c,$1f,$10,$10,$0e,$12,$14,$1e,$1c,$1f,$10,$10,$0e,$12,$14
	.byte $1e,$1c,$1f,$00,$20,$00,$20,$20,$00,$00,$20,$00,$20,$00,$20,$20
	.byte $00,$00,$20,$00,$20,$00,$20,$20,$00,$00,$20,$00,$20,$00,$20,$20
	.byte $00,$00,$20,$00,$20,$00,$20,$20,$00,$00,$20,$00,$20,$00,$20,$20
	.byte $00,$00,$20,$01,$00,$04,$10,$00,$20,$00,$18,$00,$00,$01,$10,$00
	.byte $00,$00,$18,$00,$00,$01,$10,$00,$00,$00,$18,$00,$00,$01,$10,$00
	.byte $00,$00,$18,$00,$00,$01,$10,$00,$00,$00,$18,$00,$00,$01,$10,$00
	.byte $00,$00,$18,$20,$04,$10,$04,$04,$00,$20,$04,$20,$04,$10,$04,$04
	.byte $20,$20,$04,$20,$04,$10,$04,$04,$20,$20,$04,$20,$04,$10,$04,$04
	.byte $20,$20,$04,$20,$04,$10,$04,$04,$20,$20,$04,$20,$04,$10,$04,$04
	.byte $20,$20,$04,$14,$0a,$0d,$13,$0a,$15,$0f,$0d,$19,$17,$15,$1a,$15
	.byte $1b,$17,$19,$19,$17,$15,$1a,$15,$1b,$17,$19,$19,$17,$15,$1a,$15
	.byte $1b,$17,$19,$18,$12,$14,$16,$12,$18,$14,$17,$19,$15,$15,$1a,$15
	.byte $1b,$17,$19,$1a,$11,$16,$17,$11,$17,$14,$10,$1f,$1e,$1e,$1e,$1c
	.byte $1d,$1c,$1c,$1f,$1e,$1e,$1e,$1c,$1d,$1c,$1c,$1f,$1e,$1e,$1e,$1c
	.byte $1d,$1c,$1c,$1e,$19,$1d,$1a,$19,$1a,$19,$1a,$1f,$1c,$1e,$1e,$1c
	.byte $1d,$1c,$1c,$20,$1d,$20,$20,$1f,$20,$20,$20,$20,$1f,$20,$20,$1f
	.byte $20,$20,$20,$20,$1f,$20,$20,$1f,$20,$20,$20,$20,$1f,$20,$20,$1f
	.byte $20,$20,$20,$1f,$1a,$1f,$1c,$1c,$1d,$1d,$1e,$20,$1d,$20,$20,$1f
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$00,$0c,$00,$00,$0a,$00,$08,$04,$00,$0c,$00,$00,$0a
	.byte $06,$08,$04,$00,$0c,$00,$00,$0a,$06,$08,$04,$00,$0c,$00,$00,$0a
	.byte $06,$08,$04,$00,$0c,$00,$00,$0a,$06,$08,$04,$00,$0c,$00,$00,$0a
	.byte $06,$08,$04,$00,$03,$0e,$00,$00,$00,$04,$02,$00,$03,$0e,$00,$00
	.byte $01,$04,$02,$00,$03,$0e,$00,$00,$00,$04,$02,$00,$03,$0e,$00,$00
	.byte $01,$04,$02,$00,$03,$0e,$00,$00,$01,$04,$02,$00,$03,$0e,$00,$00
	.byte $01,$04,$02,$10,$18,$10,$00,$10,$00,$20,$20,$10,$18,$10,$00,$10
	.byte $00,$20,$20,$10,$18,$10,$00,$10,$00,$20,$20,$10,$18,$10,$00,$10
	.byte $00,$20,$20,$10,$18,$10,$00,$10,$00,$20,$20,$10,$18,$10,$00,$10
	.byte $00,$20,$20,$10,$18,$10,$20,$20,$20,$00,$20,$10,$18,$10,$20,$20
	.byte $20,$00,$20,$10,$18,$10,$20,$20,$20,$00,$20,$10,$18,$10,$20,$20
	.byte $20,$00,$20,$10,$18,$10,$20,$20,$20,$00,$20,$10,$18,$10,$20,$20
	.byte $20,$00,$20,$0a,$09,$10,$08,$0f,$09,$10,$0c,$11,$0e,$13,$0f,$12
	.byte $10,$15,$0f,$0d,$0b,$10,$0b,$0f,$0c,$12,$0c,$0c,$0a,$10,$0a,$0f
	.byte $0b,$11,$0c,$0a,$09,$10,$08,$0f,$09,$10,$0c,$0c,$0a,$10,$0a,$0f
	.byte $0b,$11,$0c,$11,$12,$18,$13,$15,$07,$10,$16,$11,$12,$18,$13,$15
	.byte $07,$10,$16,$16,$16,$1b,$18,$18,$0c,$14,$19,$12,$13,$18,$14,$15
	.byte $08,$11,$16,$10,$11,$18,$12,$15,$06,$0f,$16,$0f,$11,$18,$11,$15
	.byte $05,$0f,$16,$0f,$11,$07,$0f,$14,$0c,$10,$14,$0f,$11,$07,$0f,$14
	.byte $0c,$10,$14,$14,$15,$0a,$14,$17,$11,$14,$17,$10,$12,$07,$10,$14
	.byte $0d,$11,$14,$0e,$10,$07,$0e,$14,$0b,$0f,$14,$0d,$10,$07,$0d,$14
	.byte $0a,$0f,$14,$0d,$0f,$12,$0d,$13,$0e,$10,$12,$0d,$0f,$12,$0d,$13
	.byte $0e,$10,$12,$12,$13,$15,$12,$16,$13,$14,$15,$0e,$10,$12,$0e,$13
	.byte $0f,$11,$12,$0c,$0e,$12,$0c,$13,$0d,$0f,$12,$0b,$0e,$12,$0b,$13
	.byte $0c,$0f,$12,$0b,$0b,$0a,$0c,$12,$0f,$10,$10,$0b,$0b,$0a,$0c,$12
	.byte $0f,$10,$10,$10,$0f,$0d,$11,$15,$14,$14,$13,$0c,$0c,$0a,$0d,$12
	.byte $10,$11,$10,$0a,$0a,$0a,$0b,$12,$0e,$0f,$10,$09,$0a,$0a,$0a,$12
	.byte $0d,$0f,$10,$07,$0a,$0f,$0b,$11,$0e,$10,$0e,$07,$0a,$0f,$0b,$11
	.byte $0e,$10,$0e,$0c,$0e,$12,$10,$14,$13,$14,$11,$08,$0b,$0f,$0c,$11
	.byte $0f,$11,$0e,$06,$09,$0f,$0a,$11,$0d,$0f,$0e,$05,$09,$0f,$09,$11
	.byte $0c,$0f,$0e,$03,$08,$0b,$09,$04,$0c,$10,$0c,$03,$08,$0b,$09,$04
	.byte $0c,$10,$0c,$08,$0c,$0e,$0e,$07,$11,$14,$0f,$04,$09,$0b,$0a,$04
	.byte $0d,$11,$0c,$02,$07,$0b,$08,$04,$0b,$0f,$0c,$01,$07,$0b,$07,$04
	.byte $0a,$0f,$0c,$00,$04,$0e,$05,$03,$07,$10,$0a,$00,$04,$0e,$05,$03
	.byte $07,$10,$0a,$04,$08,$11,$0a,$06,$0c,$14,$0d,$00,$05,$0e,$06,$03
	.byte $08,$11,$0a,$00,$03,$0e,$04,$03,$06,$0f,$0a,$00,$03,$0e,$03,$03
	.byte $05,$0f,$0a,$00,$00,$09,$00,$02,$00,$02,$05,$00,$00,$09,$00,$02
	.byte $00,$02,$05,$00,$00,$0c,$03,$05,$01,$06,$08,$00,$00,$09,$00,$02
	.byte $00,$03,$05,$00,$00,$09,$00,$02,$00,$01,$05,$00,$00,$09,$00,$02
	.byte $00,$01,$05,$00,$00,$00,$10,$00,$20,$00,$20,$00,$00,$00,$10,$00
	.byte $00,$00,$20,$00,$00,$00,$10,$00,$00,$00,$20,$00,$00,$00,$10,$00
	.byte $00,$00,$20,$00,$00,$00,$10,$00,$00,$00,$20,$00,$00,$00,$10,$00
	.byte $00,$00,$20,$20,$00,$02,$20,$00,$20,$20,$00,$00,$00,$02,$10,$00
	.byte $20,$20,$00,$00,$00,$02,$10,$00,$20,$20,$00,$00,$00,$02,$10,$00
	.byte $20,$20,$00,$00,$00,$02,$10,$00,$20,$20,$00,$00,$00,$02,$10,$00
	.byte $20,$20,$00,$06,$0e,$05,$09,$07,$0b,$0d,$0c,$12,$01,$13,$01,$01
	.byte $01,$01,$01,$01,$01,$01,$01,$14,$01,$01,$01,$01,$01,$01,$01,$01
	.byte $01,$04,$01,$01,$01,$01,$03,$01,$01,$01,$01,$01,$01,$01,$01,$01
	.byte $0a,$01,$08,$00,$00,$00,$00,$00,$07,$00,$00,$09,$02,$02,$07,$00
	.byte $09,$04,$05,$0a,$02,$02,$08,$00,$0a,$04,$05,$08,$02,$02,$06,$00
	.byte $08,$04,$05,$03,$00,$00,$01,$00,$03,$00,$02,$07,$00,$02,$05,$00
	.byte $07,$02,$05,$0d,$00,$00,$00,$00,$0d,$00,$00,$16,$10,$12,$12,$0e
	.byte $12,$10,$0f,$17,$10,$12,$13,$0e,$13,$10,$0f,$15,$10,$12,$11,$0e
	.byte $11,$10,$0f,$10,$0b,$0f,$0c,$0b,$0c,$0b,$0c,$14,$0e,$12,$10,$0e
	.byte $10,$0e,$0f,$1d,$20,$20,$20,$20,$1d,$20,$20,$1e,$18,$1b,$1b,$18
	.byte $1c,$1b,$1a,$1f,$18,$1b,$1c,$18,$1d,$1b,$1a,$1d,$18,$1b,$1a,$18
	.byte $1b,$1b,$1a,$18,$13,$18,$15,$15,$16,$16,$17,$1c,$16,$1b,$19,$18
	.byte $1a,$19,$1a,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$04,$04,$04,$04,$04,$04,$04,$04,$12,$12,$12,$12,$12
	.byte $12,$12,$12,$12,$12,$12,$12,$12,$12,$12,$12,$12,$12,$12,$12,$12
	.byte $12,$12,$12,$0d,$0d,$0d,$0d,$0d,$0d,$0d,$0d,$10,$10,$10,$10,$10
	.byte $10,$10,$10,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$1a,$1a,$1a,$1a,$1a
	.byte $1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a
	.byte $1a,$1a,$1a,$15,$15,$15,$15,$15,$15,$15,$15,$18,$18,$18,$18,$18
	.byte $18,$18,$18,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1e,$1e,$1e,$1e,$1e
	.byte $1e,$1e,$1e,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$00,$00,$00,$00,$00,$00,$00,$00,$00,$06,$06,$06,$06
	.byte $06,$06,$06,$00,$06,$06,$06,$06,$06,$06,$06,$00,$06,$06,$06,$06
	.byte $06,$06,$06,$00,$01,$01,$01,$01,$01,$01,$01,$00,$04,$04,$04,$04
	.byte $04,$04,$04,$00,$00,$00,$00,$00,$00,$00,$00,$0c,$0c,$0c,$0c,$0c
	.byte $0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c
	.byte $0c,$0c,$0c,$07,$07,$07,$07,$07,$07,$07,$07,$0a,$0a,$0a,$0a,$0a
	.byte $0a,$0a,$0a,$20,$20,$20,$20,$20,$20,$20,$20,$19,$19,$19,$19,$19
	.byte $19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19
	.byte $19,$19,$19,$14,$14,$14,$14,$14,$14,$14,$14,$17,$17,$17,$17,$17
	.byte $17,$17,$17,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
	.byte $20,$20,$20,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$07,$07,$07,$07,$07
	.byte $07,$07,$07,$12,$12,$12,$12,$12,$12,$12,$12,$13,$13,$13,$13,$13
	.byte $13,$13,$13,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0b,$0b,$0b,$0b,$0b
	.byte $0b,$0b,$0b,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00

Lbl_b000:
	lda #$05
	sta $90

Lbl_b004:
	ldx #$37
	lda $90
	sec 
	sbc #$05
	asl a 
	tay 
	lda Lbl_b0af,y
	sta $4d
	lda Lbl_b0b0,y
	sta $4e
	ldy #$37

Lbl_b019:
	lda ($4d),y
	sta $15,x
	dey 
	dex 
	bpl Lbl_b019
	lda $15
	bmi Lbl_b06d
	ora #$80
	sta $15
	ldy #$48
	lda $90
	cmp #$05
	bne Lbl_b033
	ldy #$c0

Lbl_b033:
	sty $45
	lda #$0c
	sta $48
	lda #$00
	sta $44
	sta $46
	sta $47
	sta $49
	sta $4a
	sta $4b
	sta $4c
	sta $16
	sta $43
	lda $90
	cmp #$06
	bne Lbl_b05b
	lda #$01
	sta $1e
	ldx #$80
	bne Lbl_b06b

Lbl_b05b:
	ldx #$00
	stx $1e
	cmp #$07
	bne Lbl_b06b
	lda #$00
	sta $e4
	sta $e5
	ldx #$20

Lbl_b06b:
	stx $43

Lbl_b06d:
	jsr Lbl_b2e5
	lda $1e
	asl a 
	tay 
	lda Lbl_b0b5,y
	sta $4d
	lda Lbl_b0b6,y
	sta $4e
	jmp ($004d)

Lbl_b081:
	lda $90
	jsr Lbl_e32d
	ldx #$37
	lda $90
	sec 
	sbc #$05
	asl a 
	tay 
	lda Lbl_b0af,y
	sta $4d
	lda Lbl_b0b0,y
	sta $4e
	ldy #$37

Lbl_b09b:
	lda $15,x
	sta ($4d),y
	dey 
	dex 
	bpl Lbl_b09b
	inc $90
	lda $90
	cmp #$08
	bcs Lbl_b0ae
	jmp Lbl_b004

Lbl_b0ae:
	rts 

Lbl_b0af:
	.byte $37

Lbl_b0b0:
	.byte $04,$6f,$04,$a7,$04

Lbl_b0b5:
	.byte $bf

Lbl_b0b6:
	.byte $b0,$00,$b1,$b0,$b1,$61,$b2,$94,$b2

Lbl_b0bf:
	lda $90
	cmp #$07
	beq Lbl_b0fd
	ldy #$00
	lda $90
	cmp #$06
	beq Lbl_b0cf
	ldy #$80

Lbl_b0cf:
	sty $42
	lda $16
	bmi Lbl_b0fd
	lda $90
	cmp #$06
	bne Lbl_b0eb
	lda $45
	clc 
	adc #$30
	sta $00
	lda $04d7
	cmp $00
	bcs Lbl_b0fd
	bcc Lbl_b0f9

Lbl_b0eb:
	lda $45
	sec 
	sbc #$30
	sta $00
	lda $04d7
	cmp $00
	bcc Lbl_b0fd

Lbl_b0f9:
	lda #$02
	sta $1e

Lbl_b0fd:
	jmp Lbl_b081

Lbl_b100:
	lda $1e
	bmi Lbl_b110
	ora #$80
	sta $1e
	lda #$04
	sta $2f
	lda #$ff
	sta $31

Lbl_b110:
	lda $31
	bpl Lbl_b11d
	dec $2f
	beq Lbl_b11b
	jmp Lbl_b1ad

Lbl_b11b:
	inc $31

Lbl_b11d:
	inc $2f
	lda $2f
	cmp #$03
	bcc Lbl_b19d
	lda #$00
	sta $2f
	inc $31
	lda $31
	cmp #$01
	bne Lbl_b179
	lda #$01
	jsr sub_PlaySound	; play sound #$01 (normal shot)
	lda $43
	and #$7f
	sta $43
	ldy #$40
	lda $90
	cmp #$06
	beq Lbl_b146
	ldy #$c0

Lbl_b146:
	sty $04c9
	lda #$80
	sta $04d5
	lda #$03
	sta $04b0
	ldy #$08

Lbl_b155:
	lda a:$0045,y
	sta $04d7,y
	dey 
	bpl Lbl_b155
	lda #$0c
	ldx $90
	cpx #$06
	beq Lbl_b168
	lda #$f4

Lbl_b168:
	clc 
	adc $04d7
	sta $04d7
	lda #$0e
	sta $04dd
	lda #$0d
	sta $04da

Lbl_b179:
	lda $31
	cmp #$02
	bcc Lbl_b19d
	lda #$00
	sta $31
	lda #$00
	sta $1e
	lda #$80
	sta $16
	lda $90
	ldx #$00
	cmp #$06
	bne Lbl_b198
	stx $0438
	beq Lbl_b1ad

Lbl_b198:
	stx $0470
	bne Lbl_b1ad

Lbl_b19d:
	ldy #$0c
	lda $90
	cmp #$06
	beq Lbl_b1a7
	ldy #$8c

Lbl_b1a7:
	tya 
	clc 
	adc $31
	sta $42

Lbl_b1ad:
	jmp Lbl_b081

Lbl_b1b0:
	lda $1e
	bmi Lbl_b1d8
	ora #$80
	sta $1e
	lda #$00
	sta $31
	sta $2f
	ldx #$00
	lda $90
	ldy #$c0
	cmp #$06
	beq Lbl_b1cb
	ldy #$40
	inx 

Lbl_b1cb:
	sty $37
	ldy $7a,x		; p2 or p1 team, depending on X
	tya 
	and #$7f		; strip control bit
	tay 
	lda Lbl_b244,y	; use team as index into Lbl_b244
	sta $38

Lbl_b1d8:
	lda $31
	bne Lbl_b217
	lda $90
	cmp #$06
	bne Lbl_b1f2
	lda $45
	clc 
	adc #$10
	sta $00
	lda $04d7
	cmp $00
	bcs Lbl_b21d
	bcc Lbl_b200

Lbl_b1f2:
	lda $45
	sec 
	sbc #$10
	sta $00
	lda $04d7
	cmp $00
	bcc Lbl_b21d

Lbl_b200:
	lda #$07
	jsr sub_PlaySound	; play sound #$07 (landing?)
	inc $31
	lda #$80
	sta $43
	lda #$00
	sta $04b0
	lda #$20
	sta $04d5
	ldy #$00

Lbl_b217:
	jsr Lbl_cc5c
	jsr Lbl_b24d

Lbl_b21d:
	ldy #$1b
	lda $31
	beq Lbl_b225
	ldy #$00

Lbl_b225:
	sty $42
	lda $90
	cmp #$06
	beq Lbl_b233
	lda $42
	ora #$80
	sta $42

Lbl_b233:
	lda $38
	bne Lbl_b241
	lda #$04
	sta $1e
	lda $37
	eor #$80
	sta $37

Lbl_b241:
	jmp Lbl_b081

Lbl_b244:		; team-based?
	.byte $34,$34,$2c,$28,$44,$2c,$54,$3c,$4c

Lbl_b24d:
	ldy #$08
	sty $00
	lda $38
	sec 
	sbc $00
	bpl Lbl_b25a
	lda #$00

Lbl_b25a:
	sta $38
	php 
	bne Lbl_b25f

Lbl_b25f:
	plp 
	rts 

Lbl_b261:
	lda $1e
	bmi Lbl_b26f
	ora #$80
	sta $1e
	lda #$80
	sta $38
	bne Lbl_b272

Lbl_b26f:
	jsr Lbl_cc5c

Lbl_b272:
	lda #$0a
	clc 
	adc $31
	sta $42
	inc $2f
	lda $2f
	cmp #$04
	bcc Lbl_b291
	lda #$00
	sta $2f
	inc $31
	lda $31
	cmp #$03
	bcc Lbl_b291
	lda #$00
	sta $31

Lbl_b291:
	jmp Lbl_b081

Lbl_b294:
	lda #$20
	sta $38
	jsr Lbl_cc5c
	lda #$00
	clc 
	adc $31
	ldx $90
	cpx #$06
	beq Lbl_b2a8
	ora #$80

Lbl_b2a8:
	sta $42
	lda $46
	bne Lbl_b2ca
	lda $45
	ldx $90
	cpx #$06
	bne Lbl_b2bc
	cmp #$48
	bcc Lbl_b2ca
	bcs Lbl_b2c0

Lbl_b2bc:
	cmp #$c0
	bcs Lbl_b2ca

Lbl_b2c0:
	lda #$01
	sta $1e
	lda #$00
	sta $31
	beq Lbl_b2e2

Lbl_b2ca:
	inc $2f
	lda $2f
	cmp #$02
	bcc Lbl_b2e2
	lda #$00
	sta $2f
	inc $31
	lda $31
	cmp #$04
	bcc Lbl_b2e2
	lda #$00
	sta $31

Lbl_b2e2:
	jmp Lbl_b081

Lbl_b2e5:
	lda $90
	cmp #$07
	beq Lbl_b312
	lda a:$007b		; P1 Team?
	and #$0f		; strip control bit
	pha
	lda a:$007a		; P2 Team?
	and #$0f		; strip control bit
	tay 
	pla 
	clc 
	adc Lbl_b317,y
	tay
	lda Lbl_b320,y
	ldx $90
	cpx #$06
	beq Lbl_b30a
	lsr a 
	lsr a 
	lsr a 
	lsr a 

Lbl_b30a:
	and #$0f
	asl a 
	asl a 
	asl a 
	jmp Lbl_b314

Lbl_b312:
	lda #$38

Lbl_b314:
	sta $41
	rts 

Lbl_b317:		; offsets into table below
	.byte $00,$09,$12,$1b,$24,$2d,$36,$3f,$48

Lbl_b320:		; 9x9 table with unknown purpose
	.byte $00,$01,$01,$01,$01,$01,$01,$01,$01
	.byte $10,$11,$01,$01,$01,$01,$01,$01,$01
	.byte $10,$10,$11,$01,$11,$10,$11,$10,$01
	.byte $10,$10,$10,$11,$10,$10,$10,$10,$11
	.byte $10,$10,$11,$01,$11,$10,$11,$10,$01
	.byte $10,$10,$01,$01,$01,$11,$01,$11,$01
	.byte $10,$10,$11,$01,$11,$10,$11,$10,$01
	.byte $10,$10,$01,$01,$01,$11,$01,$11,$01
	.byte $10,$10,$10,$11,$10,$10,$10,$10,$11

Lbl_b371:
	ldx #$37

Lbl_b373:
	lda $031f,x
	sta $15,x
	dex 
	bpl Lbl_b373
	lda $15
	bmi Lbl_b393
	ora #$80
	sta $15
	lda #$00
	sta $1a
	sta $43
	sta $c2
	sta $c3			; reset sprite X scroll to #$00
	sta $c4
	lda #$48
	sta $41

Lbl_b393:
	lda $1a
	bmi Lbl_b3a6
	ora #$80
	sta $1a

Lbl_b39b:
	jsr Lbl_db89
	and #$03
	cmp #$03
	beq Lbl_b39b
	sta $1b

Lbl_b3a6:
	jsr Lbl_b3c0
	lda $1a
	bpl Lbl_b3b5
	jsr Lbl_b584
	lda #$00
	jsr Lbl_e32d

Lbl_b3b5:
	ldx #$37

Lbl_b3b7:
	lda $15,x
	sta $031f,x
	dex 
	bpl Lbl_b3b7
	rts 

Lbl_b3c0:
	lda $1b
	asl a 
	tay 
	lda Lbl_b3d1,y
	sta $4d
	lda Lbl_b3d2,y
	sta $4e
	jmp ($004d)

Lbl_b3d1:
	.byte $d7

Lbl_b3d2:
	.byte $b3,$f4,$b3,$fa,$b4

Lbl_b3d7:
	lda $1b
	bmi Lbl_b3f0
	ora #$80
	sta $1b
	lda #$00
	sta $16
	jsr Lbl_db89
	and #$01
	clc 
	adc #$01
	sta $1e
	jsr Lbl_b411

Lbl_b3f0:
	jsr Lbl_b44a
	rts 

Lbl_b3f4:
	lda $1b
	bmi Lbl_b40d
	ora #$80
	sta $1b
	lda #$00
	sta $16
	jsr Lbl_db89
	and #$01
	clc 
	adc #$05
	sta $1e
	jsr Lbl_b411

Lbl_b40d:
	jsr Lbl_b44a
	rts 

Lbl_b411:
	pha 
	lda #$38
	sta $4d
	lda #$b4
	sta $4e
	ldx #$40
	pla 
	and #$01
	bne Lbl_b42b
	lda #$41
	sta $4d
	lda #$b4
	sta $4e
	ldx #$c0

Lbl_b42b:
	stx $37
	ldy #$08

Lbl_b42f:
	lda ($4d),y
	sta a:$0044,y
	dey 
	bpl Lbl_b42f
	rts 

Lbl_b438:
	.byte $00,$e0,$ff,$00,$48,$00,$00,$00,$00,$00,$10,$01,$00,$48,$00,$00
	.byte $00,$00

Lbl_b44a:
	lda $1e
	sec 
	sbc #$01
	asl a 
	tay 
	lda Lbl_b45e,y
	sta $4d
	lda Lbl_b45f,y
	sta $4e
	jmp ($004d)

Lbl_b45e:
	.byte $6a

Lbl_b45f:
	.byte $b4,$99,$b4,$c6,$b4,$f2,$b4,$6a,$b4,$99,$b4

Lbl_b46a:
	lda $16
	bpl Lbl_b480
	lda $46
	cmp #$01
	bmi Lbl_b498
	lda $45
	cmp #$10
	bcc Lbl_b498
	lda #$00
	sta $1a
	beq Lbl_b498

Lbl_b480:
	lda $46
	bne Lbl_b498
	lda $45
	cmp #$80
	bcc Lbl_b498
	lda $16
	ora #$80
	sta $16
	lda #$03
	sta $1e
	lda #$a0
	sta $23

Lbl_b498:
	rts 

Lbl_b499:
	lda $16
	bpl Lbl_b4ad
	lda $46
	bpl Lbl_b4c5
	lda $45
	cmp #$f0
	bcs Lbl_b4c5
	lda #$00
	sta $1a
	beq Lbl_b4c5

Lbl_b4ad:
	lda $46
	bne Lbl_b4c5
	lda $45
	cmp #$80
	bcs Lbl_b4c5
	lda $16
	ora #$80
	sta $16
	lda #$03
	sta $1e
	lda #$a0
	sta $23

Lbl_b4c5:
	rts 

Lbl_b4c6:
	dec $23
	bne Lbl_b4e2
	lda $42
	rol a 
	rol a 
	and #$01
	tax 
	inx 
	lda $1b
	and #$7f
	beq Lbl_b4dd
	txa 
	clc 
	adc #$04
	tax 

Lbl_b4dd:
	stx $1e
	jmp Lbl_b4f1

Lbl_b4e2:
	lda $4016		; JOY1
	and #$04
	beq Lbl_b4f1
	lda #$04
	sta $1e
	lda #$90
	sta $23

Lbl_b4f1:
	rts 

Lbl_b4f2:
	.byte $c6,$23,$d0,$03,$4c,$ca,$b4,$60

Lbl_b4fa:
	lda $1b
	bmi Lbl_b514
	ora #$80
	sta $1b
	lda #$00
	sta $1e
	lda #$80
	sta $23
	ldx #$08

Lbl_b50c:
	lda Lbl_b57b,x
	sta $44,x
	dex 
	bpl Lbl_b50c

Lbl_b514:
	lda $1e
	and #$7f
	bne Lbl_b54d
	dec $23
	bne Lbl_b524
	lda #$00
	sta $1a
	beq Lbl_b57a

Lbl_b524:
	lda $4016		; JOY1
	and #$04
	beq Lbl_b57a
	lda #$07
	sta $1e
	lda #$a0
	sta $23
	lda #$80
	sta $37
	jsr Lbl_db89
	cmp #$18
	bcs Lbl_b542
	lda #$18
	bne Lbl_b548

Lbl_b542:
	cmp #$e8
	bcc Lbl_b548
	lda #$e8

Lbl_b548:
	sta $45
	jmp Lbl_b57a

Lbl_b54d:
	cmp #$07
	bne Lbl_b56c
	lda $49
	bne Lbl_b562
	lda #$d8
	cmp $48
	bcc Lbl_b562
	lda $4016		; JOY1
	and #$04
	bne Lbl_b566

Lbl_b562:
	dec $23
	bne Lbl_b57a

Lbl_b566:
	lda #$08
	sta $1e
	bne Lbl_b57a

Lbl_b56c:
	lda $49
	bpl Lbl_b57a
	lda $48
	cmp #$e0
	bcs Lbl_b57a
	lda #$00
	sta $1a

Lbl_b57a:
	rts 

Lbl_b57b:
	.byte $00,$00,$00,$00,$f8,$00,$00,$00,$00

Lbl_b584:
	lda $1e
	asl a 
	tay 
	lda Lbl_b595,y
	sta $4d
	lda Lbl_b596,y
	sta $4e
	jmp ($004d)

Lbl_b595:
	.byte $a7

Lbl_b596:
	.byte $b5,$b2,$b5,$b2,$b5,$19,$b6,$54,$b6,$7e,$b6,$7e,$b6,$c6,$b6,$c6
	.byte $b6

Lbl_b5a7:
	lda $1e
	bmi Lbl_b5b1
	sta $42
	ora #$80
	sta $1e

Lbl_b5b1:
	rts 

Lbl_b5b2:
	lda $1e
	bmi Lbl_b5df
	ora #$80
	sta $1e
	ldx #$04
	stx $0617
	jsr Lbl_dbdb
	jsr Lbl_fca0
	jsr Lbl_fe8a
	jsr sub_UpdateOAM	; update OAM
	ldx #$04
	stx $0617
	lda #$0c
	jsr MMC1_SetCHRBank0		; set chr bank 0 to #$0c
	lda #$00
	sta $2f
	sta $31
	lda #$10
	sta $38

Lbl_b5df:
	inc $2f
	lda $2f
	ldx $31
	cmp Lbl_b617,x
	bcc Lbl_b5fa
	lda #$00
	sta $2f
	inc $31
	lda $31
	cmp #$02
	bcc Lbl_b5fa
	lda #$00
	sta $31

Lbl_b5fa:
	lda #$04
	clc 
	adc $31
	sta $42
	lda $1e
	and #$7f
	cmp #$01
	beq Lbl_b60f
	lda $42
	ora #$80
	sta $42

Lbl_b60f:
	lda $31
	beq Lbl_b616
	jsr Lbl_cc5c

Lbl_b616:
	rts 

Lbl_b617:
	.byte $14,$0a

Lbl_b619:
	lda $1e
	bmi Lbl_b62c
	ora #$80
	sta $1e
	lda #$19
	jsr MMC1_SetCHRBank0		; set chr bank 0 to #$19
	lda #$00
	sta $2f
	sta $31

Lbl_b62c:
	inc $2f
	lda $2f
	cmp #$0c
	bcc Lbl_b644
	lda #$00
	sta $2f
	inc $31
	lda $31
	cmp #$02
	bcc Lbl_b644
	lda #$00
	sta $31

Lbl_b644:
	lda $42
	and #$80
	sta $42
	lda #$26
	clc 
	adc $31
	ora $42
	sta $42
	rts 

Lbl_b654:
	.byte $a5,$1e,$30,$09,$09,$80,$85,$1e,$a9,$19,$20,$bc,$fe,$a5,$23,$c9
	.byte $50,$b0,$16,$c9,$10,$b0,$0a,$a5,$42,$29,$80,$09,$27,$85,$42,$d0
	.byte $08,$a5,$42,$29,$80,$09,$28,$85,$42,$60

Lbl_b67e:
	lda $1e
	bmi Lbl_b695
	ora #$80
	sta $1e
	lda #$19
	jsr MMC1_SetCHRBank0		; set chr bank 0 to #$19
	lda #$00
	sta $2f
	sta $31
	lda #$0c
	sta $38

Lbl_b695:
	inc $2f
	lda $2f
	cmp #$06
	bcc Lbl_b6ad
	lda #$00
	sta $2f
	inc $31
	lda $31
	cmp #$04
	bcc Lbl_b6ad
	lda #$00
	sta $31

Lbl_b6ad:
	lda #$22
	clc 
	adc $31
	sta $42
	lda $1e
	and #$7f
	cmp #$05
	beq Lbl_b6c2
	lda $42
	ora #$80
	sta $42

Lbl_b6c2:
	jsr Lbl_cc5c
	rts 

Lbl_b6c6:
	.byte $a5,$1e,$30,$13,$09,$80,$85,$1e,$a9,$19,$20,$bc,$fe,$a9,$00,$85
	.byte $2f,$85,$31,$a9,$20,$85,$38,$a5,$1e,$29,$7f,$c9,$08,$f0,$0a,$a5
	.byte $49,$d0,$06,$a5,$48,$c9,$d8,$90,$03,$20,$5c,$cc,$e6,$2f,$a5,$2f
	.byte $c9,$02,$90,$10,$a9,$00,$85,$2f,$e6,$31,$a5,$31,$c9,$03,$90,$04
	.byte $a9,$00,$85,$31,$a9,$31,$18,$65,$31,$85,$42,$60,$a2,$37,$bd,$1f
	.byte $03,$95,$15,$ca,$10,$f8,$a5,$15,$30,$23,$09,$80,$85,$15,$a9,$00
	.byte $85,$1e,$85,$43,$85,$c2,$85,$c3,$85,$c4,$a9,$48,$85,$41,$a9,$19
	.byte $20,$bc,$fe,$a2,$08,$bd,$59,$b7,$95,$44,$ca,$10,$f8,$20,$62,$b7
	.byte $20,$88,$b7,$a9,$00,$20,$2d,$e3,$a2,$37,$b5,$15,$9d,$1f,$03,$ca
	.byte $10,$f8,$60,$00,$80,$00,$00,$30,$00,$00,$00,$00,$a5,$1e,$0a,$a8
	.byte $b9,$73,$b7,$85,$4d,$b9,$74,$b7,$85,$4e,$6c,$4d,$00,$77,$b7,$87
	.byte $b7,$ad,$16,$40,$29,$04,$f0,$08,$a9,$01,$85,$1e,$a9,$50,$85,$23
	.byte $60,$60,$a5,$1e,$0a,$a8,$b9,$99,$b7,$85,$4d,$b9,$9a,$b7,$85,$4e
	.byte $6c,$4d,$00,$9d,$b7,$cd,$b7,$a5,$1e,$30,$0a,$09,$80,$85,$1e,$a9
	.byte $00,$85,$2f,$85,$31,$e6,$2f,$a5,$2f,$c9,$30,$90,$10,$a9,$00,$85
	.byte $2f,$e6,$31,$a5,$31,$c9,$02,$90,$04,$a9,$00,$85,$31,$a9,$2d,$18
	.byte $65,$31,$09,$00,$85,$42,$60,$a5,$1e,$30,$0a,$09,$80,$85,$1e,$a9
	.byte $00,$85,$2f,$85,$31,$c6,$23,$d0,$28,$e6,$23,$e6,$2f,$a5,$2f,$a6
	.byte $31,$dd,$08,$b8,$90,$12,$a9,$00,$85,$2f,$e6,$31,$a5,$31,$c9,$03
	.byte $90,$06,$a9,$00,$85,$1e,$f0,$09,$a5,$31,$29,$01,$18,$69,$2f,$85
	.byte $42,$60,$06,$30,$06,$a9,$00,$85,$90,$a2,$37,$a5,$90,$0a,$a8,$b9
	.byte $90,$b8,$85,$4d,$b9,$91,$b8,$85,$4e,$a0,$37,$b1,$4d,$95,$15,$88
	.byte $ca,$10,$f8,$a5,$15,$30,$35,$09,$80,$85,$15,$a9,$0d,$20,$bc,$fe
	.byte $a9,$00,$85,$43,$85,$31,$20,$89,$db,$29,$3f,$85,$2f,$a6,$90,$bd
	.byte $9c,$b8,$85,$41,$a5,$90,$0a,$aa,$bd,$a2,$b8,$85,$4d,$bd,$a3,$b8
	.byte $85,$4e,$a0,$08,$b1,$4d,$99,$44,$00,$88,$10,$f8,$20,$e4,$b8,$a5
	.byte $90,$20,$2d,$e3,$a2,$37,$a5,$90,$0a,$a8,$b9,$90,$b8,$85,$4d,$b9
	.byte $91,$b8,$85,$4e,$a0,$37,$b5,$15,$91,$4d,$88,$ca,$10,$f8,$e6,$90
	.byte $a5,$90,$c9,$06,$b0,$03,$4c,$0f,$b8,$60,$1f,$03,$57,$03,$8f,$03
	.byte $c7,$03,$ff,$03,$37,$04,$00,$20,$18,$10,$30,$28,$ae,$b8,$b7,$b8
	.byte $c0,$b8,$c9,$b8,$d2,$b8,$db,$b8,$00,$70,$00,$00,$78,$00,$00,$00
	.byte $00,$00,$d8,$00,$00,$78,$00,$00,$00,$00,$00,$70,$00,$00,$48,$00
	.byte $00,$00,$00,$00,$d8,$00,$00,$48,$00,$00,$00,$00,$00,$70,$00,$00
	.byte $18,$00,$00,$00,$00,$00,$d8,$00,$00,$18,$00,$00,$00,$00,$e6,$2f
	.byte $a5,$2f,$a6,$31,$dd,$0b,$b9,$90,$10,$a9,$00,$85,$2f,$e6,$31,$a5
	.byte $31,$c9,$03,$90,$04,$a9,$00,$85,$31,$a5,$31,$29,$01,$18,$69,$31
	.byte $09,$80,$85,$42,$60,$40,$10,$10

Lbl_b90e:
	lda $71			; current stage
	beq Lbl_b915
	jmp Lbl_ba1b

Lbl_b915:
	lda #$00
	sta $90

Lbl_b919:
	ldx #$37
	lda $90
	asl a 
	tay 
	lda Lbl_b9a2,y
	sta $4d
	lda Lbl_b9a3,y
	sta $4e
	ldy #$37

Lbl_b92b:
	lda ($4d),y
	sta $15,x
	dey 
	dex 
	bpl Lbl_b92b
	lda $15
	bmi Lbl_b974
	ora #$80
	sta $15
	lda #$0d
	jsr MMC1_SetCHRBank0		; set chr bank 0 to #$0d
	lda #$00
	sta $43
	sta $31
	lda #$c0
	sta $37
	lda #$20
	sta $38
	jsr Lbl_db89
	and #$03
	sta $2f
	ldx $90
	lda Lbl_b9ae,x
	sta $41
	lda $90
	asl a 
	tax 
	lda Lbl_b9b4,x
	sta $4d
	lda Lbl_b9b5,x
	sta $4e
	ldy #$08

Lbl_b96c:
	lda ($4d),y
	sta a:$0044,y
	dey 
	bpl Lbl_b96c

Lbl_b974:
	jsr Lbl_b9f6
	lda $90
	jsr Lbl_e32d
	ldx #$37
	lda $90
	asl a 
	tay 
	lda Lbl_b9a2,y
	sta $4d
	lda Lbl_b9a3,y
	sta $4e
	ldy #$37

Lbl_b98e:
	lda $15,x
	sta ($4d),y
	dey 
	dex 
	bpl Lbl_b98e
	inc $90
	lda $90
	cmp #$06
	bcs Lbl_b9a1
	jmp Lbl_b919

Lbl_b9a1:
	rts 

Lbl_b9a2:
	.byte $1f

Lbl_b9a3:
	.byte $03,$57,$03,$8f,$03,$c7,$03,$ff,$03,$37,$04

Lbl_b9ae:
	.byte $00,$10,$28,$30,$18,$20

Lbl_b9b4:
	.byte $c0

Lbl_b9b5:
	.byte $b9,$c9,$b9,$d2,$b9,$db,$b9,$e4,$b9,$ed,$b9,$00,$10,$01,$00,$30
	.byte $00,$00,$00,$00,$00,$40,$01,$00,$30,$00,$00,$00,$00,$00,$90,$01
	.byte $00,$30,$00,$00,$00,$00,$00,$10,$02,$00,$30,$00,$00,$00,$00,$00
	.byte $60,$02,$00,$30,$00,$00,$00,$00,$00,$90,$02,$00,$30,$00,$00,$00
	.byte $00

Lbl_b9f6:
	inc $2f
	lda $2f
	cmp #$04
	bcc Lbl_ba0e
	lda #$00
	sta $2f
	inc $31
	lda $31
	cmp #$04
	bcc Lbl_ba0e
	lda #$00
	sta $31

Lbl_ba0e:
	lda $31
	clc 
	adc #$04
	ora #$80
	sta $42
	jsr Lbl_cc5c
	rts 

Lbl_ba1b:
	ldx #$37

Lbl_ba1d:
	lda $031f,x
	sta $15,x
	dex 
	bpl Lbl_ba1d
	lda $15
	bmi Lbl_ba6d
	ora #$80
	sta $15
	ldx #$08

Lbl_ba2f:
	lda Lbl_ba80,x
	sta $44,x
	dex 
	bpl Lbl_ba2f
	lda #$48
	sta $41
	lda #$00
	sta $43
	sta $c2
	sta $c3			; reset sprite X scroll to #$00
	sta $c4
	lda #$21
	sta $42
	lda #$18
	sta $38
	lda $71			; current stage
	and #$7f
	tax 
	dex 
	lda Lbl_ba89,x
	sta $37
	bpl Lbl_ba68
	lda #$90
	sta $45
	lda #$01
	sta $46
	lda $42
	ora #$80
	sta $42

Lbl_ba68:
	lda #$40
	jsr sub_PlaySound	; play sound #$40 (noise rumble)

Lbl_ba6d:
	jsr Lbl_cc5c
	lda #$00
	jsr Lbl_e32d
	ldx #$37

Lbl_ba77:
	lda $15,x
	sta $031f,x
	dex 
	bpl Lbl_ba77
	rts 

Lbl_ba80:
	.byte $00,$70,$ff,$00,$48,$00,$00,$00,$00

Lbl_ba89:
	.byte $c0,$40,$40,$c0,$c0,$c0,$40,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.byte $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$ee
	.byte $eb,$ff,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea,$ea
	.byte $03,$e8,$bf,$e8,$bf,$e8,$bf
